/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Open CASCADE Technology", "index.html", [
    [ "Introduction", "index.html", "index" ],
    [ "Tutorials and Samples", "samples.html", [
      [ "Tutorials and Demos", "samples__tutorials.html", [
        [ "Novice Guide", "samples__novice_guide.html", [
          [ "Modeling with OCCT: Key differences", "samples__novice_guide.html#diffs", null ],
          [ "Understanding the principles", "samples__novice_guide.html#basics", null ],
          [ "Additional assistance", "samples__novice_guide.html#helps", null ]
        ] ],
        [ "Draw: Demo Scripts", "samples__draw_scripts.html", [
          [ "Experimenting with Draw Test Harness", "samples__draw_scripts.html#autotoc_md27", null ],
          [ "Running Draw", "samples__draw_scripts.html#autotoc_md28", null ]
        ] ],
        [ "Modeling: Bottle Tutorial", "occt__tutorial.html", [
          [ "Overview", "occt__tutorial.html#sec1", [
            [ "Prerequisites", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_1", null ],
            [ "The Model", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_2", null ],
            [ "Model Specifications", "occt__tutorial.html#OCCT_TUTORIAL_SUB1_3", null ]
          ] ],
          [ "Building the Profile", "occt__tutorial.html#sec2", [
            [ "Defining Support Points", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_1", null ],
            [ "Profile: Defining the Geometry", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_2", null ],
            [ "Profile: Defining the Topology", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_3", null ],
            [ "Profile: Completing the Profile", "occt__tutorial.html#OCCT_TUTORIAL_SUB2_4", null ]
          ] ],
          [ "Building the Body", "occt__tutorial.html#sec3", [
            [ "Prism the Profile", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_1", null ],
            [ "Applying Fillets", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_2", null ],
            [ "Adding the Neck", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_3", null ],
            [ "Creating a Hollowed Solid", "occt__tutorial.html#OCCT_TUTORIAL_SUB3_4", null ]
          ] ],
          [ "Building the Threading", "occt__tutorial.html#sec4", [
            [ "Creating Surfaces", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_1", null ],
            [ "Defining 2D Curves", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_2", null ],
            [ "Building Edges and Wires", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_3", null ],
            [ "Creating Threading", "occt__tutorial.html#OCCT_TUTORIAL_SUB4_4", null ]
          ] ],
          [ "Building the Resulting Compound", "occt__tutorial.html#sec5", null ],
          [ "Appendix", "occt__tutorial.html#sec6", null ]
        ] ],
        [ "OCAF: Usage Tutorial", "samples__ocaf.html", [
          [ "Getting  Started", "samples__ocaf.html#autotoc_md7", null ],
          [ "An example of OCAF usage", "samples__ocaf.html#autotoc_md8", [
            [ "Resource File", "samples__ocaf.html#autotoc_md9", null ],
            [ "Plugin File", "samples__ocaf.html#autotoc_md10", null ]
          ] ],
          [ "Implementation of Attribute Transformation in a HXX file", "samples__ocaf.html#autotoc_md11", null ],
          [ "Implementation of Attribute Transformation in a CPP file", "samples__ocaf.html#autotoc_md12", null ],
          [ "Implementation of typical actions with standard OCAF attributes.", "samples__ocaf.html#autotoc_md13", [
            [ "TDataStd_Sample.cxx", "samples__ocaf.html#autotoc_md14", null ],
            [ "TDocStd_Sample.cxx", "samples__ocaf.html#autotoc_md15", null ],
            [ "TPrsStd_Sample.cxx", "samples__ocaf.html#autotoc_md16", null ],
            [ "TNaming_Sample.cxx", "samples__ocaf.html#autotoc_md17", null ]
          ] ]
        ] ],
        [ "OCAF: Function Mechanism", "samples__ocaf_func.html", [
          [ "Step1: Data Tree", "samples__ocaf_func.html#autotoc_md18", null ],
          [ "Step 2: Interfaces", "samples__ocaf_func.html#autotoc_md19", [
            [ "Creation of the nail", "samples__ocaf_func.html#autotoc_md20", null ],
            [ "Computation", "samples__ocaf_func.html#autotoc_md21", null ],
            [ "Visualization", "samples__ocaf_func.html#autotoc_md22", null ],
            [ "Removal of the nail", "samples__ocaf_func.html#autotoc_md23", null ]
          ] ],
          [ "Step 3: Functions", "samples__ocaf_func.html#autotoc_md24", [
            [ "Example 1: iteration and execution of functions.", "samples__ocaf_func.html#autotoc_md25", null ],
            [ "Example 2: Cylinder function driver", "samples__ocaf_func.html#autotoc_md26", null ]
          ] ]
        ] ]
      ] ],
      [ "Sample Projects", "samples__projects.html", [
        [ "Qt: Import/Export (C++|Qt Widgets)", "samples_qt_iesample.html", null ],
        [ "Qt: 3D Viewer (C++|QtQuick|QML)", "samples_qml_android_occt.html", null ],
        [ "Qt: Bottle Tutorial (C++|Qt Widgets)", "samples_qt_tutorial.html", null ],
        [ "Qt: OCCT Overview (C++|Qt Widgets)", "samples_qt_overview.html", [
          [ "1. Contents", "samples_qt_overview.html#autotoc_md3", null ],
          [ "2. How to build Qt OCCT Overview application", "samples_qt_overview.html#autotoc_md4", null ],
          [ "3. Running the application", "samples_qt_overview.html#autotoc_md5", null ],
          [ "4. How to use the OCCT Overview application:", "samples_qt_overview.html#autotoc_md6", null ]
        ] ],
        [ ".NET: Import/Export (C#|C++/CLI|WinForms|WPF)", "samples_csharp_occt.html", null ],
        [ ".NET: D3D/OpenGL Viewer (C#|C++/CLI|WPF)", "samples_csharp_direct3d.html", null ],
        [ "WebGL: 3D Viewer (JavaScript|C++|WebAssembly)", "occt_samples_webgl.html", null ],
        [ "Android: 3D Viewer (Java|C++|Android SDK|JNI)", "samples_java_android_occt.html", null ]
      ] ]
    ] ],
    [ "Build, Debug and Upgrade", "build_upgrade.html", [
      [ "Build OCCT", "build_upgrade__building_occt.html", [
        [ "Building with CMake tool", "build_upgrade__building_occt.html#build_occt_win_cmake", [
          [ "Configuration process", "build_upgrade__building_occt.html#build_cmake_conf", [
            [ "3rd party search mechanism", "build_upgrade__building_occt.html#build_cmake_3rdparty", null ]
          ] ],
          [ "Projects generation", "build_upgrade__building_occt.html#build_cmake_gen", null ],
          [ "Building", "build_upgrade__building_occt.html#build_cmake_build", null ],
          [ "Installation", "build_upgrade__building_occt.html#build_cmake_install", null ],
          [ "Cross-compiling (Android)", "build_upgrade__building_occt.html#build_occt_crossplatform_cmake", null ]
        ] ],
        [ "Building with Genproj tool", "build_upgrade__building_occt.html#build_occt_genproj", [
          [ "Configuration process", "build_upgrade__building_occt.html#build_genproj", null ],
          [ "Projects generation", "build_upgrade__building_occt.html#build_genproj_generate", null ],
          [ "Building", "build_upgrade__building_occt.html#build_genproj_build", [
            [ "Visual Studio", "build_upgrade__building_occt.html#build_msvc_build", null ],
            [ "Code::Blocks", "build_upgrade__building_occt.html#build_codeblocks_build", null ],
            [ "XCode", "build_upgrade__building_occt.html#build_occt_macos_xcode", null ]
          ] ]
        ] ]
      ] ],
      [ "Build 3rd-parties", "build_upgrade_building_3rdparty.html", [
        [ "Windows", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_1", [
          [ "Tcl/Tk", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_2", null ],
          [ "FreeType", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_2_2", null ],
          [ "The building procedure", "build_upgrade_building_3rdparty.html#autotoc_md29", null ],
          [ "TBB", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_3_1", null ],
          [ "FreeImage", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_3_3", null ],
          [ "The building procedure:", "build_upgrade_building_3rdparty.html#autotoc_md30", null ],
          [ "VTK", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_win_3_4", null ],
          [ "The building procedure:", "build_upgrade_building_3rdparty.html#autotoc_md31", null ]
        ] ],
        [ "Linux", "build_upgrade_building_3rdparty.html#build_3rdparty_linux", [
          [ "Installation From Official Repositories", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_4", null ],
          [ "Tcl/Tk", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_2_1", null ],
          [ "FreeType", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_2_2", null ],
          [ "TBB", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_3_1", null ],
          [ "FreeImage", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_3_3", null ],
          [ "VTK", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_linux_3_4", null ],
          [ "The building procedure:", "build_upgrade_building_3rdparty.html#autotoc_md32", null ]
        ] ],
        [ "Mac OS X", "build_upgrade_building_3rdparty.html#build_3rdparty_macos", [
          [ "Tcl/Tk 8.5", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_osx_2_1", null ],
          [ "FreeType 2.4.10", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_osx_2_2", null ],
          [ "TBB 3.x or 4.x", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_osx_3_1", null ],
          [ "FreeImage 3.14.1 or 3.15.x", "build_upgrade_building_3rdparty.html#dev_guides__building_3rdparty_osx_3_3", null ]
        ] ]
      ] ],
      [ "Build Documentation", "build_upgrade__building_documentation.html", null ],
      [ "Debugging tools and hints", "occt__debug.html", [
        [ "Introduction", "occt__debug.html#occt_debug_intro", null ],
        [ "Compiler macro to enable extended debug messages", "occt__debug.html#occt_debug_macro", null ],
        [ "Calling JIT debugger on exception", "occt__debug.html#occt_debug_exceptions", null ],
        [ "Self-diagnostics in Boolean operations algorithm", "occt__debug.html#occt_debug_bop", null ],
        [ "Functions for calling from debugger", "occt__debug.html#occt_debug_call", [
          [ "Interacting with DRAW", "occt__debug.html#occt_debug_call_draw", null ],
          [ "Saving and dumping shapes and geometric objects", "occt__debug.html#occt_debug_call_brep", null ]
        ] ],
        [ "Dump OCCT objects into Json", "occt__debug.html#occt_debug_dump_json", [
          [ "Implementation in object", "occt__debug.html#occt_debug_dump_json_object", null ],
          [ "Using in DRAW", "occt__debug.html#occt_debug_dump_json_draw", null ]
        ] ],
        [ "Using Visual Studio debugger", "occt__debug.html#occt_debug_vstudio", [
          [ "Command window", "occt__debug.html#occt_debug_vstudio_command", null ],
          [ "Customized display of variables content", "occt__debug.html#occt_debug_vstudio_watch", null ],
          [ "[AutoExpand] section", "occt__debug.html#autotoc_md33", null ],
          [ "[Visualizer] section", "occt__debug.html#autotoc_md34", null ]
        ] ],
        [ "Performance measurement tools", "occt__debug.html#occt_debug_perf", null ],
        [ "Use of compiler sanitizers", "occt__debug.html#occt_debug_sanitizers", [
          [ "Linux", "occt__debug.html#occt_debug_sanitizers_linux", null ],
          [ "Windows", "occt__debug.html#occt_debug_sanitizers_windows", null ]
        ] ]
      ] ],
      [ "Upgrade from older OCCT versions", "occt__upgrade.html", [
        [ "Introduction", "occt__upgrade.html#upgrade_intro", [
          [ "Precautions", "occt__upgrade.html#upgrade_intro_precautions", null ],
          [ "Disclaimer", "occt__upgrade.html#upgrade_intro_disclaim", null ]
        ] ],
        [ "Upgrade to OCCT 6.5.0", "occt__upgrade.html#upgrade_65", null ],
        [ "Upgrade to OCCT 6.5.1", "occt__upgrade.html#upgrade_651", null ],
        [ "Upgrade to OCCT 6.5.2", "occt__upgrade.html#upgrade_652", null ],
        [ "Upgrade to OCCT 6.5.3", "occt__upgrade.html#upgrade_653", null ],
        [ "Upgrade to OCCT 6.5.4", "occt__upgrade.html#upgrade_654", null ],
        [ "Upgrade to OCCT 6.6.0", "occt__upgrade.html#upgrade_660", null ],
        [ "Upgrade to OCCT 6.7.0", "occt__upgrade.html#upgrade_670", [
          [ "Object-level clipping and capping algorithm.", "occt__upgrade.html#upgrade_670_clipping", null ],
          [ "Redesign of markers presentation", "occt__upgrade.html#upgrade_670_markers", null ],
          [ "Default views are not created automatically", "occt__upgrade.html#upgrade_670_views", null ],
          [ "Improved dimensions implementation", "occt__upgrade.html#upgrade_670_dimensions", null ],
          [ "NCollection_Set replaced by List collection", "occt__upgrade.html#upgrade_670_list_collection", null ]
        ] ],
        [ "Upgrade to OCCT 6.8.0", "occt__upgrade.html#upgrade_680", [
          [ "Changes in NCollection classes", "occt__upgrade.html#upgrade_680_ncollection", null ],
          [ "3D View Camera", "occt__upgrade.html#upgrade_680_view_camera", null ],
          [ "Redesign of Connected Interactive Objects", "occt__upgrade.html#upgrade_680_connected_objects", null ],
          [ "Support of UNICODE Characters", "occt__upgrade.html#upgrade_680_unicode", null ],
          [ "Elimination of Projection Shift Concept", "occt__upgrade.html#upgrade_680_projection_shift", null ]
        ] ],
        [ "Upgrade to OCCT 6.9.0", "occt__upgrade.html#upgrade_690", [
          [ "3D Viewer initialization", "occt__upgrade.html#upgrade_690_shaders", null ],
          [ "Changes in Selection", "occt__upgrade.html#upgrade_690_selection", [
            [ "Standard selection", "occt__upgrade.html#autotoc_md35", null ],
            [ "Custom sensitive entities", "occt__upgrade.html#autotoc_md36", null ]
          ] ],
          [ "Changes in Adaptor3d_Curve class", "occt__upgrade.html#upgrade_690_adaptor3d-curve", null ],
          [ "Changes in V3d_View class", "occt__upgrade.html#upgrade_690_v3d_view", null ]
        ] ],
        [ "Upgrade to OCCT 7.0.0", "occt__upgrade.html#upgrade_700", [
          [ "Removal of legacy persistence", "occt__upgrade.html#upgrade_700_persist", [
            [ "CSFDB files", "occt__upgrade.html#autotoc_md37", null ],
            [ "OCAF and XCAF documents", "occt__upgrade.html#autotoc_md38", null ]
          ] ],
          [ "Removal of CDL and WOK", "occt__upgrade.html#upgrade_occt700_cdl", [
            [ "Automatic upgrade", "occt__upgrade.html#upgrade_occt700_cdl_auto", null ],
            [ "Possible compiler errors", "occt__upgrade.html#upgrade_occt700_cdl_compiler", null ],
            [ "Missing header files", "occt__upgrade.html#autotoc_md39", null ],
            [ "Ambiguity of calls to overloaded functions", "occt__upgrade.html#autotoc_md40", null ],
            [ "Lack of implicit cast to base type", "occt__upgrade.html#autotoc_md41", null ],
            [ "Incorrect use of STANDARD_TYPE and Handle macros", "occt__upgrade.html#autotoc_md42", null ],
            [ "Use of class Standard_AncestorIterator", "occt__upgrade.html#autotoc_md43", null ],
            [ "Absence of cast to Standard_Transient*", "occt__upgrade.html#autotoc_md44", null ],
            [ "Method DownCast for non-base types", "occt__upgrade.html#autotoc_md45", null ],
            [ "Possible runtime problems", "occt__upgrade.html#upgrade_occt700_cdl_runtime", null ],
            [ "References to temporary objects", "occt__upgrade.html#autotoc_md46", null ],
            [ "Option to avoid cast of handle to reference to base type", "occt__upgrade.html#upgrade_occt700_cdl_nocast", null ],
            [ "Preserving compatibility with OCCT 6.x", "occt__upgrade.html#upgrade_occt700_cdl_compat", null ],
            [ "Applications based on CDL and WOK", "occt__upgrade.html#upgrade_occt700_cdl_wok", null ]
          ] ],
          [ "Separation of BSpline cache", "occt__upgrade.html#upgrade_occt700_bspline", null ],
          [ "Structural result of Boolean operations", "occt__upgrade.html#upgrade_occt700_booleanresult", null ],
          [ "BRepExtrema_ExtCC finds one solution only", "occt__upgrade.html#upgrade_occt700_brepextrema", null ],
          [ "Removal of SortTools package", "occt__upgrade.html#upgrade_occt700_sorttools", null ],
          [ "On-screen objects and ColorScale", "occt__upgrade.html#upgrade_occt700_2dlayers", null ],
          [ "UserDraw and Visual3d", "occt__upgrade.html#upgrade_occt700_userdraw", [
            [ "Visual3d package", "occt__upgrade.html#autotoc_md47", null ],
            [ "Custom OpenGL rendering and UserDraw", "occt__upgrade.html#autotoc_md48", null ]
          ] ],
          [ "Deprecation of Local Context", "occt__upgrade.html#upgrade_occt700_localcontext", null ],
          [ "Separation of visualization part from TKCAF", "occt__upgrade.html#upgrade_occt700_separate_caf_visualisation", null ],
          [ "Correction of interpretation of Euler angles in gp_Quaternion", "occt__upgrade.html#upgrade_euler_angles", null ],
          [ "Zoom Persistent Selection", "occt__upgrade.html#upgrade_zoom_persistent_selection", null ],
          [ "Texture mapping of objects", "occt__upgrade.html#upgrade_occt700_correction_of_texture", null ],
          [ "Shape presentation builders", "occt__upgrade.html#upgrade_occt700_wfshape", null ]
        ] ],
        [ "Upgrade to OCCT 7.1.0", "occt__upgrade.html#upgrade_occt710", [
          [ "Presentation attributes", "occt__upgrade.html#upgrade_710_aspects", null ],
          [ "Typedefs", "occt__upgrade.html#upgrade_710_types", null ],
          [ "Programmable Pipeline", "occt__upgrade.html#upgrade_710_ffp", null ],
          [ "Transformation persistence", "occt__upgrade.html#upgrade_710_trsfpers", null ],
          [ "Dynamic highlight and selection properties", "occt__upgrade.html#upgrade_710_selprops", null ],
          [ "Correction in TObj_Model class", "occt__upgrade.html#upgrade_occt710_correction_of_TObj_Model", null ],
          [ "Redundant environment variables", "occt__upgrade.html#upgrade_710_env", null ],
          [ "Removed features", "occt__upgrade.html#upgrade_710_removed", null ],
          [ "Other changes", "occt__upgrade.html#upgrade_710_changed_methods", null ]
        ] ],
        [ "Upgrade to OCCT 7.2.0", "occt__upgrade.html#upgrade_occt720", [
          [ "Removed features", "occt__upgrade.html#upgrade_720_removed", null ],
          [ "Corrections in BRepOffset API", "occt__upgrade.html#upgrade_occt720_reshape_oriented_removed", null ],
          [ "Corrections in BRepOffset API", "occt__upgrade.html#upgrade_occt720_correction_of_Offset_API", null ],
          [ "Highlight style", "occt__upgrade.html#upgrade_720_highlight", null ],
          [ "Elimination of implicit 3D Viewer updates", "occt__upgrade.html#upgrade_720_implicit_viewer_update", null ],
          [ "Elimination of Quantity_NameOfColor from TKV3d interface classes", "occt__upgrade.html#upgrade_720_v3d_colorname", null ],
          [ "Result of Boolean operations on containers", "occt__upgrade.html#upgrade_720_Result_Of_BOP_On_Containers", null ],
          [ "Other changes", "occt__upgrade.html#upgrade_720_changes_methods", null ],
          [ "BOP - Pairs of interfering indices", "occt__upgrade.html#upgrade_720_BOP_DataStructure", null ],
          [ "Removal of the Draw commands based on old Boolean operations", "occt__upgrade.html#upgrade_720_Removal_Of_Old_Boolean_Operations_Draw", null ],
          [ "Change of Face/Face intersection in Boolean operations", "occt__upgrade.html#upgrade_720_Change_Of_FaceFace_Intersection", null ],
          [ "Restore OCCT 6.9.1 persistence", "occt__upgrade.html#upgrade_720_persistence", null ],
          [ "Change in BRepLib_MakeFace algorithm", "occt__upgrade.html#upgrade_720_Change_In_BRepLib_MakeFace_Algo", null ],
          [ "Change in BRepFill_OffsetWire algorithm", "occt__upgrade.html#upgrade_720_Change_In_BRepFill_OffsetWire", null ],
          [ "Change in Geom(2d)Adaptor_Curve::IsPeriodic", "occt__upgrade.html#upgrade_720_Change_In_GeomAdaptor_Curve", null ],
          [ "Change in algorithm ShapeUpgrade_UnifySameDomain", "occt__upgrade.html#upgrade_720_UnifySameDomain", null ],
          [ "Changes in STL Reader / Writer", "occt__upgrade.html#upgrade_720_Change_In_RWStl", null ],
          [ "Refactoring of the Error/Warning reporting system in Boolean Component", "occt__upgrade.html#upgrade_720_New_Error_Warning_system_in_BOA", null ]
        ] ],
        [ "Upgrade to OCCT 7.2.1", "occt__upgrade.html#upgrade_occt721", [
          [ "Changes in ShapeUpgrade_UnifySameDomain", "occt__upgrade.html#upgrade_721_Changes_In_USD", null ],
          [ "Moving BuildPCurveForEdgeOnPlane from BOPTools_AlgoTools2D to BRepLib", "occt__upgrade.html#upgrade_721_Move_BuildPCurveForEdgeOnPlane", null ],
          [ "Removed features", "occt__upgrade.html#upgrade_721_removed", null ]
        ] ],
        [ "Upgrade to OCCT 7.3.0", "occt__upgrade.html#upgrade_occt730", [
          [ "Light sources", "occt__upgrade.html#upgrade_730_lights", null ],
          [ "Shading Models", "occt__upgrade.html#upgrade_730_shadingmodels", null ],
          [ "Custom low-level OpenGL elements", "occt__upgrade.html#upgrade_730_tkopengl", null ],
          [ "Changes in BOPAlgo_Section", "occt__upgrade.html#upgrade_730_BOPAlgo_Section", null ],
          [ "Changes in BRepAdaptor_CompCurve", "occt__upgrade.html#upgrade_730_BRepAdaptor_CompCurve", null ],
          [ "Removed features", "occt__upgrade.html#upgrade_730_removed", null ],
          [ "Boolean Operations - Solid Builder algorithm", "occt__upgrade.html#upgrade_730_BuilderSolid", null ],
          [ "Boolean Operation classes in BRepAlgo are deprecated", "occt__upgrade.html#upgrade_730_BRepAlgoBO", null ],
          [ "Unification of the Error/Warning reporting system of Application Framework", "occt__upgrade.html#upgrade_730_replace_CDM_MessageDriver_interface_by_Message_Messenger", null ]
        ] ],
        [ "Upgrade to OCCT 7.4.0", "occt__upgrade.html#upgrade_occt740", [
          [ "Changes in BRepPrimAPI_MakeRevol algorithm", "occt__upgrade.html#upgrade_740_BRepPrimAPI_MakeRevol", null ],
          [ "Removed features", "occt__upgrade.html#upgrade_740_removed", null ],
          [ "Local Context removal", "occt__upgrade.html#upgrade_740_localcontext", null ],
          [ "Changes in behavior of Convert algorithms", "occt__upgrade.html#upgrade_740_geomconvert", null ],
          [ "Changes in selection API and picked point calculation algorithm.", "occt__upgrade.html#upgrade_740_selection", null ],
          [ "Document format version management improvement.", "occt__upgrade.html#upgrade_740_ocafpersistence", null ],
          [ "BRepMesh - revision of the data model", "occt__upgrade.html#upgrade_740_changed_api_of_brepmesh", null ],
          [ "Changes in API of Chamfer algorithms", "occt__upgrade.html#upgrade_740_chamfer", null ],
          [ "Aspects unification", "occt__upgrade.html#upgrade_740_aspects", null ],
          [ "Material definition", "occt__upgrade.html#upgrade_740_materials", null ],
          [ "Changes in Graphic3d_Text and OpenGl_Text API", "occt__upgrade.html#upgrade_740_text", null ],
          [ "Presentation invalidation", "occt__upgrade.html#upgrade_740_prsupdate", null ],
          [ "Interior styles", "occt__upgrade.html#upgrade_740_interiorstyles", null ],
          [ "PrsMgr and SelectMgr hierarchy clean up", "occt__upgrade.html#upgrade_740_modedprs", null ],
          [ "Polygon offset defaults", "occt__upgrade.html#upgrade_740_offset", null ],
          [ "Adding ZLayers in given position", "occt__upgrade.html#upgrade_740_zlayer", null ],
          [ "Modified enumerations", "occt__upgrade.html#upgrade_740_enum_changed", null ],
          [ "Custom defines within env.bat", "occt__upgrade.html#upgrade_740_geproj", null ],
          [ "Switching Boolean Operations algorithm to use BVH tree instead of UB tree", "occt__upgrade.html#upgrade_740_BVH_in_BOP", null ],
          [ "Standard_Stream.hxx no more has \"using std::\" statements", "occt__upgrade.html#upgrade_740_stdnamespace", null ]
        ] ],
        [ "Upgrade to OCCT 7.5.0", "occt__upgrade.html#upgrade_occt750", [
          [ "RGB color definition", "occt__upgrade.html#upgrade_750_srgb_color", null ],
          [ "Aspect_Window interface change", "occt__upgrade.html#upgrade_750_aspectwindow", null ],
          [ "Renaming of types", "occt__upgrade.html#upgrade_750_rename", null ],
          [ "change in construction of offset faces", "occt__upgrade.html#upgrade_750_BRepOffset_MakeOffset", null ],
          [ "TKV3d/TKService toolkits changes", "occt__upgrade.html#upgrade_750_tkv3d", null ],
          [ "Prs3d_Drawer deviation angle", "occt__upgrade.html#upgrade_750_hlrangle", null ],
          [ "Changes in HLR presentation API", "occt__upgrade.html#upgrade_750_hlrprs", null ],
          [ "Dimension and Relation presentations moved from AIS to PrsDim", "occt__upgrade.html#upgrade_750_dimensions", null ],
          [ "Select3D_SensitiveEntity interface change", "occt__upgrade.html#upgrade_750_sensitiveEntity", null ],
          [ "Changes in Boolean operations algorithm", "occt__upgrade.html#upgrade_750_Booleans", null ],
          [ "Offset direction change", "occt__upgrade.html#upgrade_750_Adaptor2d_OffsetCurve", null ],
          [ "Change of progress indication API", "occt__upgrade.html#upgrade_750_ProgressIndicator", null ],
          [ "Message_Messenger interface change", "occt__upgrade.html#upgrade_750_message_messenger", null ],
          [ "Message_Printer interface change", "occt__upgrade.html#upgrade_750_message_printer", null ],
          [ "Prs3d_Root deprecation", "occt__upgrade.html#upgrade_750_prd3d_root", null ],
          [ "Support of multiple OCAF application instances", "occt__upgrade.html#upgrade_750_cdf_session", null ],
          [ "Draw Harness hotkeys", "occt__upgrade.html#upgrade_750_draw_hotkeys", null ],
          [ "Utf-8 encoding for message files", "occt__upgrade.html#upgrade_750_msgfile_utf8", null ]
        ] ],
        [ "Upgrade to OCCT 7.6.0", "occt__upgrade.html#upgrade_occt760", [
          [ "Simplification of surface/curve adaptor", "occt__upgrade.html#upgrade_760_handle_adaptors", null ],
          [ "Output of TCollection_ExtendedString to stream", "occt__upgrade.html#upgrade_760_extendedstring_cout", null ],
          [ "Trimming surface", "occt__upgrade.html#upgrade_760_trimming_surface", null ],
          [ "Storage format version of OCAF document", "occt__upgrade.html#upgrade_760_storageformatversion", null ],
          [ "New OCAF document", "occt__upgrade.html#upgrade_760_createdocument", null ],
          [ "Changes in storage of shapes", "occt__upgrade.html#upgrade_760_changesInStorageOfShapes", null ],
          [ "Changes in storage of binary document format", "occt__upgrade.html#upgrade_760_changesBinaryFormat", null ],
          [ "Changes in <em>Poly</em> package and <em>Poly_Triangulation</em> class", "occt__upgrade.html#upgrade_occt760_poly", null ],
          [ "Custom GLSL programs", "occt__upgrade.html#upgrade_occt760_glsl", null ],
          [ "Nodal color modulation", "occt__upgrade.html#upgrade_occt760_noral_colors", null ],
          [ "TKOpenGles library", "occt__upgrade.html#upgrade_occt760_tkopengles", null ],
          [ "Fast access to OCAF label", "occt__upgrade.html#upgrade_occt760_fast_access_to_labels", null ],
          [ "Progress indicator in Boolean operations", "occt__upgrade.html#upgrade_occt760_bop_progress_indicator", null ],
          [ "Changes in BRepLib_CheckCurveOnSurface & GeomLib_CheckCurveOnSurface interfaces", "occt__upgrade.html#upgrade_occt760_change_check_to_adaptors", null ],
          [ "Removal of old Boolean operations algorithm (BRepAlgo_BooleanOperation)", "occt__upgrade.html#upgrade_occt760_old_bop_removed", null ]
        ] ]
      ] ]
    ] ],
    [ "User Guides", "user_guides.html", [
      [ "Foundation Classes", "occt_user_guides__foundation_classes.html", [
        [ "Introduction", "occt_user_guides__foundation_classes.html#occt_fcug_1", [
          [ "Root Classes", "occt_user_guides__foundation_classes.html#autotoc_md49", null ],
          [ "Strings", "occt_user_guides__foundation_classes.html#autotoc_md50", null ],
          [ "Collections", "occt_user_guides__foundation_classes.html#autotoc_md51", null ],
          [ "Collections of Standard Objects", "occt_user_guides__foundation_classes.html#autotoc_md52", null ],
          [ "Vectors and Matrices", "occt_user_guides__foundation_classes.html#autotoc_md53", null ],
          [ "Primitive Geometric Types", "occt_user_guides__foundation_classes.html#autotoc_md54", null ],
          [ "Common Math Algorithms", "occt_user_guides__foundation_classes.html#autotoc_md55", null ],
          [ "Exceptions", "occt_user_guides__foundation_classes.html#autotoc_md56", null ],
          [ "Quantities", "occt_user_guides__foundation_classes.html#autotoc_md57", null ],
          [ "Application services", "occt_user_guides__foundation_classes.html#autotoc_md58", null ]
        ] ],
        [ "Basics", "occt_user_guides__foundation_classes.html#occt_fcug_2", [
          [ "Library organization", "occt_user_guides__foundation_classes.html#occt_fcug_2_a", [
            [ "Modules and toolkits", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_1", null ],
            [ "Packages", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_2", null ],
            [ "Classes", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_3", null ],
            [ "Inheritance", "occt_user_guides__foundation_classes.html#occt_fcug_2_a_5", null ]
          ] ],
          [ "Data Types", "occt_user_guides__foundation_classes.html#occt_fcug_2_1", [
            [ "Primitive Types", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_1", null ],
            [ "Types manipulated by value", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_2", null ],
            [ "Types manipulated by reference (handle)", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_3", null ],
            [ "When is it necessary to use a handle?", "occt_user_guides__foundation_classes.html#occt_fcug_2_1_4", null ]
          ] ],
          [ "Programming with Handles", "occt_user_guides__foundation_classes.html#occt_fcug_2_2", [
            [ "Handle Definition", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_1", null ],
            [ "Organization of Classes", "occt_user_guides__foundation_classes.html#autotoc_md59", null ],
            [ "Using a Handle", "occt_user_guides__foundation_classes.html#autotoc_md60", null ],
            [ "Type Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_2", null ],
            [ "Type Conformity", "occt_user_guides__foundation_classes.html#autotoc_md61", null ],
            [ "Explicit Type Conversion", "occt_user_guides__foundation_classes.html#autotoc_md62", null ],
            [ "Using Handles to Create Objects", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_3", null ],
            [ "Invoking Methods", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_4", null ],
            [ "Invoking Class Methods", "occt_user_guides__foundation_classes.html#autotoc_md63", null ],
            [ "Handle deallocation", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_5", null ],
            [ "Cycles", "occt_user_guides__foundation_classes.html#occt_fcug_2_2_6", null ]
          ] ],
          [ "Memory Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_3", [
            [ "Usage of Memory Manager", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_1", null ],
            [ "How to configure the Memory Manager", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_2", null ],
            [ "Optimization Techniques", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_3", null ],
            [ "Benefits and drawbacks", "occt_user_guides__foundation_classes.html#occt_fcug_2_3_4", null ]
          ] ],
          [ "Exceptions", "occt_user_guides__foundation_classes.html#occt_fcug_2_4", [
            [ "Introduction", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_1", null ],
            [ "Raising an Exception", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_2", null ],
            [ "\"C++ like\" Syntax", "occt_user_guides__foundation_classes.html#autotoc_md64", null ],
            [ "Regular usage", "occt_user_guides__foundation_classes.html#autotoc_md65", null ],
            [ "Handling an Exception", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_3", null ],
            [ "Catching signals", "occt_user_guides__foundation_classes.html#autotoc_md66", null ],
            [ "Implementation on various platforms", "occt_user_guides__foundation_classes.html#occt_fcug_2_4_4", null ]
          ] ],
          [ "Plug-In Management", "occt_user_guides__foundation_classes.html#occt_fcug_2_5", [
            [ "Distribution by Plug-Ins", "occt_user_guides__foundation_classes.html#occt_fcug_2_5_1", null ],
            [ "C++ Plug-In Implementation", "occt_user_guides__foundation_classes.html#autotoc_md67", null ],
            [ "C++ Client Plug-In Implementation", "occt_user_guides__foundation_classes.html#autotoc_md68", null ]
          ] ]
        ] ],
        [ "Collections, Strings, Quantities and Unit Conversion", "occt_user_guides__foundation_classes.html#occt_fcug_3", [
          [ "Collections", "occt_user_guides__foundation_classes.html#occt_fcug_3_1", [
            [ "Overview", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_1", null ],
            [ "Arrays and sequences", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_2", [
              [ "NCollection_Array1", "occt_user_guides__foundation_classes.html#autotoc_md69", null ],
              [ "NCollection_Array2", "occt_user_guides__foundation_classes.html#autotoc_md70", null ],
              [ "NCollection_List", "occt_user_guides__foundation_classes.html#autotoc_md71", null ],
              [ "NCollection_Sequence", "occt_user_guides__foundation_classes.html#autotoc_md72", null ],
              [ "NCollection_Vector", "occt_user_guides__foundation_classes.html#autotoc_md73", null ],
              [ "NCollection_SparseArray", "occt_user_guides__foundation_classes.html#autotoc_md74", null ]
            ] ],
            [ "Maps", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_3", [
              [ "NCollection_DataMap", "occt_user_guides__foundation_classes.html#autotoc_md75", null ],
              [ "NCollection_DoubleMap", "occt_user_guides__foundation_classes.html#autotoc_md76", null ],
              [ "NCollection_IndexedDataMap", "occt_user_guides__foundation_classes.html#autotoc_md77", null ],
              [ "NCollection_IndexedMap", "occt_user_guides__foundation_classes.html#autotoc_md78", null ],
              [ "NCollection_Map", "occt_user_guides__foundation_classes.html#autotoc_md79", null ],
              [ "NCollection_DefaultHasher", "occt_user_guides__foundation_classes.html#autotoc_md80", null ]
            ] ],
            [ "Iterators", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_4", null ],
            [ "Allocators", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_5", null ],
            [ "Acceleration structures", "occt_user_guides__foundation_classes.html#occt_fcug_3_1_6", [
              [ "NCollection_UBTree", "occt_user_guides__foundation_classes.html#autotoc_md81", null ],
              [ "NCollection_CellFilter", "occt_user_guides__foundation_classes.html#autotoc_md82", null ]
            ] ]
          ] ],
          [ "Collections of Standard Objects", "occt_user_guides__foundation_classes.html#occt_fcug_3_2", null ],
          [ "Strings", "occt_user_guides__foundation_classes.html#occt_fcug_3_4", null ],
          [ "Quantities", "occt_user_guides__foundation_classes.html#occt_fcug_3_5", null ],
          [ "Unit Conversion", "occt_user_guides__foundation_classes.html#occt_fcug_3_6", null ]
        ] ],
        [ "Math Primitives and Algorithms", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4", [
          [ "Overview", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_1", null ],
          [ "Vectors and Matrices", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_2", null ],
          [ "Primitive Geometric Types", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_3", null ],
          [ "Collections of Primitive Geometric Types", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_4", null ],
          [ "Basic Geometric Libraries", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_5", null ],
          [ "Common Math Algorithms", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_6", null ],
          [ "Precision", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7", [
            [ "The Precision package", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7_1", null ],
            [ "Standard Precision values", "occt_user_guides__foundation_classes.html#occt_occt_fcug_4_7_2", null ],
            [ "Precision::Angular", "occt_user_guides__foundation_classes.html#autotoc_md83", null ],
            [ "Precision::Confusion", "occt_user_guides__foundation_classes.html#autotoc_md84", null ],
            [ "Precision::Intersection", "occt_user_guides__foundation_classes.html#autotoc_md85", null ],
            [ "Precision::Approximation", "occt_user_guides__foundation_classes.html#autotoc_md86", null ]
          ] ]
        ] ]
      ] ],
      [ "Modeling Data", "occt_user_guides__modeling_data.html", [
        [ "Introduction", "occt_user_guides__modeling_data.html#occt_modat_0", null ],
        [ "Geometry Utilities", "occt_user_guides__modeling_data.html#occt_modat_1", [
          [ "Interpolations and Approximations", "occt_user_guides__modeling_data.html#occt_modat_1_1", [
            [ "Analysis of a set of points", "occt_user_guides__modeling_data.html#occt_modat_1_1_1", null ],
            [ "Basic Interpolation and Approximation", "occt_user_guides__modeling_data.html#occt_modat_1_1_2", null ],
            [ "2D Interpolation", "occt_user_guides__modeling_data.html#autotoc_md87", null ],
            [ "3D Interpolation", "occt_user_guides__modeling_data.html#autotoc_md88", null ],
            [ "2D Approximation", "occt_user_guides__modeling_data.html#autotoc_md89", null ],
            [ "3D Approximation", "occt_user_guides__modeling_data.html#autotoc_md90", null ],
            [ "Surface Approximation", "occt_user_guides__modeling_data.html#autotoc_md91", null ],
            [ "Advanced Approximation", "occt_user_guides__modeling_data.html#occt_modat_1_1_3", null ],
            [ "Approximation by multiple point constraints", "occt_user_guides__modeling_data.html#autotoc_md92", null ],
            [ "Approximation by parametric or geometric constraints", "occt_user_guides__modeling_data.html#autotoc_md93", null ],
            [ "Example: How to approximate a curve with respect to tangency", "occt_user_guides__modeling_data.html#autotoc_md94", null ]
          ] ],
          [ "Direct Construction", "occt_user_guides__modeling_data.html#occt_modat_1_2", [
            [ "Simple geometric entities", "occt_user_guides__modeling_data.html#occt_modat_1_2_1", null ],
            [ "Geometric entities manipulated by handle", "occt_user_guides__modeling_data.html#occt_modat_1_2_2", null ]
          ] ],
          [ "Conversion to and from BSplines", "occt_user_guides__modeling_data.html#occt_modat_1_3", null ],
          [ "Points on Curves", "occt_user_guides__modeling_data.html#occt_modat_1_4", null ],
          [ "Example: Visualizing a curve.", "occt_user_guides__modeling_data.html#autotoc_md95", null ],
          [ "Extrema", "occt_user_guides__modeling_data.html#occt_modat_1_5", null ],
          [ "Extrema between Point and Curve / Surface", "occt_user_guides__modeling_data.html#autotoc_md96", null ],
          [ "Extrema between Curves", "occt_user_guides__modeling_data.html#autotoc_md97", null ],
          [ "Extrema between Curve and Surface", "occt_user_guides__modeling_data.html#autotoc_md98", null ],
          [ "Extrema between Surfaces", "occt_user_guides__modeling_data.html#autotoc_md99", null ]
        ] ],
        [ "2D Geometry", "occt_user_guides__modeling_data.html#occt_modat_2", null ],
        [ "3D Geometry", "occt_user_guides__modeling_data.html#occt_modat_3", null ],
        [ "Topology", "occt_user_guides__modeling_data.html#occt_modat_5", [
          [ "Shape content", "occt_user_guides__modeling_data.html#occt_modat_5_2", [
            [ "Topological types", "occt_user_guides__modeling_data.html#occt_modat_5_2_1", null ],
            [ "Orientation", "occt_user_guides__modeling_data.html#occt_modat_5_2_2", null ],
            [ "State", "occt_user_guides__modeling_data.html#occt_modat_5_2_3", null ],
            [ "Shape Location", "occt_user_guides__modeling_data.html#occt_modat_5_1", null ]
          ] ]
        ] ],
        [ "Change of coordinates", "occt_user_guides__modeling_data.html#autotoc_md100", [
          [ "Manipulating shapes and sub-shapes", "occt_user_guides__modeling_data.html#occt_modat_5_3", null ]
        ] ],
        [ "Classes inheriting TopoDS_Shape", "occt_user_guides__modeling_data.html#autotoc_md101", [
          [ "Exploration of Topological Data Structures", "occt_user_guides__modeling_data.html#occt_modat_5_4", [
            [ "Lists and Maps of Shapes", "occt_user_guides__modeling_data.html#occt_modat_5_5", null ]
          ] ]
        ] ],
        [ "Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4", [
          [ "Local Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4_1", null ],
          [ "Local Properties of Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_2", [
            [ "Example: How to check the surface concavity", "occt_user_guides__modeling_data.html#autotoc_md102", null ]
          ] ],
          [ "Continuity of Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_2a", null ],
          [ "Regularity of Shared Edges", "occt_user_guides__modeling_data.html#occt_modat_4_2b", null ],
          [ "Global Properties of Shapes", "occt_user_guides__modeling_data.html#occt_modat_4_3", null ],
          [ "Adaptors for Curves and Surfaces", "occt_user_guides__modeling_data.html#occt_modat_4_4", null ]
        ] ],
        [ "Bounding boxes", "occt_user_guides__modeling_data.html#occt_modat_6", [
          [ "Brief description of some algorithms working with OBB", "occt_user_guides__modeling_data.html#occt_modat_6_1", [
            [ "Creation of OBB from set of points", "occt_user_guides__modeling_data.html#occt_modat_6_1_1", null ],
            [ "Creation of Optimal OBB from set of points", "occt_user_guides__modeling_data.html#occt_modat_6_1_1_opt", null ],
            [ "Creation of OBB based on Axes of inertia", "occt_user_guides__modeling_data.html#occt_modat_6_1_2", null ],
            [ "Method IsOut for a point", "occt_user_guides__modeling_data.html#occt_modat_6_1_3", null ],
            [ "Method IsOut for another OBB", "occt_user_guides__modeling_data.html#occt_modat_6_1_4", null ],
            [ "Method Add for point or another bounding box", "occt_user_guides__modeling_data.html#occt_modat_6_1_5", null ]
          ] ],
          [ "Add a shape", "occt_user_guides__modeling_data.html#occt_modat_6_2", null ],
          [ "Limitations of algorithm for OBB creation.", "occt_user_guides__modeling_data.html#occt_modat_6_3", null ]
        ] ]
      ] ],
      [ "Modeling Algorithms", "occt_user_guides__modeling_algos.html", [
        [ "Introduction", "occt_user_guides__modeling_algos.html#occt_modalg_1", null ],
        [ "Geometric Tools", "occt_user_guides__modeling_algos.html#occt_modalg_2", [
          [ "Intersections", "occt_user_guides__modeling_algos.html#occt_modalg_2_2", [
            [ "Intersection of two curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_1", null ],
            [ "Intersection of Curves and Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_2", null ],
            [ "Intersection of two Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_2_3", null ]
          ] ],
          [ "Interpolations", "occt_user_guides__modeling_algos.html#occt_modalg_2_3", [
            [ "Geom2dAPI_Interpolate", "occt_user_guides__modeling_algos.html#occt_modalg_2_3_1", null ],
            [ "GeomAPI_Interpolate", "occt_user_guides__modeling_algos.html#occt_modalg_2_3_2", null ]
          ] ],
          [ "Lines and  Circles from Constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_4", [
            [ "Types of constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_1", null ],
            [ "Available types of lines and circles", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_2", null ],
            [ "Exterior/Interior", "occt_user_guides__modeling_algos.html#autotoc_md103", null ],
            [ "Orientation of a Line", "occt_user_guides__modeling_algos.html#autotoc_md104", null ],
            [ "Line tangent to two circles", "occt_user_guides__modeling_algos.html#autotoc_md105", null ],
            [ "Circle of given radius tangent to two circles", "occt_user_guides__modeling_algos.html#autotoc_md106", null ],
            [ "Types of  algorithms", "occt_user_guides__modeling_algos.html#occt_modalg_2_4_3", null ]
          ] ],
          [ "Curves and Surfaces from Constraints", "occt_user_guides__modeling_algos.html#occt_modalg_2_5", [
            [ "Faired and Minimal Variation 2D Curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_1", null ],
            [ "Batten Curves", "occt_user_guides__modeling_algos.html#autotoc_md107", null ],
            [ "Minimal Variation Curves", "occt_user_guides__modeling_algos.html#autotoc_md108", null ],
            [ "Ruled Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_2", null ],
            [ "Creation of Bezier surfaces", "occt_user_guides__modeling_algos.html#autotoc_md109", null ],
            [ "Creation of BSpline surfaces", "occt_user_guides__modeling_algos.html#autotoc_md110", null ],
            [ "Pipe Surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_3", null ],
            [ "Filling a contour", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_4", null ],
            [ "Creation of a Boundary", "occt_user_guides__modeling_algos.html#autotoc_md111", null ],
            [ "Creation of a Boundary with an adjoining surface", "occt_user_guides__modeling_algos.html#autotoc_md112", null ],
            [ "Filling styles", "occt_user_guides__modeling_algos.html#autotoc_md113", null ],
            [ "Plate surfaces", "occt_user_guides__modeling_algos.html#occt_modalg_2_5_5", null ],
            [ "Definition of a Framework", "occt_user_guides__modeling_algos.html#autotoc_md114", null ],
            [ "Definition of a Curve Constraint", "occt_user_guides__modeling_algos.html#autotoc_md115", null ],
            [ "Definition of a Point Constraint", "occt_user_guides__modeling_algos.html#autotoc_md116", null ],
            [ "Applying Geom_Surface to Plate Surfaces", "occt_user_guides__modeling_algos.html#autotoc_md117", null ],
            [ "Approximating a Plate surface to a BSpline", "occt_user_guides__modeling_algos.html#autotoc_md118", null ]
          ] ],
          [ "Projections", "occt_user_guides__modeling_algos.html#occt_modalg_2_6", [
            [ "Projection of a 2D Point on a Curve", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_1", null ],
            [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md119", null ],
            [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md120", null ],
            [ "Calling the parameter of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md121", null ],
            [ "Calling the distance between the start and end points", "occt_user_guides__modeling_algos.html#autotoc_md122", null ],
            [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md123", null ],
            [ "Calling the parameter of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md124", null ],
            [ "Calling the minimum distance from the point to the curve", "occt_user_guides__modeling_algos.html#autotoc_md125", null ],
            [ "Redefined operators", "occt_user_guides__modeling_algos.html#autotoc_md126", null ],
            [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md127", null ],
            [ "Projection of a 3D Point on a Curve", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_2", null ],
            [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md128", null ],
            [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md129", null ],
            [ "Calling the parameter of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md130", null ],
            [ "Calling the distance between the start and end point", "occt_user_guides__modeling_algos.html#autotoc_md131", null ],
            [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md132", null ],
            [ "Calling the parameter of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md133", null ],
            [ "Calling the minimum distance from the point to the curve", "occt_user_guides__modeling_algos.html#autotoc_md134", null ],
            [ "Redefined  operators", "occt_user_guides__modeling_algos.html#autotoc_md135", null ],
            [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md136", null ],
            [ "Projection of a Point on a Surface", "occt_user_guides__modeling_algos.html#occt_modalg_2_6_3", null ],
            [ "Calling the number of solution points", "occt_user_guides__modeling_algos.html#autotoc_md137", null ],
            [ "Calling the location of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md138", null ],
            [ "Calling the parameters of a solution point", "occt_user_guides__modeling_algos.html#autotoc_md139", null ],
            [ "Calling the distance between the start and end point", "occt_user_guides__modeling_algos.html#autotoc_md140", null ],
            [ "Calling the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md141", null ],
            [ "Calling the parameters of the nearest solution point", "occt_user_guides__modeling_algos.html#autotoc_md142", null ],
            [ "Calling the minimum distance from a point to the surface", "occt_user_guides__modeling_algos.html#autotoc_md143", null ],
            [ "Redefined operators", "occt_user_guides__modeling_algos.html#autotoc_md144", null ],
            [ "Access to lower-level functionalities", "occt_user_guides__modeling_algos.html#autotoc_md145", null ],
            [ "Switching from 2d and 3d Curves", "occt_user_guides__modeling_algos.html#occt_modalg_2_12_8", null ]
          ] ]
        ] ],
        [ "Standard  Topological Objects", "occt_user_guides__modeling_algos.html#occt_modalg_3", [
          [ "Vertex", "occt_user_guides__modeling_algos.html#occt_modalg_3_1", null ],
          [ "Edge", "occt_user_guides__modeling_algos.html#occt_modalg_3_2", [
            [ "Basic edge construction method", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_1", null ],
            [ "Supplementary edge construction methods", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_2", null ],
            [ "Other information and error status", "occt_user_guides__modeling_algos.html#occt_modalg_3_2_3", null ]
          ] ],
          [ "Edge 2D", "occt_user_guides__modeling_algos.html#occt_modalg_3_3", null ],
          [ "Polygon", "occt_user_guides__modeling_algos.html#occt_modalg_3_4", null ],
          [ "Face", "occt_user_guides__modeling_algos.html#occt_modalg_3_5", [
            [ "Basic face construction method", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_1", null ],
            [ "Supplementary face construction methods", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_2", null ],
            [ "Error status", "occt_user_guides__modeling_algos.html#occt_modalg_3_5_3", null ]
          ] ],
          [ "Wire", "occt_user_guides__modeling_algos.html#occt_modalg_3_6", null ],
          [ "Shell", "occt_user_guides__modeling_algos.html#occt_modalg_3_7", null ],
          [ "Solid", "occt_user_guides__modeling_algos.html#occt_modalg_3_8", null ]
        ] ],
        [ "Primitives", "occt_user_guides__modeling_algos.html#occt_modalg_4", [
          [ "Making  Primitives", "occt_user_guides__modeling_algos.html#occt_modalg_4_1", [
            [ "Box", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_1", null ],
            [ "Wedge", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_2", null ],
            [ "Rotation object", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_3", null ],
            [ "Cylinder", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_4", null ],
            [ "Cone", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_5", null ],
            [ "Sphere", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_6", null ],
            [ "Torus", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_7", null ],
            [ "Revolution", "occt_user_guides__modeling_algos.html#occt_modalg_4_1_8", null ]
          ] ],
          [ "Sweeping:  Prism, Revolution and Pipe", "occt_user_guides__modeling_algos.html#occt_modalg_4_2", [
            [ "Sweeping", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_1", null ],
            [ "Prism", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_2", null ],
            [ "Rotational Sweep", "occt_user_guides__modeling_algos.html#occt_modalg_4_2_3", null ]
          ] ]
        ] ],
        [ "Boolean Operations", "occt_user_guides__modeling_algos.html#occt_modalg_5", [
          [ "Input and Result Arguments", "occt_user_guides__modeling_algos.html#occt_modalg_5_1", null ],
          [ "Implementation", "occt_user_guides__modeling_algos.html#occt_modalg_5_2", [
            [ "Fuse", "occt_user_guides__modeling_algos.html#autotoc_md146", null ],
            [ "Common", "occt_user_guides__modeling_algos.html#autotoc_md147", null ],
            [ "Cut", "occt_user_guides__modeling_algos.html#autotoc_md148", null ],
            [ "Section", "occt_user_guides__modeling_algos.html#autotoc_md149", null ]
          ] ]
        ] ],
        [ "Topological Tools", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools", [
          [ "Creation of the faces from wireframe model", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_1", null ],
          [ "Classification of the shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_2", null ],
          [ "Orientation of the shapes in the container", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_3", null ],
          [ "Making new shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_4", null ],
          [ "Building PCurves", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_5", null ],
          [ "Checking the validity of the shapes", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_6", null ],
          [ "Taking a point inside the face", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_7", null ],
          [ "Getting normal for the face", "occt_user_guides__modeling_algos.html#occt_modalg_2_topo_tools_8", null ]
        ] ],
        [ "The Topology API", "occt_user_guides__modeling_algos.html#occt_modalg_3a", [
          [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_hist", [
            [ "Deleted shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_del", null ],
            [ "Modified shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_mod", null ],
            [ "Generated shapes", "occt_user_guides__modeling_algos.html#occt_modalg_hist_gen", null ],
            [ "BRepTools_History", "occt_user_guides__modeling_algos.html#occt_modalg_hist_tool", null ],
            [ "DRAW history support", "occt_user_guides__modeling_algos.html#occt_modalg_hist_draw", null ]
          ] ],
          [ "Fillets and  Chamfers", "occt_user_guides__modeling_algos.html#occt_modalg_6", [
            [ "Fillets  <br>", "occt_user_guides__modeling_algos.html#occt_modalg_6_1", null ],
            [ "Fillet on shape", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_1", null ]
          ] ],
          [ "Constant  radius", "occt_user_guides__modeling_algos.html#autotoc_md150", [
            [ "Changing radius", "occt_user_guides__modeling_algos.html#autotoc_md151", null ],
            [ "Chamfer", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_2", null ],
            [ "Fillet on a planar face", "occt_user_guides__modeling_algos.html#occt_modalg_6_1_3", null ]
          ] ]
        ] ],
        [ "Planar Fillet", "occt_user_guides__modeling_algos.html#autotoc_md152", [
          [ "Offsets, Drafts, Pipes and Evolved shapes", "occt_user_guides__modeling_algos.html#occt_modalg_7", [
            [ "Offset computation", "occt_user_guides__modeling_algos.html#occt_modalg_7_1", null ],
            [ "Shelling", "occt_user_guides__modeling_algos.html#occt_modalg_7_2", null ],
            [ "Draft Angle", "occt_user_guides__modeling_algos.html#occt_modalg_7_3", null ],
            [ "Pipe  Constructor", "occt_user_guides__modeling_algos.html#occt_modalg_7_4", null ],
            [ "Evolved Solid", "occt_user_guides__modeling_algos.html#occt_modalg_7_5", null ]
          ] ],
          [ "Object Modification", "occt_user_guides__modeling_algos.html#occt_modalg_3b", [
            [ "Transformation", "occt_user_guides__modeling_algos.html#occt_modalg_3b_1", null ],
            [ "Duplication", "occt_user_guides__modeling_algos.html#occt_modalg_3b_2", null ]
          ] ],
          [ "Error Handling in the Topology API", "occt_user_guides__modeling_algos.html#occt_modalg_3a_1", null ],
          [ "Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8", [
            [ "Introduction", "occt_user_guides__modeling_algos.html#occt_modalg_8_1", null ],
            [ "Sewing Algorithm", "occt_user_guides__modeling_algos.html#occt_modalg_8_2", null ],
            [ "Example", "occt_user_guides__modeling_algos.html#autotoc_md153", null ],
            [ "Tolerance Management", "occt_user_guides__modeling_algos.html#occt_modalg_8_3", null ],
            [ "Manifold and Non-manifold Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8_4", null ],
            [ "Local Sewing", "occt_user_guides__modeling_algos.html#occt_modalg_8_5", null ]
          ] ],
          [ "Features", "occt_user_guides__modeling_algos.html#occt_modalg_9", [
            [ "Form Features", "occt_user_guides__modeling_algos.html#occt_modalg_9_1", null ],
            [ "Mechanical Features", "occt_user_guides__modeling_algos.html#occt_modalg_9_2", null ],
            [ "Split Shape", "occt_user_guides__modeling_algos.html#occt_modalg_9_2_4", null ]
          ] ],
          [ "3D Model Defeaturing", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing", [
            [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing_usage", null ],
            [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_defeaturing_examples", null ]
          ] ],
          [ "3D Model Periodicity", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic", [
            [ "How the shape is made periodic", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_how_it_works", null ],
            [ "Opposite shapes association", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_association", null ],
            [ "Periodic shape repetition", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_repetition", null ],
            [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_history", null ],
            [ "Errors/Warnings", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_errors", null ],
            [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_usage", null ],
            [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_makeperiodic_examples", null ]
          ] ]
        ] ],
        [ "Hidden Line  Removal", "occt_user_guides__modeling_algos.html#occt_modalg_10", [
          [ "Loading Shapes", "occt_user_guides__modeling_algos.html#autotoc_md154", null ],
          [ "Setting view parameters", "occt_user_guides__modeling_algos.html#autotoc_md155", null ],
          [ "Computing the projections", "occt_user_guides__modeling_algos.html#autotoc_md156", null ],
          [ "Extracting edges", "occt_user_guides__modeling_algos.html#autotoc_md157", null ],
          [ "Examples", "occt_user_guides__modeling_algos.html#occt_modalg_10_1", null ],
          [ "HLRBRep_Algo", "occt_user_guides__modeling_algos.html#autotoc_md158", null ],
          [ "HLRBRep_PolyAlgo", "occt_user_guides__modeling_algos.html#autotoc_md159", null ]
        ] ],
        [ "Making touching shapes connected", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected", [
          [ "Material association", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_materials", null ],
          [ "Making connected shape periodic", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_makeperiodic", null ],
          [ "History support", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_history", null ],
          [ "Errors/Warnings", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_errors", null ],
          [ "Usage", "occt_user_guides__modeling_algos.html#occt_modalg_makeconnected_usage", null ]
        ] ]
      ] ],
      [ "Mesh", "occt_user_guides__mesh.html", [
        [ "Mesh presentations", "occt_user_guides__mesh.html#occt_modalg_11_1", null ],
        [ "Meshing algorithm", "occt_user_guides__mesh.html#occt_modalg_11_2", null ],
        [ "BRepMesh Architecture", "occt_user_guides__mesh.html#occt_modalg_11_3", [
          [ "Goals", "occt_user_guides__mesh.html#occt_modalg_11_3_1", null ],
          [ "General workflow", "occt_user_guides__mesh.html#occt_modalg_11_3_2", null ],
          [ "Common interfaces", "occt_user_guides__mesh.html#occt_modalg_11_3_3", null ],
          [ "Create model data structure", "occt_user_guides__mesh.html#occt_modalg_11_3_4", [
            [ "Data model interface", "occt_user_guides__mesh.html#autotoc_md160", null ],
            [ "Collecting data model", "occt_user_guides__mesh.html#autotoc_md161", null ]
          ] ],
          [ "Discretize edges 3D & 2D curves", "occt_user_guides__mesh.html#occt_modalg_11_3_5", null ],
          [ "Heal discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_6", null ],
          [ "Preprocess discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_7", null ],
          [ "Discretize faces", "occt_user_guides__mesh.html#occt_modalg_11_3_8", [
            [ "Range splitter", "occt_user_guides__mesh.html#autotoc_md162", null ]
          ] ],
          [ "Postprocess discrete model", "occt_user_guides__mesh.html#occt_modalg_11_3_9", null ]
        ] ]
      ] ],
      [ "Shape Healing", "occt_user_guides__shape_healing.html", [
        [ "Overview", "occt_user_guides__shape_healing.html#occt_shg_1", [
          [ "Introduction", "occt_user_guides__shape_healing.html#occt_shg_1_1", null ],
          [ "Examples of use", "occt_user_guides__shape_healing.html#occt_shg_1_2", [
            [ "Face with missing seam edge", "occt_user_guides__shape_healing.html#autotoc_md163", null ],
            [ "Wrong orientation of wires", "occt_user_guides__shape_healing.html#autotoc_md164", null ],
            [ "Self-intersecting wire", "occt_user_guides__shape_healing.html#autotoc_md165", null ],
            [ "Lacking edge", "occt_user_guides__shape_healing.html#autotoc_md166", null ]
          ] ],
          [ "Toolkit Structure", "occt_user_guides__shape_healing.html#occt_shg_1_3", null ],
          [ "Querying the statuses", "occt_user_guides__shape_healing.html#occt_shg_1_4", null ]
        ] ],
        [ "Repair", "occt_user_guides__shape_healing.html#occt_shg_2", [
          [ "Basic Shape Repair", "occt_user_guides__shape_healing.html#occt_shg_2_1", null ],
          [ "Shape Correction.", "occt_user_guides__shape_healing.html#occt_shg_2_2", [
            [ "Fixing sub-shapes", "occt_user_guides__shape_healing.html#occt_shg_2_2_1", null ]
          ] ],
          [ "Repairing tools", "occt_user_guides__shape_healing.html#occt_shg_2_3", [
            [ "General Workflow", "occt_user_guides__shape_healing.html#occt_shg_2_3_1", null ],
            [ "Flags Management", "occt_user_guides__shape_healing.html#occt_shg_2_3_2", null ],
            [ "Repairing tool for shapes", "occt_user_guides__shape_healing.html#occt_shg_2_3_3", null ],
            [ "Repairing tool for solids", "occt_user_guides__shape_healing.html#occt_shg_2_3_4", null ],
            [ "Repairing tool for shells", "occt_user_guides__shape_healing.html#occt_shg_2_3_5", null ],
            [ "Repairing tool for faces", "occt_user_guides__shape_healing.html#occt_shg_2_3_6", null ],
            [ "Repairing tool for wires", "occt_user_guides__shape_healing.html#occt_shg_2_3_7", null ],
            [ "Fixing disordered edges", "occt_user_guides__shape_healing.html#autotoc_md167", null ],
            [ "Fixing small edges", "occt_user_guides__shape_healing.html#autotoc_md168", null ],
            [ "Fixing disconnected edges", "occt_user_guides__shape_healing.html#autotoc_md169", null ],
            [ "Fixing the consistency of edge curves", "occt_user_guides__shape_healing.html#autotoc_md170", null ],
            [ "Fixing degenerated edges", "occt_user_guides__shape_healing.html#autotoc_md171", null ],
            [ "Fixing intersections of 2D curves of the edges", "occt_user_guides__shape_healing.html#autotoc_md172", null ],
            [ "Fixing a lacking edge", "occt_user_guides__shape_healing.html#autotoc_md173", null ],
            [ "Fixing gaps in 2D and 3D wire by geometrical filling", "occt_user_guides__shape_healing.html#autotoc_md174", null ],
            [ "Example: A custom set of fixes", "occt_user_guides__shape_healing.html#autotoc_md175", null ],
            [ "Example: Correction of a wire", "occt_user_guides__shape_healing.html#autotoc_md176", null ],
            [ "Repairing tool for edges", "occt_user_guides__shape_healing.html#occt_shg_2_3_8", null ],
            [ "Repairing tool for the wireframe of a shape", "occt_user_guides__shape_healing.html#occt_shg_2_3_9", null ],
            [ "Tool for removing small faces from a shape", "occt_user_guides__shape_healing.html#occt_shg_2_3_10", null ],
            [ "Tool to modify  tolerances of shapes (Class ShapeFix_ShapeTolerance).", "occt_user_guides__shape_healing.html#occt_shg_2_3_11", null ]
          ] ]
        ] ],
        [ "Analysis", "occt_user_guides__shape_healing.html#occt_shg_3", [
          [ "Analysis of shape validity", "occt_user_guides__shape_healing.html#occt_shg_3_1", [
            [ "Analysis of orientation of wires on a face.", "occt_user_guides__shape_healing.html#occt_shg_3_1_1", null ],
            [ "Analysis of wire validity", "occt_user_guides__shape_healing.html#occt_shg_3_1_2", null ],
            [ "Analysis of edge validity", "occt_user_guides__shape_healing.html#occt_shg_3_1_3", null ],
            [ "Analysis of presence of small faces", "occt_user_guides__shape_healing.html#occt_shg_3_1_4", null ],
            [ "Analysis of shell validity and closure", "occt_user_guides__shape_healing.html#occt_shg_3_1_5", null ]
          ] ],
          [ "Analysis of shape properties.", "occt_user_guides__shape_healing.html#occt_shg_3_2", [
            [ "Analysis of tolerance on shape", "occt_user_guides__shape_healing.html#occt_shg_3_2_1", null ],
            [ "Analysis of free boundaries.", "occt_user_guides__shape_healing.html#occt_shg_3_2_2", null ],
            [ "Analysis of shape contents", "occt_user_guides__shape_healing.html#occt_shg_3_2_3", null ]
          ] ]
        ] ],
        [ "Upgrading", "occt_user_guides__shape_healing.html#occt_shg_4", [
          [ "Tools for splitting a shape according to a specified criterion", "occt_user_guides__shape_healing.html#occt_shg_4_1", [
            [ "Overview", "occt_user_guides__shape_healing.html#occt_shg_4_1_1", null ],
            [ "Using tools available for shape splitting.", "occt_user_guides__shape_healing.html#occt_shg_4_1_2", null ],
            [ "Creation of a new tool for splitting a shape.", "occt_user_guides__shape_healing.html#occt_shg_4_1_3", null ]
          ] ],
          [ "General splitting tools.", "occt_user_guides__shape_healing.html#occt_shg_4_2", [
            [ "General tool for shape splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_1", null ],
            [ "General tool for face splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_2", null ],
            [ "General tool for wire splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_3", null ],
            [ "General tool for edge splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_4", null ],
            [ "General tools for geometry splitting", "occt_user_guides__shape_healing.html#occt_shg_4_2_5", null ]
          ] ],
          [ "Specific splitting tools.", "occt_user_guides__shape_healing.html#occt_shg_4_3", [
            [ "Conversion of shape geometry to the target continuity", "occt_user_guides__shape_healing.html#occt_shg_4_3_1", null ],
            [ "Splitting by angle", "occt_user_guides__shape_healing.html#occt_shg_4_3_2", null ],
            [ "Conversion of 2D, 3D curves and surfaces to Bezier", "occt_user_guides__shape_healing.html#occt_shg_4_3_3", null ],
            [ "Tool for splitting closed faces", "occt_user_guides__shape_healing.html#occt_shg_4_3_4", null ],
            [ "Tool for splitting a C0 BSpline 2D or 3D curve to a sequence C1 BSpline curves", "occt_user_guides__shape_healing.html#occt_shg_4_3_5", null ],
            [ "Tool for splitting faces", "occt_user_guides__shape_healing.html#occt_shg_4_3_6", null ],
            [ "Additional methods", "occt_user_guides__shape_healing.html#autotoc_md177", null ]
          ] ],
          [ "Customization of shapes", "occt_user_guides__shape_healing.html#occt_shg_4_4", [
            [ "Conversion of indirect surfaces.", "occt_user_guides__shape_healing.html#occt_shg_4_4_1", null ],
            [ "Shape Scaling", "occt_user_guides__shape_healing.html#occt_shg_4_4_2", null ],
            [ "Conversion of curves and surfaces to BSpline", "occt_user_guides__shape_healing.html#occt_shg_4_4_3", null ],
            [ "Flags", "occt_user_guides__shape_healing.html#autotoc_md178", null ],
            [ "Conversion of elementary surfaces into surfaces of revolution", "occt_user_guides__shape_healing.html#occt_shg_4_4_4", null ],
            [ "Conversion of elementary surfaces into Bspline surfaces", "occt_user_guides__shape_healing.html#occt_shg_4_4_5", null ],
            [ "Getting the history of modification of sub-shapes.", "occt_user_guides__shape_healing.html#occt_shg_4_4_6", null ],
            [ "Remove internal wires", "occt_user_guides__shape_healing.html#occt_shg_4_4_7", null ],
            [ "Conversion of surfaces", "occt_user_guides__shape_healing.html#occt_shg_4_4_8", null ],
            [ "Unify Same Domain", "occt_user_guides__shape_healing.html#occt_shg_4_4_9", null ]
          ] ]
        ] ],
        [ "Auxiliary tools for repairing, analysis and upgrading", "occt_user_guides__shape_healing.html#occt_shg_5_", [
          [ "Tool for rebuilding shapes", "occt_user_guides__shape_healing.html#occt_shg_5_1", null ],
          [ "Status definition", "occt_user_guides__shape_healing.html#occt_shg_5_2", null ],
          [ "Tool representing a wire", "occt_user_guides__shape_healing.html#occt_shg_5_3", null ],
          [ "Tool for exploring shapes", "occt_user_guides__shape_healing.html#occt_shg_5_4", null ],
          [ "Tool for attaching messages to objects", "occt_user_guides__shape_healing.html#occt_shg_5_5", null ],
          [ "Tools for performance measurement", "occt_user_guides__shape_healing.html#occt_shg_5_6", null ]
        ] ],
        [ "Shape Processing", "occt_user_guides__shape_healing.html#occt_shg_6", [
          [ "Usage Workflow", "occt_user_guides__shape_healing.html#occt_shg_6_1", null ],
          [ "Operators", "occt_user_guides__shape_healing.html#occt_shg_6_2", null ],
          [ "DirectFaces", "occt_user_guides__shape_healing.html#autotoc_md179", null ],
          [ "SameParameter", "occt_user_guides__shape_healing.html#autotoc_md180", null ],
          [ "BSplineRestriction", "occt_user_guides__shape_healing.html#autotoc_md181", null ],
          [ "ElementaryToRevolution", "occt_user_guides__shape_healing.html#autotoc_md182", null ],
          [ "SplitAngle", "occt_user_guides__shape_healing.html#autotoc_md183", null ],
          [ "SurfaceToBSpline", "occt_user_guides__shape_healing.html#autotoc_md184", null ],
          [ "ToBezier", "occt_user_guides__shape_healing.html#autotoc_md185", null ],
          [ "SplitContinuity", "occt_user_guides__shape_healing.html#autotoc_md186", null ],
          [ "SplitClosedFaces", "occt_user_guides__shape_healing.html#autotoc_md187", null ],
          [ "FixGaps", "occt_user_guides__shape_healing.html#autotoc_md188", null ],
          [ "FixFaceSize", "occt_user_guides__shape_healing.html#autotoc_md189", null ],
          [ "DropSmallEdges", "occt_user_guides__shape_healing.html#autotoc_md190", null ],
          [ "FixShape", "occt_user_guides__shape_healing.html#autotoc_md191", null ],
          [ "SplitClosedEdges", "occt_user_guides__shape_healing.html#autotoc_md192", null ]
        ] ],
        [ "Messaging mechanism", "occt_user_guides__shape_healing.html#occt_shg_7", [
          [ "Message Gravity", "occt_user_guides__shape_healing.html#occt_shg_7_1", null ],
          [ "Tool for loading a message file into memory", "occt_user_guides__shape_healing.html#occt_shg_7_2", null ],
          [ "Format of the message file", "occt_user_guides__shape_healing.html#autotoc_md193", null ],
          [ "Loading the message file", "occt_user_guides__shape_healing.html#autotoc_md194", null ],
          [ "Tool for managing filling messages", "occt_user_guides__shape_healing.html#occt_shg_7_3", null ],
          [ "Tool for managing trace files", "occt_user_guides__shape_healing.html#occt_shg_7_4", null ]
        ] ]
      ] ],
      [ "Visualization", "occt_user_guides__visualization.html", [
        [ "Introduction", "occt_user_guides__visualization.html#occt_visu_1", null ],
        [ "Fundamental Concepts", "occt_user_guides__visualization.html#occt_visu_2", [
          [ "Presentation", "occt_user_guides__visualization.html#occt_visu_2_1", [
            [ "Structure of the Presentation", "occt_user_guides__visualization.html#occt_visu_2_1_1", null ],
            [ "The presentable object", "occt_user_guides__visualization.html#autotoc_md195", null ],
            [ "The viewer", "occt_user_guides__visualization.html#autotoc_md196", null ],
            [ "The Interactive Context", "occt_user_guides__visualization.html#autotoc_md197", null ],
            [ "Presentation packages", "occt_user_guides__visualization.html#occt_visu_2_1_2", null ],
            [ "A Basic Example: How to display a 3D object", "occt_user_guides__visualization.html#occt_visu_2_1_3", null ]
          ] ],
          [ "Selection", "occt_user_guides__visualization.html#occt_visu_2_2", [
            [ "Terms and notions", "occt_user_guides__visualization.html#occt_visu_2_2_1", null ],
            [ "Sensitive entity", "occt_user_guides__visualization.html#autotoc_md198", null ],
            [ "Entity owner", "occt_user_guides__visualization.html#autotoc_md199", null ],
            [ "Selection", "occt_user_guides__visualization.html#autotoc_md200", null ],
            [ "Selectable object", "occt_user_guides__visualization.html#autotoc_md201", null ],
            [ "Viewer selector", "occt_user_guides__visualization.html#autotoc_md202", null ],
            [ "Selection manager", "occt_user_guides__visualization.html#autotoc_md203", null ],
            [ "Algorithm", "occt_user_guides__visualization.html#occt_visu_2_2_2", null ],
            [ "Selection Frustum", "occt_user_guides__visualization.html#autotoc_md204", null ],
            [ "BVH trees", "occt_user_guides__visualization.html#autotoc_md205", null ],
            [ "Stages of the algorithm", "occt_user_guides__visualization.html#autotoc_md206", [
              [ "Pre-processing", "occt_user_guides__visualization.html#autotoc_md207", null ],
              [ "First stage – traverse of the first level BVH tree", "occt_user_guides__visualization.html#autotoc_md208", null ],
              [ "Second stage – traversal of the second level BVH tree", "occt_user_guides__visualization.html#autotoc_md209", null ],
              [ "Third stage – overlap or inclusion test of a particular sensitive entity", "occt_user_guides__visualization.html#autotoc_md210", null ]
            ] ],
            [ "Packages and classes", "occt_user_guides__visualization.html#occt_visu_2_2_3", null ],
            [ "SelectBasics", "occt_user_guides__visualization.html#autotoc_md211", null ],
            [ "Select3D", "occt_user_guides__visualization.html#autotoc_md212", null ],
            [ "SelectMgr", "occt_user_guides__visualization.html#autotoc_md213", null ],
            [ "StdSelect", "occt_user_guides__visualization.html#autotoc_md214", null ],
            [ "Examples of usage", "occt_user_guides__visualization.html#occt_visu_2_2_4", null ]
          ] ]
        ] ],
        [ "Application Interactive Services", "occt_user_guides__visualization.html#occt_visu_3", [
          [ "Introduction", "occt_user_guides__visualization.html#occt_visu_3_1", null ],
          [ "Interactive objects", "occt_user_guides__visualization.html#occt_visu_3_2", [
            [ "Presentations", "occt_user_guides__visualization.html#occt_visu_3_2_1", null ],
            [ "For 3D:", "occt_user_guides__visualization.html#autotoc_md215", null ],
            [ "For hidden line removal (HLR) mode in 3D:", "occt_user_guides__visualization.html#autotoc_md216", null ],
            [ "Hidden Line Removal", "occt_user_guides__visualization.html#occt_visu_3_2_2", null ],
            [ "Presentation modes", "occt_user_guides__visualization.html#occt_visu_3_2_3", null ],
            [ "Display Mode", "occt_user_guides__visualization.html#autotoc_md217", null ],
            [ "Highlight Mode", "occt_user_guides__visualization.html#autotoc_md218", null ],
            [ "Infinite Status", "occt_user_guides__visualization.html#autotoc_md219", null ],
            [ "Selection", "occt_user_guides__visualization.html#occt_visu_3_2_4", null ],
            [ "Graphic attributes", "occt_user_guides__visualization.html#occt_visu_3_2_5", null ],
            [ "Complementary Services", "occt_user_guides__visualization.html#occt_visu_3_2_6", null ],
            [ "Change the location of an interactive object", "occt_user_guides__visualization.html#autotoc_md220", null ],
            [ "Connect an interactive object to an applicative entity", "occt_user_guides__visualization.html#autotoc_md221", null ],
            [ "Resolving coincident topology", "occt_user_guides__visualization.html#autotoc_md222", null ],
            [ "Object hierarchy", "occt_user_guides__visualization.html#occt_visu_3_2_7", null ],
            [ "Instancing", "occt_user_guides__visualization.html#occt_visu_3_2_8", null ]
          ] ],
          [ "Interactive Context", "occt_user_guides__visualization.html#occt_visu_3_3", [
            [ "Rules", "occt_user_guides__visualization.html#occt_visu_3_3_1", null ],
            [ "Groups of functions", "occt_user_guides__visualization.html#occt_visu_3_3_2", null ],
            [ "Management of the Interactive Context", "occt_user_guides__visualization.html#occt_visu_3_3_3", null ]
          ] ],
          [ "Local Selection", "occt_user_guides__visualization.html#occt_visu_3_4", [
            [ "Selection Modes", "occt_user_guides__visualization.html#occt_visu_3_4_1", null ],
            [ "Filters", "occt_user_guides__visualization.html#occt_visu_3_4_2", null ],
            [ "Example", "occt_user_guides__visualization.html#autotoc_md223", null ],
            [ "Selection", "occt_user_guides__visualization.html#occt_visu_3_4_6", null ],
            [ "Example", "occt_user_guides__visualization.html#autotoc_md224", null ],
            [ "Selection schemes", "occt_user_guides__visualization.html#occt_visu_3_4_7", null ]
          ] ],
          [ "Standard Interactive Object Classes", "occt_user_guides__visualization.html#occt_visu_3_5", [
            [ "Datum", "occt_user_guides__visualization.html#occt_visu_3_5_1", null ],
            [ "Object", "occt_user_guides__visualization.html#occt_visu_3_5_2", null ],
            [ "Relations", "occt_user_guides__visualization.html#occt_visu_3_5_3", null ],
            [ "Dimensions", "occt_user_guides__visualization.html#occt_visu_3_5_4", null ],
            [ "MeshVS_Mesh", "occt_user_guides__visualization.html#occt_visu_3_5_5", null ]
          ] ],
          [ "Dynamic Selection", "occt_user_guides__visualization.html#occt_visu_3_6", null ]
        ] ],
        [ "3D Presentations", "occt_user_guides__visualization.html#occt_visu_4", [
          [ "Glossary of 3D terms", "occt_user_guides__visualization.html#occt_visu_4_1", null ],
          [ "Graphic primitives", "occt_user_guides__visualization.html#occt_visu_4_2", [
            [ "Structure hierarchies", "occt_user_guides__visualization.html#occt_visu_4_2_2", null ],
            [ "Graphic primitives", "occt_user_guides__visualization.html#occt_visu_4_2_3", null ],
            [ "Primitive arrays", "occt_user_guides__visualization.html#occt_visu_4_2_4", null ],
            [ "Text primitive", "occt_user_guides__visualization.html#occt_visu_4_2_5", null ],
            [ "Materials", "occt_user_guides__visualization.html#occt_visu_4_2_6", null ],
            [ "Textures", "occt_user_guides__visualization.html#occt_visu_4_2_7", null ],
            [ "Custom shaders", "occt_user_guides__visualization.html#occt_visu_4_2_8", null ]
          ] ],
          [ "Graphic attributes", "occt_user_guides__visualization.html#occt_visu_4_3", [
            [ "Aspect package overview", "occt_user_guides__visualization.html#occt_visu_4_3_1", null ]
          ] ],
          [ "3D view facilities", "occt_user_guides__visualization.html#occt_visu_4_4", [
            [ "Overview", "occt_user_guides__visualization.html#occt_visu_4_4_1", null ],
            [ "A programming example", "occt_user_guides__visualization.html#occt_visu_4_4_2", null ],
            [ "Define viewing parameters", "occt_user_guides__visualization.html#occt_visu_4_4_3", null ],
            [ "Orthographic Projection", "occt_user_guides__visualization.html#occt_visu_4_4_4", null ],
            [ "Perspective Projection", "occt_user_guides__visualization.html#occt_visu_4_4_5", null ],
            [ "Stereographic Projection", "occt_user_guides__visualization.html#occt_visu_4_4_6", null ],
            [ "View frustum culling", "occt_user_guides__visualization.html#occt_visu_4_4_7", null ],
            [ "View background styles", "occt_user_guides__visualization.html#occt_visu_4_4_9", null ],
            [ "Dumping a 3D scene into an image file", "occt_user_guides__visualization.html#occt_visu_4_4_10", null ],
            [ "Ray tracing support", "occt_user_guides__visualization.html#occt_visu_4_4_13", null ],
            [ "Display priorities", "occt_user_guides__visualization.html#occt_visu_4_4_14", null ],
            [ "Z-layer support", "occt_user_guides__visualization.html#occt_visu_4_4_15", null ],
            [ "Clipping planes", "occt_user_guides__visualization.html#occt_visu_4_4_16", null ],
            [ "Automatic back face culling", "occt_user_guides__visualization.html#occt_visu_4_4_17", null ]
          ] ],
          [ "Examples: creating a 3D scene", "occt_user_guides__visualization.html#occt_visu_4_5", [
            [ "Create attributes", "occt_user_guides__visualization.html#occt_visu_4_5_1", null ],
            [ "Create a 3D Viewer (a Windows example)", "occt_user_guides__visualization.html#occt_visu_4_5_2", null ],
            [ "Create a 3D view (a Windows example)", "occt_user_guides__visualization.html#occt_visu_4_5_3", null ],
            [ "Create an interactive context", "occt_user_guides__visualization.html#occt_visu_4_5_4", null ],
            [ "Create your own interactive object", "occt_user_guides__visualization.html#occt_visu_4_5_5", null ],
            [ "Create primitives in the interactive object", "occt_user_guides__visualization.html#occt_visu_4_5_6", null ]
          ] ]
        ] ],
        [ "Mesh Visualization Services", "occt_user_guides__visualization.html#occt_visu_5", null ]
      ] ],
      [ "VTK Integration Services (VIS)", "occt_user_guides__vis.html", [
        [ "Introduction", "occt_user_guides__vis.html#occt_vis_1", null ],
        [ "Component Architecture", "occt_user_guides__vis.html#occt_vis_2", [
          [ "Common structure", "occt_user_guides__vis.html#occt_vis_2_1", null ],
          [ "IVtk package", "occt_user_guides__vis.html#occt_vis_2_2", null ],
          [ "IVtkOCC package", "occt_user_guides__vis.html#occt_vis_2_3", null ],
          [ "IVtkVtk package", "occt_user_guides__vis.html#occt_vis_2_4", null ],
          [ "IVtkTools package", "occt_user_guides__vis.html#occt_vis_2_5", null ]
        ] ],
        [ "Using high-level API (simple scenario)", "occt_user_guides__vis.html#occt_vis_3", [
          [ "OCCT shape presentation in VTK viewer", "occt_user_guides__vis.html#occt_vis_3_1", null ],
          [ "Color schemes", "occt_user_guides__vis.html#occt_vis_3_2", [
            [ "Default OCCT color scheme", "occt_user_guides__vis.html#occt_vis_3_2_1", null ],
            [ "Custom color scheme", "occt_user_guides__vis.html#occt_vis_3_2_2", null ],
            [ "Setting custom colors for sub-shapes", "occt_user_guides__vis.html#occt_vis_3_2_3", null ],
            [ "Using color scheme of mapper", "occt_user_guides__vis.html#occt_vis_3_2_4", null ]
          ] ],
          [ "Display modes", "occt_user_guides__vis.html#occt_vis_3_3", null ],
          [ "Interactive selection", "occt_user_guides__vis.html#occt_vis_3_4", [
            [ "Selection of sub-shapes", "occt_user_guides__vis.html#occt_vis_3_5", null ]
          ] ]
        ] ],
        [ "Using of low-level API (advanced scenario)", "occt_user_guides__vis.html#occt_vis_4", [
          [ "Shape presentation", "occt_user_guides__vis.html#occt_vis_4_1", null ],
          [ "Usage of OCCT picking algorithm", "occt_user_guides__vis.html#occt_vis_4_2", null ]
        ] ],
        [ "DRAW Test Harness", "occt_user_guides__vis.html#occt_vis_5", null ]
      ] ],
      [ "IGES Translator", "occt_user_guides__iges.html", [
        [ "Introduction", "occt_user_guides__iges.html#occt_iges_1", null ],
        [ "Reading IGES", "occt_user_guides__iges.html#occt_iges_2", [
          [ "Procedure", "occt_user_guides__iges.html#occt_iges_2_1", null ],
          [ "Domain covered", "occt_user_guides__iges.html#occt_iges_2_2", [
            [ "Translatable entities", "occt_user_guides__iges.html#occt_iges_2_2_1", null ],
            [ "Attributes", "occt_user_guides__iges.html#occt_iges_2_2_2", null ],
            [ "Administrative data", "occt_user_guides__iges.html#occt_iges_2_2_3", null ]
          ] ],
          [ "Description of the process", "occt_user_guides__iges.html#occt_iges_2_3", [
            [ "Loading the IGES file", "occt_user_guides__iges.html#occt_iges_2_3_1", null ],
            [ "Checking the IGES file", "occt_user_guides__iges.html#occt_iges_2_3_2", null ],
            [ "Setting translation parameters", "occt_user_guides__iges.html#occt_iges_2_3_3", null ],
            [ "Selecting entities", "occt_user_guides__iges.html#occt_iges_2_3_4", null ],
            [ "Performing the  IGES file translation", "occt_user_guides__iges.html#occt_iges_2_3_5", null ],
            [ "Getting the  translation results", "occt_user_guides__iges.html#occt_iges_2_3_6", null ]
          ] ],
          [ "Mapping of IGES  entities to Open CASCADE Technology shapes", "occt_user_guides__iges.html#occt_iges_2_4", [
            [ "Points", "occt_user_guides__iges.html#occt_iges_2_4_1", null ],
            [ "Curves", "occt_user_guides__iges.html#occt_iges_2_4_2", null ],
            [ "Surfaces", "occt_user_guides__iges.html#occt_iges_2_4_3", null ],
            [ "Boundary Representation  Solid Entities", "occt_user_guides__iges.html#occt_iges_2_4_4", null ],
            [ "Structure Entities", "occt_user_guides__iges.html#occt_iges_2_4_5", null ],
            [ "Subfigures", "occt_user_guides__iges.html#occt_iges_2_4_6", null ],
            [ "Transformation Matrix  <br>", "occt_user_guides__iges.html#occt_iges_2_4_7", null ]
          ] ],
          [ "Messages", "occt_user_guides__iges.html#occt_iges_2_5", null ],
          [ "Tolerance management", "occt_user_guides__iges.html#occt_iges_2_6", [
            [ "Values used for tolerances during reading IGES", "occt_user_guides__iges.html#occt_iges_2_6_1", null ],
            [ "Initial setting of tolerances in translating  objects", "occt_user_guides__iges.html#occt_iges_2_6_2", null ],
            [ "Transfer process", "occt_user_guides__iges.html#occt_iges_2_6_3", null ]
          ] ],
          [ "Code architecture", "occt_user_guides__iges.html#occt_iges_2_7", null ],
          [ "Example", "occt_user_guides__iges.html#occt_iges_2_8", null ]
        ] ],
        [ "Writing IGES", "occt_user_guides__iges.html#occt_iges_3", [
          [ "Procedure", "occt_user_guides__iges.html#occt_iges_3_1", null ],
          [ "Domain covered", "occt_user_guides__iges.html#occt_iges_3_2", null ],
          [ "Description of the process", "occt_user_guides__iges.html#occt_iges_3_3", [
            [ "Initializing the process", "occt_user_guides__iges.html#occt_iges_3_3_1", null ],
            [ "Setting the translation parameters", "occt_user_guides__iges.html#occt_iges_3_3_2", null ],
            [ "Performing the Open  CASCADE Technology shape translation", "occt_user_guides__iges.html#occt_iges_3_3_3", null ],
            [ "Writing the IGES  file", "occt_user_guides__iges.html#occt_iges_3_3_4", null ]
          ] ],
          [ "Mapping Open CASCADE  Technology shapes to IGES entities", "occt_user_guides__iges.html#occt_iges_3_4", [
            [ "Curves", "occt_user_guides__iges.html#occt_iges_3_4_1", null ],
            [ "Surfaces", "occt_user_guides__iges.html#occt_iges_3_4_2", null ],
            [ "Topological entities – Translation in Face mode", "occt_user_guides__iges.html#occt_iges_3_4_3", null ],
            [ "Topological entities – Translation in BRep mode", "occt_user_guides__iges.html#occt_iges_3_4_4", null ]
          ] ],
          [ "Tolerance  management", "occt_user_guides__iges.html#occt_iges_3_5", [
            [ "Setting  resolution in an IGES file", "occt_user_guides__iges.html#occt_iges_3_5_1", null ]
          ] ],
          [ "Code architecture", "occt_user_guides__iges.html#occt_iges_3_6", [
            [ "Graph of calls", "occt_user_guides__iges.html#occt_iges_3_6_1", null ]
          ] ],
          [ "Example", "occt_user_guides__iges.html#occt_iges_3_7", null ]
        ] ],
        [ "Using XSTEPDRAW", "occt_user_guides__iges.html#occt_iges_4", [
          [ "Setting interface  parameters", "occt_user_guides__iges.html#occt_iges_4_2", null ],
          [ "Reading IGES files", "occt_user_guides__iges.html#occt_iges_4_3", null ],
          [ "Analyzing the transferred data", "occt_user_guides__iges.html#occt_iges_4_4", [
            [ "Checking file contents", "occt_user_guides__iges.html#occt_iges_4_4_1", null ],
            [ "Estimating the results of reading IGES", "occt_user_guides__iges.html#occt_iges_4_4_2", null ]
          ] ],
          [ "Writing an IGES file", "occt_user_guides__iges.html#occt_iges_4_5", null ]
        ] ],
        [ "Reading from and writing to IGES", "occt_user_guides__iges.html#occt_iges_5", [
          [ "Reading from IGES", "occt_user_guides__iges.html#occt_iges_5_1", null ],
          [ "Load an IGES file", "occt_user_guides__iges.html#autotoc_md225", null ],
          [ "Check the loaded IGES file", "occt_user_guides__iges.html#autotoc_md226", null ],
          [ "Set parameters for translation to XDE", "occt_user_guides__iges.html#autotoc_md227", null ],
          [ "Translate an IGES file to XDE", "occt_user_guides__iges.html#autotoc_md228", null ],
          [ "Writing to IGES", "occt_user_guides__iges.html#occt_iges_5_2", null ],
          [ "Set parameters for translation from XDE to IGES", "occt_user_guides__iges.html#autotoc_md229", null ],
          [ "Translate an XDE  document to IGES", "occt_user_guides__iges.html#autotoc_md230", null ],
          [ "Write an IGES file", "occt_user_guides__iges.html#autotoc_md231", null ]
        ] ]
      ] ],
      [ "STEP Translator", "occt_user_guides__step.html", [
        [ "Introduction", "occt_user_guides__step.html#occt_step_1", [
          [ "STEP Exchanges in Open Cascade technology", "occt_user_guides__step.html#occt_step_1_1", null ],
          [ "STEP Interface", "occt_user_guides__step.html#occt_step_1_2", null ]
        ] ],
        [ "Reading STEP", "occt_user_guides__step.html#occt_step_2", [
          [ "Procedure", "occt_user_guides__step.html#occt_step_2_1", null ],
          [ "Domain covered", "occt_user_guides__step.html#occt_step_2_2", [
            [ "Assemblies", "occt_user_guides__step.html#occt_step_2_2_1", null ],
            [ "Shape representations", "occt_user_guides__step.html#occt_step_2_2_2", null ],
            [ "Topological entities", "occt_user_guides__step.html#occt_step_2_2_3", null ],
            [ "Geometrical entities", "occt_user_guides__step.html#occt_step_2_2_4", null ]
          ] ],
          [ "Description of the process", "occt_user_guides__step.html#occt_step_2_3", [
            [ "Loading the STEP file", "occt_user_guides__step.html#occt_step_2_3_1", null ],
            [ "Checking the STEP file", "occt_user_guides__step.html#occt_step_2_3_2", null ],
            [ "Setting the translation parameters", "occt_user_guides__step.html#occt_step_2_3_3", null ],
            [ "Performing the STEP file translation", "occt_user_guides__step.html#occt_step_2_3_4", null ],
            [ "Getting the translation results", "occt_user_guides__step.html#occt_step_2_3_5", null ],
            [ "Selecting STEP entities for translation", "occt_user_guides__step.html#occt_step_2_3_6", null ]
          ] ],
          [ "Mapping STEP entities to Open CASCADE Technology shapes", "occt_user_guides__step.html#occt_step_2_4", [
            [ "Assembly structure representation entities", "occt_user_guides__step.html#occt_step_2_4_1", null ],
            [ "Models", "occt_user_guides__step.html#occt_step_2_4_2", null ],
            [ "Topological entities", "occt_user_guides__step.html#occt_step_2_4_3", null ],
            [ "Geometrical entities", "occt_user_guides__step.html#occt_step_2_4_4", null ]
          ] ],
          [ "Tolerance management", "occt_user_guides__step.html#occt_step_2_5", [
            [ "Values used for tolerances during reading STEP", "occt_user_guides__step.html#occt_step_2_5_1", null ],
            [ "Initial setting of tolerances in translating objects", "occt_user_guides__step.html#occt_step_2_5_2", null ],
            [ "Transfer process", "occt_user_guides__step.html#occt_step_2_5_3", [
              [ "ShapeFix_Wire::FixSelfIntersection()", "occt_user_guides__step.html#autotoc_md232", null ],
              [ "ShapeFix_Wire::FixLacking()", "occt_user_guides__step.html#autotoc_md233", null ],
              [ "ShapeFix_Wire::FixConnected()", "occt_user_guides__step.html#autotoc_md234", null ]
            ] ]
          ] ],
          [ "Code architecture", "occt_user_guides__step.html#occt_step_2_6", null ],
          [ "Example", "occt_user_guides__step.html#occt_step_2_7", null ]
        ] ],
        [ "Writing STEP", "occt_user_guides__step.html#occt_step_3", [
          [ "Procedure", "occt_user_guides__step.html#occt_step_3_1", null ],
          [ "Domain covered", "occt_user_guides__step.html#occt_step_3_2", [
            [ "Writing geometry and topology", "occt_user_guides__step.html#occt_step_3_2_1", null ],
            [ "Writing assembly structures", "occt_user_guides__step.html#occt_step_3_2_2", null ]
          ] ],
          [ "Description of the process", "occt_user_guides__step.html#occt_step_3_3", [
            [ "Initializing the process", "occt_user_guides__step.html#occt_step_3_3_1", null ],
            [ "Setting the translation parameters", "occt_user_guides__step.html#occt_step_3_3_2", null ],
            [ "Performing the Open CASCADE Technology shape translation", "occt_user_guides__step.html#occt_step_3_3_3", null ],
            [ "Writing the STEP file", "occt_user_guides__step.html#occt_step_3_3_4", null ]
          ] ],
          [ "Mapping Open CASCADE Technology shapes to STEP entities", "occt_user_guides__step.html#occt_step_3_4", [
            [ "Assembly structures and product information", "occt_user_guides__step.html#occt_step_3_4_1", null ],
            [ "Topological shapes", "occt_user_guides__step.html#occt_step_3_4_2", null ],
            [ "Geometrical objects", "occt_user_guides__step.html#occt_step_3_4_3", null ]
          ] ],
          [ "Tolerance management", "occt_user_guides__step.html#occt_step_3_5", null ],
          [ "Code architecture", "occt_user_guides__step.html#occt_step_3_6", [
            [ "Graph of calls", "occt_user_guides__step.html#occt_step_3_6_1", null ]
          ] ],
          [ "Example", "occt_user_guides__step.html#occt_step_3_7", null ]
        ] ],
        [ "Physical STEP file reading and writing", "occt_user_guides__step.html#occt_step_4", [
          [ "Architecture of STEP Read and Write classes", "occt_user_guides__step.html#occt_step_4_1", [
            [ "General principles", "occt_user_guides__step.html#occt_step_4_1_1", null ],
            [ "Complex entities", "occt_user_guides__step.html#occt_step_4_1_2", null ]
          ] ],
          [ "Physical file reading", "occt_user_guides__step.html#occt_step_4_2", [
            [ "Loading a STEP file and syntactic analysis of its contents", "occt_user_guides__step.html#occt_step_4_2_1", null ],
            [ "Mapping STEP entities to arrays of strings", "occt_user_guides__step.html#occt_step_4_2_2", null ],
            [ "Creating empty Open CASCADE Technology objects that represent STEP entities", "occt_user_guides__step.html#occt_step_4_2_3", null ],
            [ "Initializing Open CASCADE Technology objects", "occt_user_guides__step.html#occt_step_4_2_4", null ],
            [ "Building a graph", "occt_user_guides__step.html#occt_step_4_2_5", null ]
          ] ],
          [ "How to add a new entity in scope of the STEP processor", "occt_user_guides__step.html#occt_step_4_3", null ],
          [ "Physical file writing", "occt_user_guides__step.html#occt_step_4_4", null ],
          [ "How to add a new entity to write in the STEP file.", "occt_user_guides__step.html#occt_step_4_5", null ]
        ] ],
        [ "Using DRAW", "occt_user_guides__step.html#occt_step_6", [
          [ "DRAW STEP Commands Overview", "occt_user_guides__step.html#occt_step_6_1", null ],
          [ "Setting the interface parameters", "occt_user_guides__step.html#occt_step_6_2", null ],
          [ "Reading a STEP file", "occt_user_guides__step.html#occt_step_6_3", null ],
          [ "Analyzing the transferred data", "occt_user_guides__step.html#occt_step_6_4", [
            [ "Checking file contents", "occt_user_guides__step.html#occt_step_6_4_1", null ],
            [ "Estimating the results of reading STEP", "occt_user_guides__step.html#occt_step_6_4_2", null ]
          ] ],
          [ "Writing a STEP file", "occt_user_guides__step.html#occt_step_6_5", null ]
        ] ],
        [ "Reading from and writing to STEP", "occt_user_guides__step.html#occt_step_7", [
          [ "Reading from STEP", "occt_user_guides__step.html#occt_step_7_1", null ],
          [ "Load a STEP file", "occt_user_guides__step.html#autotoc_md235", null ],
          [ "Check the loaded STEP file", "occt_user_guides__step.html#autotoc_md236", null ],
          [ "Set parameters for translation to XDE", "occt_user_guides__step.html#autotoc_md237", null ],
          [ "Translate a STEP file to XDE", "occt_user_guides__step.html#autotoc_md238", null ],
          [ "Attributes read from STEP", "occt_user_guides__step.html#occt_step_7_2", null ],
          [ "Colors", "occt_user_guides__step.html#autotoc_md239", null ],
          [ "Layers", "occt_user_guides__step.html#autotoc_md240", null ],
          [ "Materials", "occt_user_guides__step.html#autotoc_md241", null ],
          [ "Validation properties", "occt_user_guides__step.html#autotoc_md242", null ],
          [ "Geometric dimensions and tolerances", "occt_user_guides__step.html#autotoc_md243", [
            [ "Dimensions", "occt_user_guides__step.html#autotoc_md244", null ],
            [ "Datums", "occt_user_guides__step.html#autotoc_md245", null ],
            [ "Tolerances", "occt_user_guides__step.html#autotoc_md246", null ],
            [ "Presentations", "occt_user_guides__step.html#autotoc_md247", null ],
            [ "Geometric dimensions and tolerances AP214", "occt_user_guides__step.html#autotoc_md248", null ]
          ] ],
          [ "Saved views", "occt_user_guides__step.html#autotoc_md249", null ],
          [ "Writing to STEP", "occt_user_guides__step.html#occt_step_7_3", null ],
          [ "Set parameters for translation from XDE to STEP", "occt_user_guides__step.html#autotoc_md250", null ],
          [ "Translate an XDE document to STEP", "occt_user_guides__step.html#autotoc_md251", null ],
          [ "Write a STEP file", "occt_user_guides__step.html#autotoc_md252", null ],
          [ "Attributes written to STEP", "occt_user_guides__step.html#occt_step_7_4", null ],
          [ "Colors", "occt_user_guides__step.html#autotoc_md253", null ],
          [ "Layers", "occt_user_guides__step.html#autotoc_md254", null ],
          [ "Materials", "occt_user_guides__step.html#autotoc_md255", null ],
          [ "Validation properties", "occt_user_guides__step.html#autotoc_md256", null ],
          [ "Geometric dimensions and tolerances", "occt_user_guides__step.html#autotoc_md257", null ],
          [ "Saved views", "occt_user_guides__step.html#autotoc_md258", null ]
        ] ]
      ] ],
      [ "Extended Data Exchange (XDE)", "occt_user_guides__xde.html", [
        [ "Introduction", "occt_user_guides__xde.html#occt_xde_1", [
          [ "Basic terms", "occt_user_guides__xde.html#occt_xde_1_1", null ],
          [ "XDE Organization", "occt_user_guides__xde.html#occt_xde_1_2", null ],
          [ "Assemblies", "occt_user_guides__xde.html#occt_xde_1_3", null ],
          [ "Validation Properties", "occt_user_guides__xde.html#occt_xde_1_4", null ],
          [ "Names", "occt_user_guides__xde.html#occt_xde_1_5", null ],
          [ "Colors and Layers", "occt_user_guides__xde.html#occt_xde_1_6", null ],
          [ "Geometric Dimensions & Tolerances (GD&T)", "occt_user_guides__xde.html#occt_xde_1_7", null ],
          [ "Clipping planes", "occt_user_guides__xde.html#occt_xde_1_8", null ],
          [ "Saved views", "occt_user_guides__xde.html#occt_xde_1_9", null ],
          [ "Custom notes", "occt_user_guides__xde.html#occt_xde_1_10", null ]
        ] ],
        [ "Working with XDE", "occt_user_guides__xde.html#occt_xde_2", [
          [ "Getting started", "occt_user_guides__xde.html#occt_xde_2_1", [
            [ "Environment variables", "occt_user_guides__xde.html#occt_xde_2_1_1", null ],
            [ "General Check", "occt_user_guides__xde.html#occt_xde_2_1_2", null ],
            [ "Get an Application or an Initialized Document", "occt_user_guides__xde.html#occt_xde_2_1_3", null ]
          ] ],
          [ "Shapes and Assemblies", "occt_user_guides__xde.html#occt_xde_2_2", [
            [ "Initialize an XDE Document (Shapes)", "occt_user_guides__xde.html#occt_xde_2_2_1", null ],
            [ "Get a Node considered as an Assembly", "occt_user_guides__xde.html#occt_xde_2_2_2", null ],
            [ "Updating the Assemblies after Filling or Editing", "occt_user_guides__xde.html#occt_xde_2_2_3", null ],
            [ "Adding or Setting Top Level Shapes", "occt_user_guides__xde.html#occt_xde_2_2_4", null ],
            [ "Setting a given Shape at a given Label", "occt_user_guides__xde.html#occt_xde_2_2_5", null ],
            [ "Getting a Shape from a Label", "occt_user_guides__xde.html#occt_xde_2_2_6", null ],
            [ "Getting a Label from a Shape", "occt_user_guides__xde.html#occt_xde_2_2_7", null ],
            [ "Other Queries on a Label", "occt_user_guides__xde.html#occt_xde_2_2_8", null ],
            [ "Main Shapes", "occt_user_guides__xde.html#autotoc_md259", null ],
            [ "Assembly and Components", "occt_user_guides__xde.html#autotoc_md260", null ],
            [ "Instances and References for Components", "occt_user_guides__xde.html#occt_xde_2_2_9", null ]
          ] ],
          [ "Editing Shapes", "occt_user_guides__xde.html#occt_xde_2_3", null ],
          [ "Management of Sub-Shapes", "occt_user_guides__xde.html#occt_xde_2_4", null ],
          [ "Properties", "occt_user_guides__xde.html#occt_xde_2_5", [
            [ "Name", "occt_user_guides__xde.html#occt_xde_2_5_1", null ],
            [ "Centroid", "occt_user_guides__xde.html#occt_xde_2_5_2", null ],
            [ "Area", "occt_user_guides__xde.html#occt_xde_2_5_3", null ],
            [ "Volume", "occt_user_guides__xde.html#occt_xde_2_5_4", null ]
          ] ],
          [ "Colors and Layers", "occt_user_guides__xde.html#occt_xde_2_6", [
            [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_6_1", null ],
            [ "Adding a Color", "occt_user_guides__xde.html#occt_xde_2_6_2", null ],
            [ "Queries on Colors", "occt_user_guides__xde.html#occt_xde_2_6_3", null ],
            [ "Editing Colors", "occt_user_guides__xde.html#occt_xde_2_6_4", null ]
          ] ],
          [ "Geometric Dimensions & Tolerances (GD&T)", "occt_user_guides__xde.html#occt_xde_2_7", [
            [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_7_1", null ],
            [ "Adding a GD&T", "occt_user_guides__xde.html#occt_xde_2_7_2", null ],
            [ "Editing a GD&T", "occt_user_guides__xde.html#occt_xde_2_7_3", null ],
            [ "Linking GD&Ts", "occt_user_guides__xde.html#occt_xde_2_7_4", null ],
            [ "Finding GD&Ts and reference shapes", "occt_user_guides__xde.html#occt_xde_2_7_5", null ],
            [ "Storing custom data", "occt_user_guides__xde.html#occt_xde_2_7_6", null ]
          ] ],
          [ "Clipping planes", "occt_user_guides__xde.html#occt_xde_2_8", null ],
          [ "Saved views", "occt_user_guides__xde.html#occt_xde_2_9", null ],
          [ "Custom notes", "occt_user_guides__xde.html#occt_xde_2_10", [
            [ "Initialization", "occt_user_guides__xde.html#occt_xde_2_10_1", null ],
            [ "Creating Notes", "occt_user_guides__xde.html#occt_xde_2_10_2", null ],
            [ "Editing a Note", "occt_user_guides__xde.html#occt_xde_2_10_3", null ],
            [ "Adding Notes", "occt_user_guides__xde.html#occt_xde_2_10_4", null ],
            [ "Finding Notes", "occt_user_guides__xde.html#occt_xde_2_10_5", null ],
            [ "Removing Notes", "occt_user_guides__xde.html#occt_xde_2_10_6", null ],
            [ "Deleting Notes", "occt_user_guides__xde.html#occt_xde_2_10_7", null ]
          ] ],
          [ "Reading and Writing STEP or IGES", "occt_user_guides__xde.html#occt_xde_2_11", [
            [ "Reading a STEP file", "occt_user_guides__xde.html#occt_xde_2_11_1", null ],
            [ "Writing a STEP file", "occt_user_guides__xde.html#occt_xde_2_11_2", null ],
            [ "Reading an IGES File", "occt_user_guides__xde.html#occt_xde_2_11_3", null ],
            [ "Writing an IGES File", "occt_user_guides__xde.html#occt_xde_2_11_4", null ]
          ] ],
          [ "Using an XDE Document", "occt_user_guides__xde.html#occt_xde_2_12", [
            [ "XDE Data inside an Application Document", "occt_user_guides__xde.html#occt_xde_2_12_1", null ]
          ] ]
        ] ]
      ] ],
      [ "OCAF", "occt_user_guides__ocaf.html", [
        [ "Introduction", "occt_user_guides__ocaf.html#occt_ocaf_1", [
          [ "Purpose of OCAF", "occt_user_guides__ocaf.html#occt_ocaf_1_1", null ],
          [ "Architecture Overview", "occt_user_guides__ocaf.html#occt_ocaf_1_2", [
            [ "Application", "occt_user_guides__ocaf.html#occt_ocaf_1_2_1", null ],
            [ "Document   <br>", "occt_user_guides__ocaf.html#occt_ocaf_1_2_2", null ],
            [ "Attribute", "occt_user_guides__ocaf.html#occt_ocaf_1_2_3", null ]
          ] ],
          [ "Reference-key model", "occt_user_guides__ocaf.html#occt_ocaf_1_3", null ]
        ] ],
        [ "The Data  Framework", "occt_user_guides__ocaf.html#occt_ocaf_3", [
          [ "Data Structure", "occt_user_guides__ocaf.html#occt_ocaf_3_1", null ],
          [ "Examples of a Data Structure", "occt_user_guides__ocaf.html#occt_ocaf_3_2", null ],
          [ "Tag", "occt_user_guides__ocaf.html#occt_ocaf_3_3", [
            [ "Creating child labels using random delivery of tags", "occt_user_guides__ocaf.html#occt_ocaf_3_3_1", null ],
            [ "Creation of a child label by user delivery from a tag", "occt_user_guides__ocaf.html#occt_ocaf_3_3_2", null ]
          ] ],
          [ "Label", "occt_user_guides__ocaf.html#occt_ocaf_3_4", [
            [ "Label creation", "occt_user_guides__ocaf.html#occt_ocaf_3_4_1", null ],
            [ "Creating child labels", "occt_user_guides__ocaf.html#occt_ocaf_3_4_2", null ],
            [ "Retrieving child labels", "occt_user_guides__ocaf.html#occt_ocaf_3_4_3", null ],
            [ "Retrieving the father label", "occt_user_guides__ocaf.html#occt_ocaf_3_4_4", null ]
          ] ],
          [ "Attribute", "occt_user_guides__ocaf.html#occt_ocaf_3_5", [
            [ "Retrieving an attribute from a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_1", null ],
            [ "Identifying an attribute using a GUID", "occt_user_guides__ocaf.html#occt_ocaf_3_5_2", null ],
            [ "Attaching an attribute to a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_3", null ],
            [ "Testing the attachment to a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_4", null ],
            [ "Removing an attribute from a label", "occt_user_guides__ocaf.html#occt_ocaf_3_5_5", null ],
            [ "Specific attribute creation", "occt_user_guides__ocaf.html#occt_ocaf_3_5_6", null ]
          ] ],
          [ "Compound documents", "occt_user_guides__ocaf.html#occt_ocaf_3_6", null ],
          [ "Transaction mechanism", "occt_user_guides__ocaf.html#occt_ocaf_3_7", null ]
        ] ],
        [ "Standard Document Services", "occt_user_guides__ocaf.html#occt_ocaf_4_", [
          [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_4_1", null ],
          [ "The Application", "occt_user_guides__ocaf.html#occt_ocaf_4_2", [
            [ "Creating an application", "occt_user_guides__ocaf.html#occt_ocaf_4_2_1", null ],
            [ "Creating a new document", "occt_user_guides__ocaf.html#occt_ocaf_4_2_2", null ],
            [ "Retrieving the application to which the document belongs", "occt_user_guides__ocaf.html#occt_ocaf_4_2_3", null ]
          ] ],
          [ "The Document", "occt_user_guides__ocaf.html#occt_ocaf_4_3", [
            [ "Accessing the main label of the framework", "occt_user_guides__ocaf.html#occt_ocaf_4_3_1", null ],
            [ "Retrieving the document from a label in its framework", "occt_user_guides__ocaf.html#occt_ocaf_4_3_2", null ],
            [ "Defining storage format", "occt_user_guides__ocaf.html#occt_ocaf_4_3_format", null ],
            [ "Defining storage format by resource files", "occt_user_guides__ocaf.html#occt_ocaf_4_3_plugins", null ],
            [ "Saving a document", "occt_user_guides__ocaf.html#occt_ocaf_4_3_3", null ],
            [ "Opening the document from a file", "occt_user_guides__ocaf.html#occt_ocaf_4_3_4", null ],
            [ "Cutting, copying and pasting inside a document", "occt_user_guides__ocaf.html#occt_ocaf_4_3_5", null ]
          ] ],
          [ "External Links", "occt_user_guides__ocaf.html#occt_ocaf_4_4", [
            [ "Copying the document", "occt_user_guides__ocaf.html#occt_ocaf_4_4_1", null ],
            [ "With the possibility of updating it later", "occt_user_guides__ocaf.html#autotoc_md261", null ],
            [ "Without any link between the copy and the original", "occt_user_guides__ocaf.html#autotoc_md262", null ]
          ] ]
        ] ],
        [ "OCAF Shape Attributes", "occt_user_guides__ocaf.html#occt_ocaf_5", [
          [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_5_1", null ],
          [ "Shape attributes in data framework.", "occt_user_guides__ocaf.html#occt_ocaf_5_2", null ],
          [ "Registering shapes and their evolution", "occt_user_guides__ocaf.html#occt_ocaf_5_3", null ],
          [ "Using naming resources", "occt_user_guides__ocaf.html#occt_ocaf_5_4", null ],
          [ "Reading the contents of a named shape attribute", "occt_user_guides__ocaf.html#occt_ocaf_5_5", null ],
          [ "Topological naming", "occt_user_guides__ocaf.html#occt_ocaf_5_6", [
            [ "Algorithm history", "occt_user_guides__ocaf.html#occt_ocaf_5_6_1", null ],
            [ "Loading history in data framework", "occt_user_guides__ocaf.html#occt_ocaf_5_6_2", null ],
            [ "Selection / re-computation mechanism", "occt_user_guides__ocaf.html#occt_ocaf_5_6_3", null ]
          ] ],
          [ "Exploring shape evolution", "occt_user_guides__ocaf.html#occt_ocaf_5_7", null ],
          [ "Example of topological naming usage", "occt_user_guides__ocaf.html#occt_ocaf_5_8", null ]
        ] ],
        [ "Standard Attributes", "occt_user_guides__ocaf.html#occt_ocaf_6", [
          [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_6_1", null ],
          [ "Geometric attributes", "occt_user_guides__ocaf.html#autotoc_md263", null ],
          [ "General attributes", "occt_user_guides__ocaf.html#autotoc_md264", null ],
          [ "Relationship attributes", "occt_user_guides__ocaf.html#autotoc_md265", null ],
          [ "Auxiliary attributes", "occt_user_guides__ocaf.html#autotoc_md266", null ],
          [ "Attributes supporting several attributes of the same type on the same label", "occt_user_guides__ocaf.html#autotoc_md267", null ],
          [ "Services common to all attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_2", [
            [ "Accessing GUIDs", "occt_user_guides__ocaf.html#occt_ocaf_6_2_1", null ],
            [ "Conventional Interface of Standard Attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_2_2", null ]
          ] ],
          [ "The choice between standard and custom attributes", "occt_user_guides__ocaf.html#occt_ocaf_6_3", [
            [ "Comparison  and analysis of approaches", "occt_user_guides__ocaf.html#occt_ocaf_6_2_3", null ],
            [ "Conclusion", "occt_user_guides__ocaf.html#occt_ocaf_6_2_4", null ]
          ] ],
          [ "Standard Attributes with User Defined GUID", "occt_user_guides__ocaf.html#occt_ocaf_6_4", null ],
          [ "Creation Attributes with User Defined GUID.", "occt_user_guides__ocaf.html#occt_ocaf_6_4_1", null ]
        ] ],
        [ "Visualization Attributes", "occt_user_guides__ocaf.html#occt_ocaf_7", [
          [ "Overview", "occt_user_guides__ocaf.html#occt_ocaf_7_1", null ],
          [ "Services provided", "occt_user_guides__ocaf.html#occt_ocaf_7_2", [
            [ "Defining an interactive viewer attribute", "occt_user_guides__ocaf.html#occt_ocaf_7_2_1", null ]
          ] ],
          [ "Defining a presentation attribute", "occt_user_guides__ocaf.html#occt_ocaf_7_2_2", [
            [ "Creating your own driver", "occt_user_guides__ocaf.html#occt_ocaf_7_2_3", null ],
            [ "Using a container for drivers", "occt_user_guides__ocaf.html#occt_ocaf_7_2_4", null ]
          ] ]
        ] ],
        [ "Function Services", "occt_user_guides__ocaf.html#occt_ocaf_8", [
          [ "Finding functions, their owners and roots", "occt_user_guides__ocaf.html#occt_ocaf_8_1", null ],
          [ "Storing and accessing information about function status", "occt_user_guides__ocaf.html#occt_ocaf_8_2", null ],
          [ "Propagating modifications", "occt_user_guides__ocaf.html#occt_ocaf_8_3", null ]
        ] ],
        [ "Example of Function Mechanism Usage", "occt_user_guides__ocaf.html#occt_ocaf_8a", [
          [ "Introduction", "occt_user_guides__ocaf.html#occt_ocaf_8a_1", null ],
          [ "Step 1: Data Tree", "occt_user_guides__ocaf.html#occt_ocaf_8a_2", null ],
          [ "Step 2: Interfaces", "occt_user_guides__ocaf.html#occt_ocaf_8a_3", [
            [ "Creation of the nail", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_1", null ],
            [ "Computation", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_2", null ],
            [ "Visualization", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_3", null ],
            [ "Removal of the nail", "occt_user_guides__ocaf.html#occt_ocaf_8a_3_4", null ]
          ] ],
          [ "Step 3: Functions", "occt_user_guides__ocaf.html#occt_ocaf_8a_4", null ],
          [ "Example 1: iteration and execution of functions.", "occt_user_guides__ocaf.html#occt_ocaf_8a_5", null ],
          [ "Example 2: Cylinder function driver", "occt_user_guides__ocaf.html#occt_ocaf_8a_6", null ]
        ] ],
        [ "XML Support", "occt_user_guides__ocaf.html#occt_ocaf_9", [
          [ "Document Drivers", "occt_user_guides__ocaf.html#occt_ocaf_9_1", null ],
          [ "Attribute Drivers", "occt_user_guides__ocaf.html#occt_ocaf_9_2", null ],
          [ "XML Document Structure", "occt_user_guides__ocaf.html#occt_ocaf_9_3", null ],
          [ "OCAF Attributes Representation", "occt_user_guides__ocaf.html#autotoc_md268", null ],
          [ "Example of resulting XML file", "occt_user_guides__ocaf.html#autotoc_md269", null ],
          [ "XML Schema", "occt_user_guides__ocaf.html#occt_ocaf_9_4", null ],
          [ "Management of Namespaces", "occt_user_guides__ocaf.html#autotoc_md270", null ]
        ] ],
        [ "TObj Package", "occt_user_guides__ocaf.html#occt_tobj", [
          [ "Introduction", "occt_user_guides__ocaf.html#occt_tobj_1", [
            [ "Applicability", "occt_user_guides__ocaf.html#occt_tobj_1_1", null ]
          ] ],
          [ "TObj Model", "occt_user_guides__ocaf.html#occt_tobj_2", [
            [ "TObj Model structure", "occt_user_guides__ocaf.html#occt_tobj_2_1", null ],
            [ "Data Model basic features", "occt_user_guides__ocaf.html#occt_tobj_2_2", null ],
            [ "Model Persistence", "occt_user_guides__ocaf.html#occt_tobj_2_3", null ],
            [ "Access to the objects in the model", "occt_user_guides__ocaf.html#occt_tobj_2_4", null ],
            [ "Own model data", "occt_user_guides__ocaf.html#occt_tobj_2_5", null ],
            [ "Object naming", "occt_user_guides__ocaf.html#occt_tobj_2_6", null ],
            [ "API for transaction mechanism", "occt_user_guides__ocaf.html#occt_tobj_2_7", null ],
            [ "Model format and version", "occt_user_guides__ocaf.html#occt_tobj_28", null ],
            [ "Model update", "occt_user_guides__ocaf.html#occt_tobj_2_9", null ],
            [ "Model copying", "occt_user_guides__ocaf.html#occt_tobj_2_10", null ],
            [ "Messaging", "occt_user_guides__ocaf.html#occt_tobj_2_11", null ]
          ] ],
          [ "Model object", "occt_user_guides__ocaf.html#occt_tobj_3", [
            [ "Separation of data and interface", "occt_user_guides__ocaf.html#occt_tobj_3_1", null ],
            [ "Basic features", "occt_user_guides__ocaf.html#occt_tobj_3_2", null ],
            [ "Data layout and inheritance", "occt_user_guides__ocaf.html#occt_tobj_3_3", null ],
            [ "Persistence", "occt_user_guides__ocaf.html#occt_tobj_3_4", null ],
            [ "Names of objects", "occt_user_guides__ocaf.html#occt_tobj_3_5", null ],
            [ "References between objects", "occt_user_guides__ocaf.html#occt_tobj_3_6", null ],
            [ "Creation and deletion of objects", "occt_user_guides__ocaf.html#occt_tobj_3_7", null ],
            [ "Transformation and replication of object data", "occt_user_guides__ocaf.html#occt_tobj_3_8", null ],
            [ "Object flags", "occt_user_guides__ocaf.html#occt_tobj_3_9", null ],
            [ "Partitions", "occt_user_guides__ocaf.html#occt_tobj_310", null ]
          ] ],
          [ "Auxiliary classes", "occt_user_guides__ocaf.html#occt_tobj_4", null ],
          [ "Packaging", "occt_user_guides__ocaf.html#occt_tobj_5", null ]
        ] ],
        [ "GLOSSARY", "occt_user_guides__ocaf.html#occt_ocaf_10", null ]
      ] ],
      [ "Draw Test Harness", "occt_user_guides__test_harness.html", [
        [ "Introduction", "occt_user_guides__test_harness.html#occt_draw_1", [
          [ "Overview", "occt_user_guides__test_harness.html#occt_draw_1_1", null ],
          [ "Contents of this documentation", "occt_user_guides__test_harness.html#occt_draw_1_2", null ],
          [ "Getting started", "occt_user_guides__test_harness.html#occt_draw_1_3", [
            [ "Launching DRAW Test Harness", "occt_user_guides__test_harness.html#occt_draw_1_3_1", null ],
            [ "Plug-in resource file", "occt_user_guides__test_harness.html#occt_draw_1_3_2", null ],
            [ "Activation of commands implemented in the plug-in", "occt_user_guides__test_harness.html#occt_draw_1_3_3", null ]
          ] ]
        ] ],
        [ "The Command Language", "occt_user_guides__test_harness.html#occt_draw_2", [
          [ "Overview", "occt_user_guides__test_harness.html#occt_draw_2_1", null ],
          [ "Syntax of TCL", "occt_user_guides__test_harness.html#occt_draw_2_2", null ],
          [ "Accessing variables in TCL and Draw", "occt_user_guides__test_harness.html#occt_draw_2_3", [
            [ "set, unset", "occt_user_guides__test_harness.html#occt_draw_2_3_1", null ],
            [ "dset, dval", "occt_user_guides__test_harness.html#occt_draw_2_3_2", null ],
            [ "del, dall", "occt_user_guides__test_harness.html#occt_draw_2_3_3", null ]
          ] ],
          [ "lists", "occt_user_guides__test_harness.html#occt_draw_2_4", [
            [ "Control Structures", "occt_user_guides__test_harness.html#occt_draw_2_5", null ],
            [ "if", "occt_user_guides__test_harness.html#occt_draw_2_5_1", null ],
            [ "while, for, foreach", "occt_user_guides__test_harness.html#occt_draw_2_5_2", null ],
            [ "break, continue", "occt_user_guides__test_harness.html#occt_draw_2_5_3", null ]
          ] ],
          [ "Procedures", "occt_user_guides__test_harness.html#occt_draw_2_6", [
            [ "proc", "occt_user_guides__test_harness.html#occt_draw_2_6_1", null ],
            [ "global, upvar", "occt_user_guides__test_harness.html#occt_draw_2_6_2", null ]
          ] ]
        ] ],
        [ "Basic Commands", "occt_user_guides__test_harness.html#occt_draw_3", [
          [ "General commands", "occt_user_guides__test_harness.html#occt_draw_3_1", [
            [ "help", "occt_user_guides__test_harness.html#occt_draw_3_1_1", null ],
            [ "source", "occt_user_guides__test_harness.html#occt_draw_3_1_2", null ],
            [ "spy", "occt_user_guides__test_harness.html#occt_draw_3_1_3", null ],
            [ "cpulimit", "occt_user_guides__test_harness.html#occt_draw_3_1_4", null ],
            [ "wait", "occt_user_guides__test_harness.html#occt_draw_3_1_5", null ],
            [ "chrono", "occt_user_guides__test_harness.html#occt_draw_3_1_6", null ]
          ] ],
          [ "Variable management commands", "occt_user_guides__test_harness.html#occt_draw_3_2", [
            [ "isdraw, directory", "occt_user_guides__test_harness.html#occt_draw_3_2_1", null ],
            [ "whatis, dump", "occt_user_guides__test_harness.html#occt_draw_3_2_2", null ],
            [ "renamevar, copy", "occt_user_guides__test_harness.html#occt_draw_3_2_3", null ],
            [ "datadir, save, restore", "occt_user_guides__test_harness.html#occt_draw_3_2_4", null ]
          ] ],
          [ "User defined commands", "occt_user_guides__test_harness.html#occt_draw_3_3", [
            [ "set", "occt_user_guides__test_harness.html#occt_draw_3_3_1", null ],
            [ "In <em>DrawTrSurf</em> package:", "occt_user_guides__test_harness.html#autotoc_md271", null ],
            [ "In <em>DBRep</em> package:", "occt_user_guides__test_harness.html#autotoc_md272", null ],
            [ "get", "occt_user_guides__test_harness.html#occt_draw_3_3_2", null ],
            [ "In <em>DrawTrSurf</em> package:", "occt_user_guides__test_harness.html#autotoc_md273", null ],
            [ "In <em>DBRep</em> package:", "occt_user_guides__test_harness.html#autotoc_md274", null ]
          ] ]
        ] ],
        [ "Graphic Commands", "occt_user_guides__test_harness.html#occt_draw_4", [
          [ "Axonometric viewer", "occt_user_guides__test_harness.html#occt_draw_4_1", [
            [ "view, delete", "occt_user_guides__test_harness.html#occt_draw_4_1_1", null ],
            [ "axo, pers, top, ...", "occt_user_guides__test_harness.html#occt_draw_4_1_2", null ],
            [ "mu, md, 2dmu, 2dmd, zoom, 2dzoom", "occt_user_guides__test_harness.html#occt_draw_4_1_3", null ],
            [ "pu, pd, pl, pr, 2dpu, 2dpd, 2dpl, 2dpr", "occt_user_guides__test_harness.html#occt_draw_4_14", null ],
            [ "fit, 2dfit", "occt_user_guides__test_harness.html#occt_draw_4_1_5", null ],
            [ "u, d, l, r", "occt_user_guides__test_harness.html#occt_draw_4_1_6", null ],
            [ "focal, fu, fd", "occt_user_guides__test_harness.html#occt_draw_4_1_7", null ],
            [ "color", "occt_user_guides__test_harness.html#occt_draw_4_1_8", null ],
            [ "dtext", "occt_user_guides__test_harness.html#occt_draw_4_1_9", null ],
            [ "hardcopy, hcolor, xwd", "occt_user_guides__test_harness.html#occt_draw_4_1_10", null ],
            [ "wclick, pick", "occt_user_guides__test_harness.html#occt_draw_4_1_11", null ],
            [ "autodisplay", "occt_user_guides__test_harness.html#occt_draw_4_1_12", null ],
            [ "display, donly", "occt_user_guides__test_harness.html#occt_draw_4_1_13", null ],
            [ "erase, clear, 2dclear", "occt_user_guides__test_harness.html#occt_draw_4_1_14", null ],
            [ "disp, don, era", "occt_user_guides__test_harness.html#occt_draw_4_1_14_1", null ],
            [ "repaint, dflush", "occt_user_guides__test_harness.html#occt_draw_4_1_15", null ]
          ] ],
          [ "AIS viewer – view commands", "occt_user_guides__test_harness.html#occt_draw_4_2", [
            [ "vinit", "occt_user_guides__test_harness.html#occt_draw_4_2_1", null ],
            [ "vhelp", "occt_user_guides__test_harness.html#occt_draw_4_2_2", null ],
            [ "vtop", "occt_user_guides__test_harness.html#occt_draw_4_2_3", null ],
            [ "vaxo", "occt_user_guides__test_harness.html#occt_draw_4_2_4", null ],
            [ "vsetbg", "occt_user_guides__test_harness.html#occt_draw_4_2_5", null ],
            [ "vclear", "occt_user_guides__test_harness.html#occt_draw_4_2_6", null ],
            [ "vrepaint", "occt_user_guides__test_harness.html#occt_draw_4_2_7", null ],
            [ "vfit", "occt_user_guides__test_harness.html#occt_draw_4_2_8", null ],
            [ "vzfit", "occt_user_guides__test_harness.html#occt_draw_4_2_9", null ],
            [ "vreadpixel", "occt_user_guides__test_harness.html#occt_draw_4_2_10", null ],
            [ "vselect", "occt_user_guides__test_harness.html#occt_draw_4_2_11", null ],
            [ "vmoveto", "occt_user_guides__test_harness.html#occt_draw_4_2_12", null ],
            [ "vviewparams", "occt_user_guides__test_harness.html#occt_draw_4_2_13", null ],
            [ "vchangeselected", "occt_user_guides__test_harness.html#occt_draw_4_2_14", null ],
            [ "vnbselected", "occt_user_guides__test_harness.html#occt_draw_4_2_16", null ],
            [ "vhlr", "occt_user_guides__test_harness.html#occt_draw_4_2_19", null ],
            [ "vhlrtype", "occt_user_guides__test_harness.html#occt_draw_4_2_20", null ],
            [ "vcamera", "occt_user_guides__test_harness.html#occt_draw_4_2_21", null ],
            [ "vstereo", "occt_user_guides__test_harness.html#occt_draw_4_2_22", null ],
            [ "vfrustumculling", "occt_user_guides__test_harness.html#occt_draw_4_2_23", null ]
          ] ],
          [ "AIS viewer – display commands", "occt_user_guides__test_harness.html#occt_draw_4_3", [
            [ "vdisplay", "occt_user_guides__test_harness.html#occt_draw_4_3_1", null ],
            [ "vdonly", "occt_user_guides__test_harness.html#occt_draw_4_3_2", null ],
            [ "vdisplayall", "occt_user_guides__test_harness.html#occt_draw_4_3_3", null ],
            [ "verase", "occt_user_guides__test_harness.html#occt_draw_4_3_4", null ],
            [ "veraseall", "occt_user_guides__test_harness.html#occt_draw_4_3_5", null ],
            [ "vsetdispmode", "occt_user_guides__test_harness.html#occt_draw_4_3_6", null ],
            [ "vdisplaytype", "occt_user_guides__test_harness.html#occt_draw_4_3_7", null ],
            [ "verasetype", "occt_user_guides__test_harness.html#occt_draw_4_3_8", null ],
            [ "vtypes", "occt_user_guides__test_harness.html#occt_draw_4_3_9", null ],
            [ "vaspects", "occt_user_guides__test_harness.html#occt_draw_4_3_10", null ],
            [ "vsetshading", "occt_user_guides__test_harness.html#occt_draw_4_3_11", null ],
            [ "vunsetshading", "occt_user_guides__test_harness.html#occt_draw_4_3_12", null ],
            [ "vsetam", "occt_user_guides__test_harness.html#occt_draw_4_3_13", null ],
            [ "vunsetam", "occt_user_guides__test_harness.html#occt_draw_4_3_14", null ],
            [ "vdump", "occt_user_guides__test_harness.html#occt_draw_4_3_15", null ],
            [ "vdir", "occt_user_guides__test_harness.html#occt_draw_4_3_16", null ],
            [ "vsub", "occt_user_guides__test_harness.html#occt_draw_4_3_17", null ],
            [ "vsensdis", "occt_user_guides__test_harness.html#occt_draw_4_3_20", null ],
            [ "vsensera", "occt_user_guides__test_harness.html#occt_draw_4_3_21", null ],
            [ "vr", "occt_user_guides__test_harness.html#occt_draw_4_3_23", null ],
            [ "vstate", "occt_user_guides__test_harness.html#occt_draw_4_3_24", null ],
            [ "vraytrace", "occt_user_guides__test_harness.html#occt_draw_4_3_25", null ],
            [ "vrenderparams", "occt_user_guides__test_harness.html#occt_draw_4_3_26", null ],
            [ "vshaderprog", "occt_user_guides__test_harness.html#occt_draw_4_3_27", null ],
            [ "vsetcolorbg", "occt_user_guides__test_harness.html#occt_draw_4_3_28", null ]
          ] ],
          [ "AIS viewer – object commands", "occt_user_guides__test_harness.html#occt_draw_4_4", [
            [ "vtrihedron", "occt_user_guides__test_harness.html#occt_draw_4_4_1", null ],
            [ "vplanetri", "occt_user_guides__test_harness.html#occt_draw_4_4_2", null ],
            [ "vsize", "occt_user_guides__test_harness.html#occt_draw_4_4_3", null ],
            [ "vaxis", "occt_user_guides__test_harness.html#occt_draw_4_4_4", null ],
            [ "vaxispara", "occt_user_guides__test_harness.html#occt_draw_4_4_5", null ],
            [ "vaxisortho", "occt_user_guides__test_harness.html#occt_draw_4_4_6", null ],
            [ "vpoint", "occt_user_guides__test_harness.html#occt_draw_4_4_7", null ],
            [ "vplane", "occt_user_guides__test_harness.html#occt_draw_4_4_8", null ],
            [ "vplanepara", "occt_user_guides__test_harness.html#occt_draw_4_4_9", null ],
            [ "vplaneortho", "occt_user_guides__test_harness.html#occt_draw_4_4_10", null ],
            [ "vline", "occt_user_guides__test_harness.html#occt_draw_4_4_11", null ],
            [ "vcircle", "occt_user_guides__test_harness.html#occt_draw_4_4_12", null ],
            [ "vtri2d", "occt_user_guides__test_harness.html#occt_draw_4_4_13", null ],
            [ "vselmode", "occt_user_guides__test_harness.html#occt_draw_4_4_14", null ],
            [ "vconnect", "occt_user_guides__test_harness.html#occt_draw_4_4_15", null ],
            [ "vtriangle", "occt_user_guides__test_harness.html#occt_draw_4_4_16", null ],
            [ "vsegment", "occt_user_guides__test_harness.html#occt_draw_4_4_17", null ],
            [ "vpointcloud", "occt_user_guides__test_harness.html#occt_draw_4_4_18", null ],
            [ "vclipplane", "occt_user_guides__test_harness.html#occt_draw_4_4_19", null ],
            [ "vdimension", "occt_user_guides__test_harness.html#occt_draw_4_4_20", null ],
            [ "vdimparam", "occt_user_guides__test_harness.html#occt_draw_4_4_21", null ],
            [ "vangleparam", "occt_user_guides__test_harness.html#occt_draw_4_4_22", null ],
            [ "vlengthparam", "occt_user_guides__test_harness.html#occt_draw_4_4_23", null ],
            [ "vmovedim", "occt_user_guides__test_harness.html#occt_draw_4_4_24", null ]
          ] ],
          [ "AIS viewer – Mesh Visualization Service", "occt_user_guides__test_harness.html#occt_draw_4_5", [
            [ "meshfromstl", "occt_user_guides__test_harness.html#occt_draw_4_5_1", null ],
            [ "meshdispmode", "occt_user_guides__test_harness.html#occt_draw_4_5_2", null ],
            [ "meshselmode", "occt_user_guides__test_harness.html#occt_draw_4_5_3", null ],
            [ "meshshadcolor", "occt_user_guides__test_harness.html#occt_draw_4_5_4", null ],
            [ "meshlinkcolor", "occt_user_guides__test_harness.html#occt_draw_4_5_5", null ],
            [ "meshmat", "occt_user_guides__test_harness.html#occt_draw_4_5_6", null ],
            [ "meshshrcoef", "occt_user_guides__test_harness.html#occt_draw_4_5_7", null ],
            [ "meshshow", "occt_user_guides__test_harness.html#occt_draw_4_5_8", null ],
            [ "meshhide", "occt_user_guides__test_harness.html#occt_draw_4_5_9", null ],
            [ "meshhidesel", "occt_user_guides__test_harness.html#occt_draw_4_5_10", null ],
            [ "meshshowsel", "occt_user_guides__test_harness.html#occt_draw_4_5_11", null ],
            [ "meshshowall", "occt_user_guides__test_harness.html#occt_draw_4_5_12", null ],
            [ "meshdelete", "occt_user_guides__test_harness.html#occt_draw_4_5_13", null ]
          ] ],
          [ "VIS Viewer commands", "occt_user_guides__test_harness.html#occt_draw_4_6", [
            [ "ivtkinit", "occt_user_guides__test_harness.html#occt_draw_4_6_1", null ],
            [ "ivtkdisplay", "occt_user_guides__test_harness.html#occt_draw_4_6_2", null ],
            [ "ivtkerase", "occt_user_guides__test_harness.html#occt_draw_4_6_3", null ],
            [ "ivtkfit", "occt_user_guides__test_harness.html#occt_draw_4_6_4", null ],
            [ "ivtkdispmode", "occt_user_guides__test_harness.html#occt_draw_4_6_5", null ],
            [ "ivtksetselmode", "occt_user_guides__test_harness.html#occt_draw_4_6_6", null ],
            [ "ivtkmoveto", "occt_user_guides__test_harness.html#occt_draw_4_6_7", null ],
            [ "ivtkselect", "occt_user_guides__test_harness.html#occt_draw_4_6_8", null ],
            [ "ivtkdump", "occt_user_guides__test_harness.html#occt_draw_4_6_9", null ],
            [ "ivtkbgcolor", "occt_user_guides__test_harness.html#occt_draw_4_6_10", null ]
          ] ]
        ] ],
        [ "OCAF commands", "occt_user_guides__test_harness.html#occt_draw_5", [
          [ "Application commands", "occt_user_guides__test_harness.html#occt_draw_5_1", [
            [ "NewDocument", "occt_user_guides__test_harness.html#occt_draw_5_1_1", null ],
            [ "IsInSession", "occt_user_guides__test_harness.html#occt_draw_5_1_2", null ],
            [ "ListDocuments", "occt_user_guides__test_harness.html#occt_draw_5_1_3", null ],
            [ "Open", "occt_user_guides__test_harness.html#occt_draw_5_1_4", null ],
            [ "Close", "occt_user_guides__test_harness.html#occt_draw_5_1_5", null ],
            [ "Save", "occt_user_guides__test_harness.html#occt_draw_5_1_6", null ],
            [ "SaveAs", "occt_user_guides__test_harness.html#occt_draw_5_1_7", null ]
          ] ],
          [ "Basic commands", "occt_user_guides__test_harness.html#occt_draw_5_2", [
            [ "Label", "occt_user_guides__test_harness.html#occt_draw_5_2_1", null ],
            [ "NewChild", "occt_user_guides__test_harness.html#occt_draw_5_2_2", null ],
            [ "Children", "occt_user_guides__test_harness.html#occt_draw_5_2_3", null ],
            [ "ForgetAll", "occt_user_guides__test_harness.html#occt_draw_5_2_4", null ],
            [ "Application commands", "occt_user_guides__test_harness.html#occt_draw_5_3", null ],
            [ "Main", "occt_user_guides__test_harness.html#occt_draw_5_3_1", null ],
            [ "UndoLimit", "occt_user_guides__test_harness.html#occt_draw_5_3_2", null ],
            [ "Undo", "occt_user_guides__test_harness.html#occt_draw_5_3_3", null ],
            [ "Redo", "occt_user_guides__test_harness.html#occt_draw_5_3_4", null ],
            [ "OpenCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_5", null ],
            [ "CommitCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_6", null ],
            [ "NewCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_7", null ],
            [ "AbortCommand", "occt_user_guides__test_harness.html#occt_draw_5_3_8", null ],
            [ "Copy", "occt_user_guides__test_harness.html#occt_draw_5_3_9", null ],
            [ "UpdateLink", "occt_user_guides__test_harness.html#occt_draw_5_3_10", null ],
            [ "CopyWithLink", "occt_user_guides__test_harness.html#occt_draw_5_3_11", null ],
            [ "UpdateXLinks", "occt_user_guides__test_harness.html#occt_draw_5_3_12", null ],
            [ "DumpDocument", "occt_user_guides__test_harness.html#occt_draw_5_3_13", null ]
          ] ],
          [ "Data Framework commands", "occt_user_guides__test_harness.html#occt_draw_5_4", [
            [ "MakeDF", "occt_user_guides__test_harness.html#occt_draw_5_4_1", null ],
            [ "ClearDF", "occt_user_guides__test_harness.html#occt_draw_5_4_2", null ],
            [ "CopyDF", "occt_user_guides__test_harness.html#occt_draw_5_4_3", null ],
            [ "CopyLabel", "occt_user_guides__test_harness.html#occt_draw_5_4_4", null ],
            [ "MiniDumpDF", "occt_user_guides__test_harness.html#occt_draw_5_4_5", null ],
            [ "XDumpDF", "occt_user_guides__test_harness.html#occt_draw_5_4_6", null ]
          ] ],
          [ "General attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_5", [
            [ "SetInteger", "occt_user_guides__test_harness.html#occt_draw_5_5_1", null ],
            [ "GetInteger", "occt_user_guides__test_harness.html#occt_draw_5_5_2", null ],
            [ "SetReal", "occt_user_guides__test_harness.html#occt_draw_5_5_3", null ],
            [ "GetReal", "occt_user_guides__test_harness.html#occt_draw_5_5_4", null ],
            [ "SetIntArray", "occt_user_guides__test_harness.html#occt_draw_5_5_5", null ],
            [ "GetIntArray", "occt_user_guides__test_harness.html#occt_draw_5_5_6", null ],
            [ "SetRealArray", "occt_user_guides__test_harness.html#occt_draw_5_5_7", null ],
            [ "GetRealArray", "occt_user_guides__test_harness.html#occt_draw_5_5_8", null ],
            [ "SetComment", "occt_user_guides__test_harness.html#occt_draw_5_5_9", null ],
            [ "GetComment", "occt_user_guides__test_harness.html#occt_draw_5_5_10", null ],
            [ "SetExtStringArray", "occt_user_guides__test_harness.html#occt_draw_5_5_11", null ],
            [ "GetExtStringArray", "occt_user_guides__test_harness.html#occt_draw_5_5_12", null ],
            [ "SetName", "occt_user_guides__test_harness.html#occt_draw_5_5_13", null ],
            [ "GetName", "occt_user_guides__test_harness.html#occt_draw_5_5_14", null ],
            [ "SetReference", "occt_user_guides__test_harness.html#occt_draw_5_5_15", null ],
            [ "GetReference", "occt_user_guides__test_harness.html#occt_draw_5_5_16", null ],
            [ "SetUAttribute", "occt_user_guides__test_harness.html#occt_draw_5_5_17", null ],
            [ "GetUAttribute", "occt_user_guides__test_harness.html#occt_draw_5_5_18", null ],
            [ "SetFunction", "occt_user_guides__test_harness.html#occt_draw_5_5_19", null ],
            [ "GetFunction", "occt_user_guides__test_harness.html#occt_draw_5_5_20", null ],
            [ "NewShape", "occt_user_guides__test_harness.html#occt_draw_5_5_21", null ],
            [ "SetShape", "occt_user_guides__test_harness.html#occt_draw_5_5_22", null ],
            [ "GetShape", "occt_user_guides__test_harness.html#occt_draw_5_5_23", null ]
          ] ],
          [ "Geometric attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_6", [
            [ "SetPoint", "occt_user_guides__test_harness.html#occt_draw_5_6_1", null ],
            [ "GetPoint", "occt_user_guides__test_harness.html#occt_draw_5_6_2", null ],
            [ "SetAxis", "occt_user_guides__test_harness.html#occt_draw_5_6_3", null ],
            [ "GetAxis", "occt_user_guides__test_harness.html#occt_draw_5_6_4", null ],
            [ "SetPlane", "occt_user_guides__test_harness.html#occt_draw_5_6_5", null ],
            [ "GetPlane", "occt_user_guides__test_harness.html#occt_draw_5_6_6", null ],
            [ "SetGeometry", "occt_user_guides__test_harness.html#occt_draw_5_6_7", null ],
            [ "GetGeometryType", "occt_user_guides__test_harness.html#occt_draw_5_6_8", null ],
            [ "SetConstraint", "occt_user_guides__test_harness.html#occt_draw_5_6_9", null ],
            [ "GetConstraint", "occt_user_guides__test_harness.html#occt_draw_5_6_10", null ],
            [ "SetVariable", "occt_user_guides__test_harness.html#occt_draw_5_6_11", null ],
            [ "GetVariable", "occt_user_guides__test_harness.html#occt_draw_5_6_12", null ]
          ] ],
          [ "Tree attributes commands", "occt_user_guides__test_harness.html#occt_draw_5_7", [
            [ "RootNode", "occt_user_guides__test_harness.html#occt_draw_5_7_1", null ],
            [ "SetNode", "occt_user_guides__test_harness.html#occt_draw_5_7_2", null ],
            [ "AppendNode", "occt_user_guides__test_harness.html#occt_draw_5_7_3", null ],
            [ "PrependNode", "occt_user_guides__test_harness.html#occt_draw_5_7_4", null ],
            [ "InsertNodeBefore", "occt_user_guides__test_harness.html#occt_draw_5_7_5", null ],
            [ "InsertNodeAfter", "occt_user_guides__test_harness.html#occt_draw_5_7_6", null ],
            [ "DetachNode", "occt_user_guides__test_harness.html#occt_draw_5_7_7", null ],
            [ "ChildNodeIterate", "occt_user_guides__test_harness.html#occt_draw_5_7_8", null ],
            [ "InitChildNodeIterator", "occt_user_guides__test_harness.html#occt_draw_5_7_9", null ],
            [ "ChildNodeMore", "occt_user_guides__test_harness.html#occt_draw_5_7_10", null ],
            [ "ChildNodeNext", "occt_user_guides__test_harness.html#occt_draw_5_7_11", null ],
            [ "ChildNodeValue", "occt_user_guides__test_harness.html#occt_draw_5_7_12", null ],
            [ "ChildNodeNextBrother", "occt_user_guides__test_harness.html#occt_draw_5_7_13", null ]
          ] ],
          [ "Standard presentation commands", "occt_user_guides__test_harness.html#occt_draw_5_8", [
            [ "AISInitViewer", "occt_user_guides__test_harness.html#occt_draw_5_8_1", null ],
            [ "AISRepaint", "occt_user_guides__test_harness.html#occt_draw_5_8_2", null ],
            [ "AISDisplay", "occt_user_guides__test_harness.html#occt_draw_5_8_3", null ],
            [ "AISUpdate", "occt_user_guides__test_harness.html#occt_draw_5_8_4", null ],
            [ "AISErase", "occt_user_guides__test_harness.html#occt_draw_5_8_5", null ],
            [ "AISRemove", "occt_user_guides__test_harness.html#occt_draw_5_8_6", null ],
            [ "AISSet", "occt_user_guides__test_harness.html#occt_draw_5_8_7", null ],
            [ "AISDriver", "occt_user_guides__test_harness.html#occt_draw_5_8_8", null ],
            [ "AISUnset", "occt_user_guides__test_harness.html#occt_draw_5_8_9", null ],
            [ "AISTransparency", "occt_user_guides__test_harness.html#occt_draw_5_8_10", null ],
            [ "AISHasOwnTransparency", "occt_user_guides__test_harness.html#occt_draw_5_8_11", null ],
            [ "AISMaterial", "occt_user_guides__test_harness.html#occt_draw_5_8_12", null ],
            [ "AISHasOwnMaterial", "occt_user_guides__test_harness.html#occt_draw_5_8_13", null ],
            [ "AISColor", "occt_user_guides__test_harness.html#occt_draw_5_8_14", null ],
            [ "AISHasOwnColor", "occt_user_guides__test_harness.html#occt_draw_5_8_15", null ]
          ] ]
        ] ],
        [ "Geometry commands", "occt_user_guides__test_harness.html#occt_draw_6", [
          [ "Overview", "occt_user_guides__test_harness.html#occt_draw_6_1", null ],
          [ "Curve creation", "occt_user_guides__test_harness.html#occt_draw_6_2", [
            [ "point", "occt_user_guides__test_harness.html#occt_draw_6_2_1", null ],
            [ "line", "occt_user_guides__test_harness.html#occt_draw_6_2_2", null ],
            [ "circle", "occt_user_guides__test_harness.html#occt_draw_6_2_3", null ],
            [ "ellipse", "occt_user_guides__test_harness.html#occt_draw_6_2_4", null ],
            [ "hyperbola", "occt_user_guides__test_harness.html#occt_draw_6_2_5", null ],
            [ "parabola", "occt_user_guides__test_harness.html#occt_draw_6_2_6", null ],
            [ "beziercurve, 2dbeziercurve", "occt_user_guides__test_harness.html#occt_draw_6_2_7", null ],
            [ "bsplinecurve, 2dbsplinecurve, pbsplinecurve, 2dpbsplinecurve", "occt_user_guides__test_harness.html#occt_draw_6_2_8", null ],
            [ "uiso, viso", "occt_user_guides__test_harness.html#occt_draw_6_2_9", null ],
            [ "to3d, to2d", "occt_user_guides__test_harness.html#occt_draw_6_2_10", null ],
            [ "project", "occt_user_guides__test_harness.html#occt_draw_6_2_11", null ]
          ] ],
          [ "Surface creation", "occt_user_guides__test_harness.html#occt_draw_6_3", [
            [ "plane", "occt_user_guides__test_harness.html#occt_draw_6_3_1", null ],
            [ "cylinder", "occt_user_guides__test_harness.html#occt_draw_6_3_2", null ],
            [ "cone", "occt_user_guides__test_harness.html#occt_draw_6_3_3", null ],
            [ "sphere", "occt_user_guides__test_harness.html#occt_draw_6_3_4", null ],
            [ "torus", "occt_user_guides__test_harness.html#occt_draw_6_3_5", null ],
            [ "beziersurf", "occt_user_guides__test_harness.html#occt_draw_6_3_6", null ],
            [ "bsplinesurf, upbsplinesurf, vpbsplinesurf, uvpbsplinesurf", "occt_user_guides__test_harness.html#occt_draw_6_3_7", null ],
            [ "trim, trimu, trimv", "occt_user_guides__test_harness.html#occt_draw_6_3_8", null ],
            [ "offset", "occt_user_guides__test_harness.html#occt_draw_6_3_9", null ],
            [ "revsurf", "occt_user_guides__test_harness.html#occt_draw_6_3_10", null ],
            [ "extsurf", "occt_user_guides__test_harness.html#occt_draw_6_3_11", null ],
            [ "convert", "occt_user_guides__test_harness.html#occt_draw_6_3_12", null ]
          ] ],
          [ "Curve and surface modifications", "occt_user_guides__test_harness.html#occt_draw_6_4", [
            [ "reverse, ureverse, vreverse", "occt_user_guides__test_harness.html#occt_draw_6_4_1", null ],
            [ "exchuv", "occt_user_guides__test_harness.html#occt_draw_6_4_2", null ],
            [ "segment, segsur", "occt_user_guides__test_harness.html#occt_draw_6_4_3", null ],
            [ "iincudeg, incvdeg", "occt_user_guides__test_harness.html#occt_draw_6_4_4", null ],
            [ "cmovep, movep, movecolp, moverowp", "occt_user_guides__test_harness.html#occt_draw_6_4_5", null ],
            [ "insertpole, rempole, remcolpole, remrowpole", "occt_user_guides__test_harness.html#occt_draw_6_4_6", null ],
            [ "insertknot, insertuknot, insertvknot", "occt_user_guides__test_harness.html#occt_draw_6_4_7", null ],
            [ "remknot, remuknot, remvknot", "occt_user_guides__test_harness.html#occt_draw_6_4_8", null ],
            [ "setperiodic, setnotperiodic, setuperiodic, setunotperiodic, setvperiodic, setvnotperiodic", "occt_user_guides__test_harness.html#occt_draw_6_4_9", null ],
            [ "setorigin, setuorigin, setvorigin", "occt_user_guides__test_harness.html#occt_draw_6_4_10", null ]
          ] ],
          [ "Transformations", "occt_user_guides__test_harness.html#occt_draw_6_5", [
            [ "translate, dtranslate", "occt_user_guides__test_harness.html#occt_draw_6_5_1", null ],
            [ "rotate, 2drotate", "occt_user_guides__test_harness.html#occt_draw_6_5_2", null ],
            [ "pmirror, lmirror, smirror, dpmirror, dlmirror", "occt_user_guides__test_harness.html#occt_draw_6_5_3", null ],
            [ "pscale, dpscale", "occt_user_guides__test_harness.html#occt_draw_6_5_4", null ]
          ] ],
          [ "Curve and surface analysis", "occt_user_guides__test_harness.html#occt_draw_6_6", [
            [ "coord", "occt_user_guides__test_harness.html#occt_draw_6_6_1", null ],
            [ "cvalue, 2dcvalue", "occt_user_guides__test_harness.html#occt_draw_6_6_2", null ],
            [ "svalue", "occt_user_guides__test_harness.html#occt_draw_6_6_3", null ],
            [ "localprop, minmaxcurandinf", "occt_user_guides__test_harness.html#occt_draw_6_6_4", null ],
            [ "parameters", "occt_user_guides__test_harness.html#occt_draw_6_6_5", null ],
            [ "proj, 2dproj", "occt_user_guides__test_harness.html#occt_draw_6_6_6", null ],
            [ "surface_radius", "occt_user_guides__test_harness.html#occt_draw_6_6_7", null ]
          ] ],
          [ "Intersections", "occt_user_guides__test_harness.html#occt_draw_6_7", [
            [ "intersect", "occt_user_guides__test_harness.html#occt_draw_6_7_1", null ],
            [ "2dintersect", "occt_user_guides__test_harness.html#occt_draw_6_7_2", null ],
            [ "intconcon", "occt_user_guides__test_harness.html#occt_draw_6_7_3", null ]
          ] ],
          [ "Approximations", "occt_user_guides__test_harness.html#occt_draw_6_8", [
            [ "appro, dapprox", "occt_user_guides__test_harness.html#occt_draw_6_8_1", null ],
            [ "surfapp, grilapp, surfint", "occt_user_guides__test_harness.html#occt_draw_6_8_2", null ]
          ] ],
          [ "Projections", "occt_user_guides__test_harness.html#occt_draw_6_9", [
            [ "projponf", "occt_user_guides__test_harness.html#occt_draw_6_9_1", null ]
          ] ],
          [ "Constraints", "occt_user_guides__test_harness.html#occt_draw_6_10", [
            [ "cirtang", "occt_user_guides__test_harness.html#occt_draw_6_10_1", null ],
            [ "lintan", "occt_user_guides__test_harness.html#occt_draw_6_10_2", null ]
          ] ],
          [ "Display", "occt_user_guides__test_harness.html#occt_draw_6_11", [
            [ "dmod, discr, defle", "occt_user_guides__test_harness.html#occt_draw_6_11_1", null ],
            [ "nbiso", "occt_user_guides__test_harness.html#occt_draw_6_11_2", null ],
            [ "clpoles, shpoles", "occt_user_guides__test_harness.html#occt_draw_6_11_3", null ],
            [ "clknots, shknots", "occt_user_guides__test_harness.html#occt_draw_6_11_4", null ]
          ] ]
        ] ],
        [ "Topology commands", "occt_user_guides__test_harness.html#occt_draw_7", [
          [ "Basic topology", "occt_user_guides__test_harness.html#occt_draw_7_1", [
            [ "isos, discretisation", "occt_user_guides__test_harness.html#occt_draw_7_1_1", null ],
            [ "orientation, complement, invert, normals, range", "occt_user_guides__test_harness.html#occt_draw_7_1_2", null ],
            [ "explode, exwire, nbshapes", "occt_user_guides__test_harness.html#occt_draw_7_1_3", null ],
            [ "emptycopy, add, compound", "occt_user_guides__test_harness.html#occt_draw_7_1_4", null ],
            [ "compare", "occt_user_guides__test_harness.html#occt_draw_7_1_5", null ],
            [ "issubshape", "occt_user_guides__test_harness.html#occt_draw_7_1_6", null ]
          ] ],
          [ "Curve and surface topology", "occt_user_guides__test_harness.html#occt_draw_7_2", [
            [ "vertex", "occt_user_guides__test_harness.html#occt_draw_7_2_1", null ],
            [ "mkpoint", "occt_user_guides__test_harness.html#occt_draw_7_2_1a", null ],
            [ "edge, mkedge, uisoedge, visoedge", "occt_user_guides__test_harness.html#occt_draw_7_2_2", null ],
            [ "wire, polyline, polyvertex", "occt_user_guides__test_harness.html#occt_draw_7_2_3", null ],
            [ "profile", "occt_user_guides__test_harness.html#occt_draw_7_2_4", null ],
            [ "bsplineprof", "occt_user_guides__test_harness.html#occt_draw_7_2_5", null ],
            [ "mkoffset", "occt_user_guides__test_harness.html#occt_draw_7_2_6", null ],
            [ "mkplane, mkface", "occt_user_guides__test_harness.html#occt_draw_7_2_7", null ],
            [ "mkcurve, mksurface", "occt_user_guides__test_harness.html#occt_draw_7_2_8", null ],
            [ "pcurve", "occt_user_guides__test_harness.html#occt_draw_7_2_9", null ],
            [ "chfi2d", "occt_user_guides__test_harness.html#occt_draw_7_2_10", null ],
            [ "nproject", "occt_user_guides__test_harness.html#occt_draw_7_2_11", null ]
          ] ],
          [ "Primitives", "occt_user_guides__test_harness.html#occt_draw_7_3", [
            [ "box, wedge", "occt_user_guides__test_harness.html#occt_draw_7_3_1", null ],
            [ "pcylinder, pcone, psphere, ptorus", "occt_user_guides__test_harness.html#occt_draw_7_3_2", null ],
            [ "halfspace", "occt_user_guides__test_harness.html#occt_draw_7_3_3", null ]
          ] ],
          [ "Sweeping", "occt_user_guides__test_harness.html#occt_draw_7_4", [
            [ "prism", "occt_user_guides__test_harness.html#occt_draw_7_4_1", null ],
            [ "revol", "occt_user_guides__test_harness.html#occt_draw_7_4_2", null ],
            [ "pipe", "occt_user_guides__test_harness.html#occt_draw_7_4_3", null ],
            [ "mksweep, addsweep, setsweep, deletesweep, buildsweep, simulsweep", "occt_user_guides__test_harness.html#occt_draw_7_4_4", null ],
            [ "thrusections", "occt_user_guides__test_harness.html#occt_draw_7_4_5", null ]
          ] ],
          [ "Topological transformation", "occt_user_guides__test_harness.html#occt_draw_7_5", [
            [ "tcopy", "occt_user_guides__test_harness.html#occt_draw_7_5_1", null ],
            [ "tmove, treset", "occt_user_guides__test_harness.html#occt_draw_7_5_2", null ],
            [ "ttranslate, trotate", "occt_user_guides__test_harness.html#occt_draw_7_5_3", null ],
            [ "tmirror, tscale", "occt_user_guides__test_harness.html#occt_draw_7_5_4", null ]
          ] ],
          [ "Sewing", "occt_user_guides__test_harness.html#occt_draw_7_6", null ],
          [ "Topological operations", "occt_user_guides__test_harness.html#occt_draw_7_7", null ],
          [ "Drafting and blending", "occt_user_guides__test_harness.html#occt_draw_7_8", [
            [ "depouille", "occt_user_guides__test_harness.html#occt_draw_7_8_1", null ],
            [ "chamf", "occt_user_guides__test_harness.html#occt_draw_7_8_2", null ],
            [ "blend", "occt_user_guides__test_harness.html#occt_draw_7_8_3", null ],
            [ "bfuseblend", "occt_user_guides__test_harness.html#occt_draw_7_8_4", null ],
            [ "bcutblend", "occt_user_guides__test_harness.html#occt_draw_7_8_4a", null ],
            [ "mkevol, updatevol, buildevol", "occt_user_guides__test_harness.html#occt_draw_7_8_5", null ]
          ] ],
          [ "Defeaturing", "occt_user_guides__test_harness.html#occt_draw_defeaturing", null ],
          [ "3D Model Periodicity", "occt_user_guides__test_harness.html#occt_draw_makeperiodic", [
            [ "makeperiodic", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_makeperiodic", null ],
            [ "repeatshape", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_repeatshape", null ],
            [ "periodictwins", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_periodictwins", null ],
            [ "clearrepetitions", "occt_user_guides__test_harness.html#occt_draw_makeperiodic_clearrepetitions", null ]
          ] ],
          [ "Making the touching shapes connected", "occt_user_guides__test_harness.html#occt_draw_makeconnected", [
            [ "makeconnected", "occt_user_guides__test_harness.html#occt_draw_makeconnected_makeconnected", null ],
            [ "cmaterialson", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cmaterialson", null ],
            [ "cmakeperiodic", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cmakeperiodic", null ],
            [ "crepeatshape", "occt_user_guides__test_harness.html#occt_draw_makeconnected_crepeatshape", null ],
            [ "cperiodictwins", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cperiodictwins", null ],
            [ "cclearrepetitions", "occt_user_guides__test_harness.html#occt_draw_makeconnected_cclearrepetitions", null ]
          ] ],
          [ "Analysis of topology and geometry", "occt_user_guides__test_harness.html#occt_draw_7_9", [
            [ "lprops, sprops, vprops", "occt_user_guides__test_harness.html#occt_draw_7_9_1", null ],
            [ "bounding", "occt_user_guides__test_harness.html#occt_draw_7_9_2", null ],
            [ "isbbinterf", "occt_user_guides__test_harness.html#occt_draw_7_9_2a", null ],
            [ "distmini", "occt_user_guides__test_harness.html#occt_draw_7_9_3", null ],
            [ "xdistef, xdistcs, xdistcc, xdistc2dc2dss, xdistcc2ds", "occt_user_guides__test_harness.html#occt_draw_7_9_4", null ],
            [ "checkshape", "occt_user_guides__test_harness.html#occt_draw_7_9_5", null ],
            [ "tolsphere", "occt_user_guides__test_harness.html#occt_draw_7_9_6", null ],
            [ "validrange", "occt_user_guides__test_harness.html#occt_draw_7_9_7", null ]
          ] ],
          [ "Surface creation", "occt_user_guides__test_harness.html#occt_draw_7_10", [
            [ "gplate,", "occt_user_guides__test_harness.html#occt_draw_7_10_1", null ],
            [ "filling, fillingparam", "occt_user_guides__test_harness.html#occt_draw_7_10_2", null ]
          ] ],
          [ "Complex Topology", "occt_user_guides__test_harness.html#occt_draw_7_11", [
            [ "offsetshape, offsetcompshape", "occt_user_guides__test_harness.html#occt_draw_7_11_1", null ],
            [ "featprism, featdprism, featrevol, featlf, featrf", "occt_user_guides__test_harness.html#occt_draw_7_11_2", null ],
            [ "draft", "occt_user_guides__test_harness.html#occt_draw_7_11_3", null ],
            [ "deform", "occt_user_guides__test_harness.html#occt_draw_7_11_4", null ],
            [ "nurbsconvert", "occt_user_guides__test_harness.html#occt_draw_7_11_5", null ],
            [ "edgestofaces", "occt_user_guides__test_harness.html#occt_draw_7_11_6", null ]
          ] ],
          [ "History commands", "occt_user_guides__test_harness.html#occt_draw_hist", [
            [ "setfillhistory", "occt_user_guides__test_harness.html#occt_draw_hist_set", null ],
            [ "savehistory", "occt_user_guides__test_harness.html#occt_draw_hist_save", null ],
            [ "isdeleted", "occt_user_guides__test_harness.html#occt_draw_hist_isdel", null ],
            [ "modified", "occt_user_guides__test_harness.html#occt_draw_hist_mod", null ],
            [ "generated", "occt_user_guides__test_harness.html#occt_draw_hist_gen", null ],
            [ "Enabling Draw history support for the algorithms", "occt_user_guides__test_harness.html#occt_draw_hist_extension", null ]
          ] ],
          [ "Texture Mapping to a Shape", "occt_user_guides__test_harness.html#occt_draw_7_12", [
            [ "vtexture", "occt_user_guides__test_harness.html#occt_draw_7_12_1", null ],
            [ "vtexscale", "occt_user_guides__test_harness.html#occt_draw_7_12_2", null ],
            [ "vtexorigin", "occt_user_guides__test_harness.html#occt_draw_7_12_3", null ],
            [ "vtexrepeat", "occt_user_guides__test_harness.html#occt_draw_7_12_4", null ],
            [ "vtexdefault", "occt_user_guides__test_harness.html#occt_draw_7_12_5", null ]
          ] ]
        ] ],
        [ "Boolean Operations Commands", "occt_user_guides__test_harness.html#occt_draw_bop", [
          [ "Boolean Operations on two operands", "occt_user_guides__test_harness.html#occt_draw_bop_two", [
            [ "bop, bopfuse, bopcut, boptuc, bopcommon, bopsection", "occt_user_guides__test_harness.html#occt_draw_bop_two_bop", null ],
            [ "bfuse, bcut, btuc, bcommon, bsection", "occt_user_guides__test_harness.html#occt_draw_bop_two_bapi", null ]
          ] ],
          [ "Boolean Operations on multiple arguments", "occt_user_guides__test_harness.html#occt_draw_bop_multi", null ],
          [ "General commands for working with multiple arguments", "occt_user_guides__test_harness.html#occt_draw_bop_general_com", [
            [ "Adding arguments of operation", "occt_user_guides__test_harness.html#occt_draw_bop_general_com_add", null ],
            [ "Intersection of the arguments", "occt_user_guides__test_harness.html#occt_draw_bop_general_com_fill", null ]
          ] ],
          [ "Building the result of operations", "occt_user_guides__test_harness.html#occt_draw_bop_build", [
            [ "Boolean operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_BOP", null ],
            [ "General Fuse operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_GF", null ],
            [ "Split operation", "occt_user_guides__test_harness.html#occt_draw_bop_build_Split", null ],
            [ "Alternative command for BOP", "occt_user_guides__test_harness.html#occt_draw_bop_build_BOP_opensolids", null ],
            [ "Cells Builder", "occt_user_guides__test_harness.html#occt_draw_bop_build_CB", null ],
            [ "Building result through API", "occt_user_guides__test_harness.html#occt_draw_bop_build_API", null ]
          ] ],
          [ "Setting options for the operation", "occt_user_guides__test_harness.html#occt_draw_bop_options", [
            [ "Parallel processing mode", "occt_user_guides__test_harness.html#occt_draw_bop_options_par", null ],
            [ "Safe processing mode", "occt_user_guides__test_harness.html#occt_draw_bop_options_safe", null ],
            [ "Fuzzy option", "occt_user_guides__test_harness.html#occt_draw_bop_options_fuzzy", null ],
            [ "Gluing option", "occt_user_guides__test_harness.html#occt_draw_bop_options_glue", null ],
            [ "Check inversion of input solids", "occt_user_guides__test_harness.html#occt_draw_bop_options_checkinv", null ],
            [ "OBB usage", "occt_user_guides__test_harness.html#occt_draw_bop_options_obb", null ],
            [ "Result simplification", "occt_user_guides__test_harness.html#occt_draw_bop_options_simplify", null ],
            [ "Drawing warning shapes", "occt_user_guides__test_harness.html#occt_draw_bop_options_warn", null ]
          ] ],
          [ "Check commands", "occt_user_guides__test_harness.html#occt_draw_bop_check", [
            [ "bopcheck", "occt_user_guides__test_harness.html#occt_draw_bop_check_1", null ],
            [ "bopargcheck", "occt_user_guides__test_harness.html#occt_draw_bop_check_2", null ]
          ] ],
          [ "Debug commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug", [
            [ "Intersection Part commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug_int", null ],
            [ "Building Part commands", "occt_user_guides__test_harness.html#occt_draw_bop_debug_build", null ]
          ] ]
        ] ],
        [ "Data Exchange commands", "occt_user_guides__test_harness.html#occt_draw_8", [
          [ "IGES commands", "occt_user_guides__test_harness.html#occt_draw_8_1", [
            [ "igesread", "occt_user_guides__test_harness.html#occt_draw_8_1_1", null ],
            [ "tplosttrim", "occt_user_guides__test_harness.html#occt_draw_8_1_2", null ],
            [ "brepiges", "occt_user_guides__test_harness.html#occt_draw_8_1_3", null ]
          ] ],
          [ "STEP commands", "occt_user_guides__test_harness.html#occt_draw_8_2", [
            [ "stepread", "occt_user_guides__test_harness.html#occt_draw_8_2_1", null ],
            [ "stepwrite", "occt_user_guides__test_harness.html#occt_draw_8_2_2", null ]
          ] ],
          [ "General commands", "occt_user_guides__test_harness.html#occt_draw_8_3", [
            [ "count", "occt_user_guides__test_harness.html#occt_draw_8_3_1", null ],
            [ "data", "occt_user_guides__test_harness.html#occt_draw_8_3_2", null ],
            [ "elabel", "occt_user_guides__test_harness.html#occt_draw_8_3_3", null ],
            [ "entity", "occt_user_guides__test_harness.html#occt_draw_8_3_4", null ],
            [ "enum", "occt_user_guides__test_harness.html#occt_draw_8_3_5", null ],
            [ "estatus", "occt_user_guides__test_harness.html#occt_draw_8_3_6", null ],
            [ "fromshape", "occt_user_guides__test_harness.html#occt_draw_8_3_7", null ],
            [ "givecount", "occt_user_guides__test_harness.html#occt_draw_8_3_8", null ],
            [ "givelist", "occt_user_guides__test_harness.html#occt_draw_8_3_9", null ],
            [ "listcount", "occt_user_guides__test_harness.html#occt_draw_8_3_10", null ],
            [ "listitems", "occt_user_guides__test_harness.html#occt_draw_8_3_11", null ],
            [ "listtypes", "occt_user_guides__test_harness.html#occt_draw_8_3_12", null ],
            [ "newmodel", "occt_user_guides__test_harness.html#occt_draw_8_3_13", null ],
            [ "param", "occt_user_guides__test_harness.html#occt_draw_8_3_14", null ],
            [ "sumcount", "occt_user_guides__test_harness.html#occt_draw_8_3_15", null ],
            [ "tpclear", "occt_user_guides__test_harness.html#occt_draw_8_3_16", null ],
            [ "tpdraw", "occt_user_guides__test_harness.html#occt_draw_8_3_17", null ],
            [ "tpent", "occt_user_guides__test_harness.html#occt_draw_8_3_18", null ],
            [ "tpstat", "occt_user_guides__test_harness.html#occt_draw_8_3_19", null ],
            [ "xload", "occt_user_guides__test_harness.html#occt_draw_8_3_20", null ]
          ] ],
          [ "Overview of XDE commands", "occt_user_guides__test_harness.html#occt_draw_8_4", [
            [ "ReadIges", "occt_user_guides__test_harness.html#occt_draw_8_4_1", null ],
            [ "ReadStep", "occt_user_guides__test_harness.html#occt_draw_8_4_2", null ],
            [ "WriteIges", "occt_user_guides__test_harness.html#occt_draw_8_4_3", null ],
            [ "WriteStep", "occt_user_guides__test_harness.html#occt_draw_8_4_4", null ],
            [ "XFileCur", "occt_user_guides__test_harness.html#occt_draw_8_4_5", null ],
            [ "XFileList", "occt_user_guides__test_harness.html#occt_draw_8_4_6", null ],
            [ "XFileSet", "occt_user_guides__test_harness.html#occt_draw_8_4_7", null ],
            [ "XFromShape", "occt_user_guides__test_harness.html#occt_draw_8_4_8", null ]
          ] ],
          [ "XDE general commands", "occt_user_guides__test_harness.html#occt_draw_8_5", [
            [ "XNewDoc", "occt_user_guides__test_harness.html#occt_draw_8_5_1", null ],
            [ "XShow", "occt_user_guides__test_harness.html#occt_draw_8_5_2", null ],
            [ "XStat", "occt_user_guides__test_harness.html#occt_draw_8_5_3", null ],
            [ "XWdump", "occt_user_guides__test_harness.html#occt_draw_8_5_4", null ],
            [ "Xdump", "occt_user_guides__test_harness.html#occt_draw_8_5_5", null ]
          ] ],
          [ "XDE shape commands", "occt_user_guides__test_harness.html#occt_draw_8_6", [
            [ "XAddComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_1", null ],
            [ "XAddShape", "occt_user_guides__test_harness.html#occt_draw_8_6_2", null ],
            [ "XFindComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_3", null ],
            [ "XFindShape", "occt_user_guides__test_harness.html#occt_draw_8_6_4", null ],
            [ "XGetFreeShapes", "occt_user_guides__test_harness.html#occt_draw_8_6_5", null ],
            [ "XGetOneShape", "occt_user_guides__test_harness.html#occt_draw_8_6_6", null ],
            [ "XGetReferredShape", "occt_user_guides__test_harness.html#occt_draw_8_6_7", null ],
            [ "XGetShape", "occt_user_guides__test_harness.html#occt_draw_8_6_8", null ],
            [ "XGetTopLevelShapes", "occt_user_guides__test_harness.html#occt_draw_8_6_9", null ],
            [ "XLabelInfo", "occt_user_guides__test_harness.html#occt_draw_8_6_10", null ],
            [ "XNewShape", "occt_user_guides__test_harness.html#occt_draw_8_6_11", null ],
            [ "XRemoveComponent", "occt_user_guides__test_harness.html#occt_draw_8_6_12", null ],
            [ "XRemoveShape", "occt_user_guides__test_harness.html#occt_draw_8_6_13", null ],
            [ "XSetShape", "occt_user_guides__test_harness.html#occt_draw_8_6_14", null ],
            [ "XUpdateAssemblies", "occt_user_guides__test_harness.html#occt_draw_8_6_15", null ]
          ] ],
          [ "XDE color commands", "occt_user_guides__test_harness.html#occt_draw_8_7_", [
            [ "XAddColor", "occt_user_guides__test_harness.html#occt_draw_8_7_1", null ],
            [ "XFindColor", "occt_user_guides__test_harness.html#occt_draw_8_7_2", null ],
            [ "XGetAllColors", "occt_user_guides__test_harness.html#occt_draw_8_7_3", null ],
            [ "XGetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_4", null ],
            [ "XGetObjVisibility", "occt_user_guides__test_harness.html#occt_draw_8_7_5", null ],
            [ "XGetShapeColor", "occt_user_guides__test_harness.html#occt_draw_8_7_6", null ],
            [ "XRemoveColor", "occt_user_guides__test_harness.html#occt_draw_8_7_7", null ],
            [ "XSetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_8", null ],
            [ "XSetObjVisibility", "occt_user_guides__test_harness.html#occt_draw_8_7_9", null ],
            [ "XUnsetColor", "occt_user_guides__test_harness.html#occt_draw_8_7_10", null ]
          ] ],
          [ "XDE layer commands", "occt_user_guides__test_harness.html#occt_draw_8_8_", [
            [ "XAddLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_1", null ],
            [ "XFindLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_2", null ],
            [ "XGetAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_3", null ],
            [ "XGetLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_4", null ],
            [ "XGetOneLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_5", null ],
            [ "XIsVisible", "occt_user_guides__test_harness.html#occt_draw_8_8_6", null ],
            [ "XRemoveAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_7", null ],
            [ "XRemoveLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_8", null ],
            [ "XSetLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_9", null ],
            [ "XSetVisibility", "occt_user_guides__test_harness.html#occt_draw_8_8_10", null ],
            [ "XUnSetAllLayers", "occt_user_guides__test_harness.html#occt_draw_8_8_11", null ],
            [ "XUnSetLayer", "occt_user_guides__test_harness.html#occt_draw_8_8_12", null ]
          ] ],
          [ "XDE property commands", "occt_user_guides__test_harness.html#occt_draw_8_9", [
            [ "XCheckProps", "occt_user_guides__test_harness.html#occt_draw_8_9_1", null ],
            [ "XGetArea", "occt_user_guides__test_harness.html#occt_draw_8_9_2", null ],
            [ "XGetCentroid", "occt_user_guides__test_harness.html#occt_draw_8_9_3", null ],
            [ "XGetVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_4", null ],
            [ "XSetArea", "occt_user_guides__test_harness.html#occt_draw_8_9_5", null ],
            [ "XSetCentroid", "occt_user_guides__test_harness.html#occt_draw_8_9_6", null ],
            [ "XSetMaterial", "occt_user_guides__test_harness.html#occt_draw_8_9_7", null ],
            [ "XSetVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_8", null ],
            [ "XShapeMassProps", "occt_user_guides__test_harness.html#occt_draw_8_9_9", null ],
            [ "XShapeVolume", "occt_user_guides__test_harness.html#occt_draw_8_9_10", null ]
          ] ]
        ] ],
        [ "Shape Healing commands", "occt_user_guides__test_harness.html#occt_draw_9", [
          [ "General commands", "occt_user_guides__test_harness.html#occt_draw_9_1", [
            [ "bsplres", "occt_user_guides__test_harness.html#occt_draw_9_1_1", null ],
            [ "checkfclass2d", "occt_user_guides__test_harness.html#occt_draw_9_1_2", null ],
            [ "checkoverlapedges", "occt_user_guides__test_harness.html#occt_draw_9_1_3", null ],
            [ "comtol", "occt_user_guides__test_harness.html#occt_draw_9_1_4", null ],
            [ "convtorevol", "occt_user_guides__test_harness.html#occt_draw_9_1_5", null ],
            [ "directfaces", "occt_user_guides__test_harness.html#occt_draw_9_1_6", null ],
            [ "expshape", "occt_user_guides__test_harness.html#occt_draw_9_1_7", null ],
            [ "fixsmall", "occt_user_guides__test_harness.html#occt_draw_9_1_8", null ],
            [ "fixsmalledges", "occt_user_guides__test_harness.html#occt_draw_9_1_9", null ],
            [ "fixshape", "occt_user_guides__test_harness.html#occt_draw_9_1_10", null ],
            [ "fixwgaps", "occt_user_guides__test_harness.html#occt_draw_9_1_11", null ],
            [ "offsetcurve, offset2dcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_12", null ],
            [ "projcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_13", null ],
            [ "projpcurve", "occt_user_guides__test_harness.html#occt_draw_9_1_14", null ],
            [ "projface", "occt_user_guides__test_harness.html#occt_draw_9_1_15", null ],
            [ "scaleshape", "occt_user_guides__test_harness.html#occt_draw_9_1_16", null ],
            [ "settolerance", "occt_user_guides__test_harness.html#occt_draw_9_1_17", null ],
            [ "splitface", "occt_user_guides__test_harness.html#occt_draw_9_1_18", null ],
            [ "statshape", "occt_user_guides__test_harness.html#occt_draw_9_1_19", null ],
            [ "tolerance", "occt_user_guides__test_harness.html#occt_draw_9_1_20", null ]
          ] ],
          [ "Conversion commands", "occt_user_guides__test_harness.html#occt_draw_9_2", [
            [ "DT_ClosedSplit", "occt_user_guides__test_harness.html#occt_draw_9_2_1", null ],
            [ "DT_ShapeConvert, DT_ShapeConvertRev", "occt_user_guides__test_harness.html#occt_draw_9_2_2", null ],
            [ "DT_ShapeDivide", "occt_user_guides__test_harness.html#occt_draw_9_2_3", null ],
            [ "DT_SplitAngle", "occt_user_guides__test_harness.html#occt_draw_9_2_4", null ],
            [ "DT_SplitCurve", "occt_user_guides__test_harness.html#occt_draw_9_2_5", null ],
            [ "DT_SplitCurve2d", "occt_user_guides__test_harness.html#occt_draw_9_2_6", null ],
            [ "DT_SplitSurface", "occt_user_guides__test_harness.html#occt_draw_9_2_7", null ],
            [ "DT_ToBspl", "occt_user_guides__test_harness.html#occt_draw_9_2_8", null ]
          ] ]
        ] ],
        [ "Performance evaluation commands", "occt_user_guides__test_harness.html#occt_draw_10", [
          [ "VDrawSphere", "occt_user_guides__test_harness.html#occt_draw_10_1", null ]
        ] ],
        [ "Simple vector algebra and measurements", "occt_user_guides__test_harness.html#occt_draw_12", [
          [ "Vector algebra commands", "occt_user_guides__test_harness.html#occt_draw_12_1", [
            [ "vec", "occt_user_guides__test_harness.html#occt_draw_12_1_1", null ],
            [ "2dvec", "occt_user_guides__test_harness.html#occt_draw_12_1_2", null ],
            [ "pln", "occt_user_guides__test_harness.html#occt_draw_12_1_3", null ],
            [ "module", "occt_user_guides__test_harness.html#occt_draw_12_1_4", null ],
            [ "2dmodule", "occt_user_guides__test_harness.html#occt_draw_12_1_5", null ],
            [ "norm", "occt_user_guides__test_harness.html#occt_draw_12_1_6", null ],
            [ "2dnorm", "occt_user_guides__test_harness.html#occt_draw_12_1_7", null ],
            [ "inverse", "occt_user_guides__test_harness.html#occt_draw_12_1_8", null ],
            [ "2dinverse", "occt_user_guides__test_harness.html#occt_draw_12_1_9", null ],
            [ "2dort", "occt_user_guides__test_harness.html#occt_draw_12_1_10", null ],
            [ "distpp", "occt_user_guides__test_harness.html#occt_draw_12_1_11", null ],
            [ "2ddistpp", "occt_user_guides__test_harness.html#occt_draw_12_1_12", null ],
            [ "distplp", "occt_user_guides__test_harness.html#occt_draw_12_1_13", null ],
            [ "distlp", "occt_user_guides__test_harness.html#occt_draw_12_1_14", null ],
            [ "2ddistlp", "occt_user_guides__test_harness.html#occt_draw_12_1_15", null ],
            [ "distppp", "occt_user_guides__test_harness.html#occt_draw_12_1_16", null ],
            [ "2ddistppp", "occt_user_guides__test_harness.html#occt_draw_12_1_17", null ],
            [ "barycen", "occt_user_guides__test_harness.html#occt_draw_12_1_18", null ],
            [ "2dbarycen", "occt_user_guides__test_harness.html#occt_draw_12_1_19", null ],
            [ "cross", "occt_user_guides__test_harness.html#occt_draw_12_1_20", null ],
            [ "2dcross", "occt_user_guides__test_harness.html#occt_draw_12_1_21", null ],
            [ "dot", "occt_user_guides__test_harness.html#occt_draw_12_1_22", null ],
            [ "2ddot", "occt_user_guides__test_harness.html#occt_draw_12_1_23", null ],
            [ "scale", "occt_user_guides__test_harness.html#occt_draw_12_1_24", null ],
            [ "2dscale", "occt_user_guides__test_harness.html#occt_draw_12_1_25", null ]
          ] ],
          [ "Measurements commands", "occt_user_guides__test_harness.html#occt_draw_12_2", [
            [ "pnt", "occt_user_guides__test_harness.html#occt_draw_12_2_1", null ],
            [ "pntc", "occt_user_guides__test_harness.html#occt_draw_12_2_2", null ],
            [ "2dpntc", "occt_user_guides__test_harness.html#occt_draw_12_2_3", null ],
            [ "pntsu", "occt_user_guides__test_harness.html#occt_draw_12_2_4", null ],
            [ "pntcons", "occt_user_guides__test_harness.html#occt_draw_12_2_5", null ],
            [ "drseg", "occt_user_guides__test_harness.html#occt_draw_12_2_6", null ],
            [ "2ddrseg", "occt_user_guides__test_harness.html#occt_draw_12_2_7", null ],
            [ "mpick", "occt_user_guides__test_harness.html#occt_draw_12_2_8", null ],
            [ "mdist", "occt_user_guides__test_harness.html#occt_draw_12_2_9", null ]
          ] ]
        ] ],
        [ "Inspector commands", "occt_user_guides__test_harness.html#occt_draw_13", [
          [ "tinspector", "occt_user_guides__test_harness.html#occt_draw_13_1", null ]
        ] ],
        [ "Extending Test Harness with custom commands", "occt_user_guides__test_harness.html#occt_draw_11", [
          [ "Custom command implementation", "occt_user_guides__test_harness.html#occt_draw_11_1", null ],
          [ "Registration of commands in Test Harness", "occt_user_guides__test_harness.html#occt_draw_11_2", null ],
          [ "Creating a toolkit (library) as a plug-in", "occt_user_guides__test_harness.html#occt_draw_11_3", null ],
          [ "Creation of the plug-in resource file", "occt_user_guides__test_harness.html#occt_draw_11_4", null ],
          [ "Dynamic loading and activation", "occt_user_guides__test_harness.html#occt_draw_11_5", null ]
        ] ]
      ] ],
      [ "Inspector", "occt_user_guides__inspector.html", [
        [ "Introduction", "occt_user_guides__inspector.html#occt_inspector_1", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_1_1", null ],
          [ "Getting started", "occt_user_guides__inspector.html#occt_inspector_1_3", null ]
        ] ],
        [ "Inspector Plugins", "occt_user_guides__inspector.html#occt_inspector_2", [
          [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_1", null ],
          [ "DFBrowser Plugin", "occt_user_guides__inspector.html#occt_inspector_2_2", [
            [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_2_1", null ],
            [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_2_2", null ],
            [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_2_3", null ],
            [ "TopoDS_Shape export", "occt_user_guides__inspector.html#occt_shape_export", null ]
          ] ],
          [ "VInspector Plugin", "occt_user_guides__inspector.html#occt_inspector_2_3", [
            [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_3_1", null ],
            [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_3_2", null ],
            [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_3_3", null ],
            [ "VInspector tree view columns", "occt_user_guides__inspector.html#occt_inspector_2_3_4", null ],
            [ "VInspector property panel", "occt_user_guides__inspector.html#occt_inspector_2_3_5", null ]
          ] ],
          [ "ShapeView Plugin", "occt_user_guides__inspector.html#occt_inspector_2_4", [
            [ "Overview", "occt_user_guides__inspector.html#occt_inspector_2_4_1", null ],
            [ "Property panel", "occt_user_guides__inspector.html#occt_inspector_2_4_2", null ],
            [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_4_3", null ],
            [ "Elements cooperation", "occt_user_guides__inspector.html#occt_inspector_2_4_4", null ],
            [ "ShapeView tree view columns", "occt_user_guides__inspector.html#occt_inspector_2_4_5", null ]
          ] ],
          [ "MessageView Plugin", "occt_user_guides__inspector.html#occt_inspector_2_5", [
            [ "Message report tree view", "occt_user_guides__inspector.html#occt_inspector_2_5_1", null ],
            [ "3D View", "occt_user_guides__inspector.html#occt_inspector_2_5_2", null ],
            [ "Dump panel", "occt_user_guides__inspector.html#occt_inspector_2_5_3", null ],
            [ "Property panel (custom)", "occt_user_guides__inspector.html#occt_inspector_2_5_4", null ],
            [ "Elements", "occt_user_guides__inspector.html#occt_inspector_2_5_5", null ]
          ] ]
        ] ],
        [ "Common controls", "occt_user_guides__inspector.html#occt_inspector_3", [
          [ "Tree View", "occt_user_guides__inspector.html#occt_inspector_3_1", [
            [ "Tree View preferences", "occt_user_guides__inspector.html#occt_inspector_3_1_1", null ]
          ] ],
          [ "3D View", "occt_user_guides__inspector.html#occt_inspector_3_2", [
            [ "Overview", "occt_user_guides__inspector.html#occt_inspector_3_2_1", null ],
            [ "Elements", "occt_user_guides__inspector.html#occt_inspector_3_2_2", null ],
            [ "3D View preferences.", "occt_user_guides__inspector.html#occt_inspector_3_2_3", null ]
          ] ],
          [ "Preferences context menu", "occt_user_guides__inspector.html#occt_inspector_3_3", null ]
        ] ],
        [ "Getting Started", "occt_user_guides__inspector.html#occt_inspector_4", [
          [ "TInspectorEXE sample", "occt_user_guides__inspector.html#occt_inspector_4_1", [
            [ "TInspectorEXE preferences", "occt_user_guides__inspector.html#occt_inspector_4_1_1", null ]
          ] ],
          [ "How to launch the Inspector in DRAW Test Harness", "occt_user_guides__inspector.html#occt_inspector_4_2", null ],
          [ "How to use the Inspector in a custom application", "occt_user_guides__inspector.html#occt_inspector_4_3", null ]
        ] ],
        [ "Build procedure", "occt_user_guides__inspector.html#occt_inspector_5", [
          [ "Building with CMake within OCCT", "occt_user_guides__inspector.html#occt_inspector_5_1", null ]
        ] ],
        [ "Sources and packaging", "occt_user_guides__inspector.html#occt_inspector_6", null ],
        [ "Glossary", "occt_user_guides__inspector.html#occt_inspector_7", null ]
      ] ]
    ] ],
    [ "Specifications", "specification.html", [
      [ "Boolean Operations", "specification__boolean_operations.html", [
        [ "Introduction", "specification__boolean_operations.html#specification__boolean_1", null ],
        [ "Overview", "specification__boolean_operations.html#specification__boolean_2", [
          [ "Operators", "specification__boolean_operations.html#specification__boolean_2_1", [
            [ "Boolean operator", "specification__boolean_operations.html#specification__boolean_2_1_1", null ],
            [ "General Fuse operator", "specification__boolean_operations.html#specification__boolean_2_1_2", null ],
            [ "Splitter operator", "specification__boolean_operations.html#specification__boolean_2_1_3", null ],
            [ "Section operator", "specification__boolean_operations.html#specification__boolean_2_1_4", null ]
          ] ],
          [ "Parts of algorithms", "specification__boolean_operations.html#specification__boolean_2_2", null ]
        ] ],
        [ "Terms and Definitions", "specification__boolean_operations.html#specification__boolean_3", [
          [ "Interferences", "specification__boolean_operations.html#specification__boolean_3_1", [
            [ "Vertex/Vertex interference", "specification__boolean_operations.html#specification__boolean_3_1_1", null ],
            [ "Vertex/Edge interference", "specification__boolean_operations.html#specification__boolean_3_1_2", null ],
            [ "Vertex/Face interference", "specification__boolean_operations.html#specification__boolean_3_1_3", null ],
            [ "Edge/Edge interference", "specification__boolean_operations.html#specification__boolean_3_1_4", null ],
            [ "Edge/Face interference", "specification__boolean_operations.html#specification__boolean_3_1_5", null ],
            [ "Face/Face Interference", "specification__boolean_operations.html#specification__boolean_3_1_6", null ],
            [ "Vertex/Solid Interference", "specification__boolean_operations.html#specification__boolean_3_1_7", null ],
            [ "Edge/Soild Interference", "specification__boolean_operations.html#specification__boolean_3_1_8", null ],
            [ "Face/Soild Interference", "specification__boolean_operations.html#specification__boolean_3_1_9", null ],
            [ "Solid/Soild Interference", "specification__boolean_operations.html#specification__boolean_3_1_10", null ],
            [ "Computation Order", "specification__boolean_operations.html#specification__boolean_3_1_11", null ],
            [ "Results", "specification__boolean_operations.html#specification__boolean_3_1_12", null ]
          ] ],
          [ "Paves", "specification__boolean_operations.html#specification__boolean_3_2", null ],
          [ "Pave Blocks", "specification__boolean_operations.html#specification__boolean_3_3", null ],
          [ "Shrunk Range", "specification__boolean_operations.html#specification__boolean_3_4", null ],
          [ "Common Blocks", "specification__boolean_operations.html#specification__boolean_3_5", null ],
          [ "FaceInfo", "specification__boolean_operations.html#specification__boolean_3_6", null ]
        ] ],
        [ "Data Structure", "specification__boolean_operations.html#specification__boolean_4", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_4_1", null ],
          [ "Shapes", "specification__boolean_operations.html#specification__boolean_4_2", null ],
          [ "Interferences", "specification__boolean_operations.html#specification__boolean_4_3", null ],
          [ "Pave, PaveBlock and CommonBlock", "specification__boolean_operations.html#specification__boolean_4_4", null ],
          [ "Points and Curves", "specification__boolean_operations.html#specification__boolean_4_5", null ],
          [ "FaceInfo", "specification__boolean_operations.html#specification__boolean_4_6", null ]
        ] ],
        [ "Root Classes", "specification__boolean_operations.html#specification__boolean_root_classes", [
          [ "Class BOPAlgo_Options", "specification__boolean_operations.html#specification__boolean_root_classes_1", null ],
          [ "Class BOPAlgo_Algo", "specification__boolean_operations.html#specification__boolean_root_classes_2", null ]
        ] ],
        [ "Intersection Part", "specification__boolean_operations.html#specification__boolean_5", [
          [ "Initialization", "specification__boolean_operations.html#specification__boolean_5_1", null ],
          [ "Compute Vertex/Vertex Interferences", "specification__boolean_operations.html#specification__boolean_5_2", null ],
          [ "Compute Vertex/Edge Interferences", "specification__boolean_operations.html#specification__boolean_5_3", null ],
          [ "Update Pave Blocks", "specification__boolean_operations.html#specification__boolean_5_4", null ],
          [ "Compute Edge/Edge Interferences", "specification__boolean_operations.html#specification__boolean_5_5", null ],
          [ "Compute Vertex/Face Interferences", "specification__boolean_operations.html#specification__boolean_5_6", null ],
          [ "Compute Edge/Face Interferences", "specification__boolean_operations.html#specification__boolean_5_7", null ],
          [ "Build Split Edges", "specification__boolean_operations.html#specification__boolean_5_8", null ],
          [ "Compute Face/Face Interferences", "specification__boolean_operations.html#specification__boolean_5_9", null ],
          [ "Build Section Edges", "specification__boolean_operations.html#specification__boolean_5_10", null ],
          [ "Build P-Curves", "specification__boolean_operations.html#specification__boolean_5_11", null ],
          [ "Process Degenerated Edges", "specification__boolean_operations.html#specification__boolean_5_12", null ]
        ] ],
        [ "General description of the Building Part", "specification__boolean_operations.html#specification__boolean_6", null ],
        [ "General Fuse Algorithm", "specification__boolean_operations.html#specification__boolean_7", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_7_1", null ],
          [ "Results", "specification__boolean_operations.html#specification__boolean_7_2", null ],
          [ "Options", "specification__boolean_operations.html#specification__boolean_7_3a", null ],
          [ "Usage", "specification__boolean_operations.html#specification__boolean_7_3b", [
            [ "Usage of the GF algorithm on C++ level", "specification__boolean_operations.html#autotoc_md275", null ],
            [ "Usage of the GF algorithm on Tcl level", "specification__boolean_operations.html#autotoc_md276", null ]
          ] ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_7_3", [
            [ "Case 1: Three edges intersecting at a point", "specification__boolean_operations.html#specification__boolean_7_3_1", null ],
            [ "Case 2: Two wires and an edge", "specification__boolean_operations.html#specification__boolean_7_3_2", null ],
            [ "Case 3: An edge intersecting with a face", "specification__boolean_operations.html#specification__boolean_7_3_3", null ],
            [ "Case 4: An edge lying on a face", "specification__boolean_operations.html#specification__boolean_7_3_4", null ],
            [ "Case 5: An edge and a shell", "specification__boolean_operations.html#specification__boolean_7_3_5", null ],
            [ "Case 6: A wire and a shell", "specification__boolean_operations.html#specification__boolean_7_3_6", null ],
            [ "Case 7: Three faces", "specification__boolean_operations.html#specification__boolean_7_3_7", null ],
            [ "Case 8: A face and a shell", "specification__boolean_operations.html#specification__boolean_7_3_8", null ],
            [ "Case 9: A shell and a solid", "specification__boolean_operations.html#specification__boolean_7_3_9", null ],
            [ "Case 10: A compound and a solid", "specification__boolean_operations.html#specification__boolean_7_3_10", null ]
          ] ],
          [ "Class BOPAlgo_Builder", "specification__boolean_operations.html#specification__boolean_7_4", [
            [ "Fields", "specification__boolean_operations.html#specification__boolean_7_4_1", null ],
            [ "Initialization", "specification__boolean_operations.html#specification__boolean_7_4_2", null ],
            [ "Build Images for Vertices", "specification__boolean_operations.html#specification__boolean_7_4_3", null ],
            [ "Build Result of Type Vertex", "specification__boolean_operations.html#specification__boolean_7_4_4", null ],
            [ "Build Images for Edges", "specification__boolean_operations.html#specification__boolean_7_4_5", null ],
            [ "Build Result of Type Edge", "specification__boolean_operations.html#specification__boolean_7_4_6", null ],
            [ "Build Images for Wires", "specification__boolean_operations.html#specification__boolean_7_4_7", null ],
            [ "Build Result of Type Wire", "specification__boolean_operations.html#specification__boolean_7_4_8", null ],
            [ "Build Images for Faces", "specification__boolean_operations.html#specification__boolean_7_4_9", null ],
            [ "Build Result of Type Face", "specification__boolean_operations.html#specification__boolean_7_4_10", null ],
            [ "Build Images for Shells", "specification__boolean_operations.html#specification__boolean_7_4_11", null ],
            [ "Build Result of Type Shell", "specification__boolean_operations.html#specification__boolean_7_4_12", null ],
            [ "Build Images for Solids", "specification__boolean_operations.html#specification__boolean_7_4_13", null ],
            [ "Build Result of Type Solid", "specification__boolean_operations.html#specification__boolean_7_4_14", null ],
            [ "Build Images for Type CompSolid", "specification__boolean_operations.html#specification__boolean_7_4_15", null ],
            [ "Build Result of Type Compsolid", "specification__boolean_operations.html#specification__boolean_7_4_16", null ],
            [ "Build Images for Compounds", "specification__boolean_operations.html#specification__boolean_7_4_17", null ],
            [ "Build Result of Type Compound", "specification__boolean_operations.html#specification__boolean_7_4_18", null ],
            [ "Post-Processing", "specification__boolean_operations.html#specification__boolean_7_4_19", null ]
          ] ]
        ] ],
        [ "Splitter Algorithm", "specification__boolean_operations.html#specification__boolean_8", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_8_1", null ],
          [ "Results", "specification__boolean_operations.html#specification__boolean_8_2", null ],
          [ "Usage", "specification__boolean_operations.html#specification__boolean_8_3", [
            [ "API", "specification__boolean_operations.html#specification__boolean_8_3_1", null ],
            [ "DRAW", "specification__boolean_operations.html#specification__boolean_8_3_2", null ]
          ] ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_8_4", [
            [ "Example 1", "specification__boolean_operations.html#specification__boolean_8_4_1", null ],
            [ "Example 2", "specification__boolean_operations.html#specification__boolean_8_4_2", null ],
            [ "Example 3", "specification__boolean_operations.html#specification__boolean_8_4_3", null ]
          ] ]
        ] ],
        [ "Boolean Operations Algorithm", "specification__boolean_operations.html#specification__boolean_9", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_9_1", null ],
          [ "Results. General Rules", "specification__boolean_operations.html#specification__boolean_9_3", null ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_9_4", [
            [ "Case 1: Two Vertices", "specification__boolean_operations.html#specification__boolean_9_4_1", null ],
            [ "Case 2: A Vertex and an Edge", "specification__boolean_operations.html#specification__boolean_9_4_2", null ],
            [ "Case 3: A Vertex and a Face", "specification__boolean_operations.html#specification__boolean_9_4_3", null ],
            [ "Case 4: A Vertex and a Solid", "specification__boolean_operations.html#specification__boolean_9_4_4", null ],
            [ "Case 5: Two edges intersecting at one point", "specification__boolean_operations.html#specification__boolean_9_4_5", null ],
            [ "Case 6: Two edges having a common block", "specification__boolean_operations.html#specification__boolean_9_4_6", null ],
            [ "Case 7: An Edge and a Face intersecting at a point", "specification__boolean_operations.html#specification__boolean_9_4_7", null ],
            [ "Case 8: A Face and an Edge that have a common block", "specification__boolean_operations.html#specification__boolean_9_4_8", null ],
            [ "Case 9: An Edge and a Solid intersecting at a point", "specification__boolean_operations.html#specification__boolean_9_4_9", null ],
            [ "Case 10: An Edge and a Solid that have a common block", "specification__boolean_operations.html#specification__boolean_9_4_10", null ],
            [ "Case 11: Two intersecting faces", "specification__boolean_operations.html#specification__boolean_9_4_11", null ],
            [ "Case 12: Two faces that have a common part", "specification__boolean_operations.html#specification__boolean_9_4_12", null ],
            [ "Case 13: Two faces that have a common edge", "specification__boolean_operations.html#specification__boolean_9_4_13", null ],
            [ "Case 14: Two faces that have a common vertex", "specification__boolean_operations.html#specification__boolean_9_4_14", null ],
            [ "Case 15: A Face and a Solid that have an intersection curve.", "specification__boolean_operations.html#specification__boolean_9_4_15", null ],
            [ "Case 16: A Face and a Solid that have overlapping faces.", "specification__boolean_operations.html#specification__boolean_9_4_16", null ],
            [ "Case 17: A Face and a Solid that have overlapping edges.", "specification__boolean_operations.html#specification__boolean_9_4_17", null ],
            [ "Case 18: A Face and a Solid that have overlapping vertices.", "specification__boolean_operations.html#specification__boolean_9_4_18", null ],
            [ "Case 19: Two intersecting Solids.", "specification__boolean_operations.html#specification__boolean_9_4_19", null ],
            [ "Case 20: Two Solids that have overlapping faces.", "specification__boolean_operations.html#specification__boolean_9_4_20", null ],
            [ "Case 21: Two Solids that have overlapping edges.", "specification__boolean_operations.html#specification__boolean_9_4_21", null ],
            [ "Case 22: Two Solids that have overlapping vertices.", "specification__boolean_operations.html#specification__boolean_9_4_22", null ],
            [ "Case 23: A Shell and a Wire cut by a Solid.", "specification__boolean_operations.html#specification__boolean_9_4_23", null ],
            [ "Case 24: Two Wires that have overlapping edges.", "specification__boolean_operations.html#specification__boolean_9_4_24", null ]
          ] ],
          [ "Class BOPAlgo_BOP", "specification__boolean_operations.html#specification__boolean_9_5", null ],
          [ "Building Draft Result", "specification__boolean_operations.html#specification__boolean_9_6", null ],
          [ "Building the Result", "specification__boolean_operations.html#specification__boolean_9_7", null ],
          [ "Boolean operations on open solids", "specification__boolean_operations.html#specification__boolean_bop_on_opensolids", null ]
        ] ],
        [ "Section Algorithm", "specification__boolean_operations.html#specification__boolean_10a", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_10a_1", null ],
          [ "Results and general rules", "specification__boolean_operations.html#specification__boolean_10a_2", null ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_10a_3", [
            [ "Case 1: Two Vertices", "specification__boolean_operations.html#specification__boolean_10a_3_1", null ],
            [ "Case 1: Case 2: A Vertex and an Edge", "specification__boolean_operations.html#specification__boolean_10a_3_2", null ],
            [ "Case 1: Case 2: A Vertex and a Face", "specification__boolean_operations.html#specification__boolean_10a_3_3", null ],
            [ "Case 4: A Vertex and a Solid", "specification__boolean_operations.html#specification__boolean_10a_3_4", null ],
            [ "Case 5: Two edges intersecting at one point", "specification__boolean_operations.html#specification__boolean_10a_3_5", null ],
            [ "Case 6: Two edges having a common block", "specification__boolean_operations.html#specification__boolean_10a_3_6", null ],
            [ "Case 7: An Edge and a Face intersecting at a point", "specification__boolean_operations.html#specification__boolean_10a_3_7", null ],
            [ "Case 8: A Face and an Edge that have a common block", "specification__boolean_operations.html#specification__boolean_10a_3_8", null ],
            [ "Case 9: An Edge and a Solid intersecting at a point", "specification__boolean_operations.html#specification__boolean_10a_3_9", null ],
            [ "Case 10: An Edge and a Solid that have a common block", "specification__boolean_operations.html#specification__boolean_10a_3_10", null ],
            [ "Case 11: Two intersecting faces", "specification__boolean_operations.html#specification__boolean_10a_3_11", null ],
            [ "Case 12: Two faces that have a common part", "specification__boolean_operations.html#specification__boolean_10a_3_12", null ],
            [ "Case 13: Two faces that have overlapping edges", "specification__boolean_operations.html#specification__boolean_10a_3_13", null ],
            [ "Case 14: Two faces that have overlapping vertices", "specification__boolean_operations.html#specification__boolean_10a_3_14", null ],
            [ "Case 15: A Face and a Solid that have an intersection curve", "specification__boolean_operations.html#specification__boolean_10a_3_15", null ],
            [ "Case 16: A Face and a Solid that have overlapping faces.", "specification__boolean_operations.html#specification__boolean_10a_3_16", null ],
            [ "Case 17: A Face and a Solid that have overlapping edges.", "specification__boolean_operations.html#specification__boolean_10a_3_17", null ],
            [ "Case 18: A Face and a Solid that have overlapping vertices.", "specification__boolean_operations.html#specification__boolean_10a_3_18", null ],
            [ "Case 19: Two intersecting Solids", "specification__boolean_operations.html#specification__boolean_10a_3_19", null ],
            [ "Case 20: Two Solids that have overlapping faces", "specification__boolean_operations.html#specification__boolean_10a_3_20", null ],
            [ "Case 21: Two Solids that have overlapping edges", "specification__boolean_operations.html#specification__boolean_10a_3_21", null ],
            [ "Case 22: Two Solids that have overlapping vertices", "specification__boolean_operations.html#specification__boolean_10a_3_22", null ]
          ] ],
          [ "Class BOPAlgo_Section", "specification__boolean_operations.html#specification__boolean_10a_4", null ],
          [ "Building the Result", "specification__boolean_operations.html#specification__boolean_10a_5", null ]
        ] ],
        [ "Volume Maker Algorithm", "specification__boolean_operations.html#specification__boolean_10b", [
          [ "Usage", "specification__boolean_operations.html#specification__boolean_10b_1", [
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md277", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md278", null ]
          ] ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_10b_2", [
            [ "Example 1", "specification__boolean_operations.html#autotoc_md279", null ],
            [ "Example 2", "specification__boolean_operations.html#autotoc_md280", null ]
          ] ]
        ] ],
        [ "Cells Builder algorithm", "specification__boolean_operations.html#specification__boolean_10c_Cells", [
          [ "Usage", "specification__boolean_operations.html#specification__boolean_10c_Cells_1", [
            [ "API usage", "specification__boolean_operations.html#autotoc_md281", null ],
            [ "DRAW usage", "specification__boolean_operations.html#autotoc_md282", null ]
          ] ],
          [ "Examples", "specification__boolean_operations.html#specification__boolean_10c_Cells_2", [
            [ "1. Common for all arguments", "specification__boolean_operations.html#autotoc_md283", null ],
            [ "2. Common between cylinder and face", "specification__boolean_operations.html#autotoc_md284", null ],
            [ "3. Common between cylinder and sphere", "specification__boolean_operations.html#autotoc_md285", null ],
            [ "4. Fuse of cylinder and sphere", "specification__boolean_operations.html#autotoc_md286", null ],
            [ "5. Parts of the face inside solids - FUSE(COMMON(f, c), COMMON(f, s))", "specification__boolean_operations.html#autotoc_md287", null ],
            [ "6. Part of the face outside solids", "specification__boolean_operations.html#autotoc_md288", null ],
            [ "7. Fuse operation (impossible using standard Boolean Fuse operation)", "specification__boolean_operations.html#autotoc_md289", null ]
          ] ]
        ] ],
        [ "Algorithm Limitations", "specification__boolean_operations.html#specification__boolean_10", [
          [ "Arguments", "specification__boolean_operations.html#specification__boolean_10_1", [
            [ "Common requirements", "specification__boolean_operations.html#specification__boolean_10_1_1", null ],
            [ "Pure self-interference", "specification__boolean_operations.html#specification__boolean_10_1_3", null ],
            [ "Example 1: Compound of two edges", "specification__boolean_operations.html#autotoc_md290", null ],
            [ "Example 2: Self-interfered Edge", "specification__boolean_operations.html#autotoc_md291", null ],
            [ "Example 3: Self-interfered Face", "specification__boolean_operations.html#autotoc_md292", null ],
            [ "Example 4: Face of Revolution", "specification__boolean_operations.html#autotoc_md293", null ],
            [ "Self-interferences due to tolerances", "specification__boolean_operations.html#specification__boolean_10_1_4", null ],
            [ "Example 1: Non-closed Edge", "specification__boolean_operations.html#autotoc_md294", null ],
            [ "Example 2: Solid containing an interfered vertex", "specification__boolean_operations.html#autotoc_md295", null ],
            [ "Parametric representation", "specification__boolean_operations.html#specification__boolean_10_1_5", null ],
            [ "Example 1: Cylindrical surface", "specification__boolean_operations.html#autotoc_md296", null ],
            [ "Using tolerances of vertices to fix gaps", "specification__boolean_operations.html#specification__boolean_10_1_6", null ]
          ] ],
          [ "Intersection problems", "specification__boolean_operations.html#specification__boolean_11_1", [
            [ "Pure intersections and common zones", "specification__boolean_operations.html#specification__boolean_11_1_1", null ],
            [ "Example: Intersecting Edges", "specification__boolean_operations.html#autotoc_md297", null ],
            [ "Tolerances and inaccuracies", "specification__boolean_operations.html#specification__boolean_11_2_2", null ],
            [ "Example: Intersection of planar faces", "specification__boolean_operations.html#autotoc_md298", null ],
            [ "Example: Intersection of two edges", "specification__boolean_operations.html#autotoc_md299", null ],
            [ "Acquired Self-interferences", "specification__boolean_operations.html#specification__boolean_11_2_3", null ],
            [ "Example 1: Vertex and edge", "specification__boolean_operations.html#autotoc_md300", null ],
            [ "Example 2: Vertex and wire", "specification__boolean_operations.html#autotoc_md301", null ]
          ] ]
        ] ],
        [ "Advanced Options", "specification__boolean_operations.html#specification__boolean_11a", [
          [ "Fuzzy Boolean Operation", "specification__boolean_operations.html#specification__boolean_11a_1", [
            [ "Examples", "specification__boolean_operations.html#specification__boolean_11a_1_1", null ],
            [ "Case 1", "specification__boolean_operations.html#autotoc_md302", null ],
            [ "Case 2", "specification__boolean_operations.html#autotoc_md303", null ],
            [ "Case 3", "specification__boolean_operations.html#autotoc_md304", null ],
            [ "Case 4", "specification__boolean_operations.html#autotoc_md305", null ]
          ] ],
          [ "Gluing Operation", "specification__boolean_operations.html#specification__boolean_11a_2", [
            [ "Usage", "specification__boolean_operations.html#specification__boolean_11a_2_1", null ],
            [ "API level", "specification__boolean_operations.html#autotoc_md306", null ],
            [ "TCL level", "specification__boolean_operations.html#autotoc_md307", null ],
            [ "Examples", "specification__boolean_operations.html#specification__boolean_11a_2_2", null ],
            [ "Case1 - Fusing the 64 bspline boxes into one solid", "specification__boolean_operations.html#autotoc_md308", null ],
            [ "Case2 - Sewing faces of the shape after reading from IGES", "specification__boolean_operations.html#autotoc_md309", null ]
          ] ],
          [ "Safe processing mode", "specification__boolean_operations.html#specification__boolean_11a_3", [
            [ "Usage", "specification__boolean_operations.html#specification__boolean_11a_3_1", null ],
            [ "API level", "specification__boolean_operations.html#autotoc_md310", null ],
            [ "TCL level", "specification__boolean_operations.html#autotoc_md311", null ]
          ] ],
          [ "How to disable check of input solids for inverted status", "specification__boolean_operations.html#specification__boolean_11a_4", [
            [ "Usage", "specification__boolean_operations.html#specification__boolean_11a_4_1", null ],
            [ "API level", "specification__boolean_operations.html#autotoc_md312", null ],
            [ "TCL level", "specification__boolean_operations.html#autotoc_md313", null ]
          ] ],
          [ "Usage of Oriented Bounding Boxes", "specification__boolean_operations.html#specification__boolean_11a_5_obb", [
            [ "Usage", "specification__boolean_operations.html#specification__boolean_11a_5_obb_1", null ],
            [ "API level", "specification__boolean_operations.html#autotoc_md314", null ],
            [ "TCL level", "specification__boolean_operations.html#autotoc_md315", null ]
          ] ]
        ] ],
        [ "Errors and warnings reporting system", "specification__boolean_operations.html#specification__boolean_ers", null ],
        [ "History Information", "specification__boolean_operations.html#specification__boolean_history", [
          [ "Examples", "specification__boolean_operations.html#specification__boolean_history_ex", [
            [ "Deleted shapes", "specification__boolean_operations.html#specification__boolean_history_ex_del", null ],
            [ "Modified shapes", "specification__boolean_operations.html#specification__boolean_history_ex_modif", null ],
            [ "Generated shapes", "specification__boolean_operations.html#specification__boolean_history_gen", null ]
          ] ]
        ] ],
        [ "BOP result simplification", "specification__boolean_operations.html#specification__boolean_simplification", [
          [ "Examples", "specification__boolean_operations.html#specification__boolean_simplification_examples", null ]
        ] ],
        [ "Usage", "specification__boolean_operations.html#specification__boolean_11b", [
          [ "Package BRepAlgoAPI", "specification__boolean_operations.html#specification__boolean_11b_1", null ],
          [ "Package BOPTest", "specification__boolean_operations.html#specification__boolean_11b_2", [
            [ "Case 1. General Fuse operation", "specification__boolean_operations.html#specification__boolean_11b_2_1", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md316", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md317", null ],
            [ "Case 2. Splitting operation", "specification__boolean_operations.html#specification__boolean_11b_2_2", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md318", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md319", null ],
            [ "Case 3. Common operation", "specification__boolean_operations.html#specification__boolean_11b_2_3", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md320", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md321", null ],
            [ "Case 4. Fuse operation", "specification__boolean_operations.html#specification__boolean_11b_2_4", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md322", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md323", null ],
            [ "Case 5. Cut operation", "specification__boolean_operations.html#specification__boolean_11b_2_5", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md324", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md325", null ],
            [ "Case 6. Section operation", "specification__boolean_operations.html#specification__boolean_11b_2_6", null ],
            [ "C++ Level", "specification__boolean_operations.html#autotoc_md326", null ],
            [ "Tcl Level", "specification__boolean_operations.html#autotoc_md327", null ]
          ] ]
        ] ]
      ] ],
      [ "BRep Format", "specification__brep_format.html", [
        [ "Introduction", "specification__brep_format.html#specification__brep_format_1", null ],
        [ "Storage of shapes", "specification__brep_format.html#specification__brep_format_2", null ],
        [ "Format Common Structure", "specification__brep_format.html#specification__brep_format_3", null ],
        [ "Locations", "specification__brep_format.html#specification__brep_format_4", null ],
        [ "Geometry", "specification__brep_format.html#specification__brep_format_5", [
          [ "3D curves", "specification__brep_format.html#specification__brep_format_5_1", [
            [ "Line - <3D curve record 1>", "specification__brep_format.html#specification__brep_format_5_1_1", null ],
            [ "Circle - <3D curve record 2>", "specification__brep_format.html#specification__brep_format_5_1_2", null ],
            [ "Ellipse - <3D curve record 3>", "specification__brep_format.html#specification__brep_format_5_1_3", null ],
            [ "Parabola - <3D curve record 4>", "specification__brep_format.html#specification__brep_format_5_1_4", null ],
            [ "Hyperbola - <3D curve record 5>", "specification__brep_format.html#specification__brep_format_5_1_5", null ],
            [ "Bezier Curve - <3D curve record 6>", "specification__brep_format.html#specification__brep_format_5_1_6", null ],
            [ "B-Spline Curve - <3D curve record 7>", "specification__brep_format.html#specification__brep_format_5_1_7", null ],
            [ "Trimmed Curve - <3D curve record 8>", "specification__brep_format.html#specification__brep_format_5_1_8", null ],
            [ "Offset Curve - <3D curve record 9>", "specification__brep_format.html#specification__brep_format_5_1_9", null ]
          ] ],
          [ "Surfaces", "specification__brep_format.html#specification__brep_format_5_2", [
            [ "Plane - < surface record 1 >", "specification__brep_format.html#specification__brep_format_5_2_1", null ],
            [ "Cylinder - < surface record 2 >", "specification__brep_format.html#specification__brep_format_5_2_2", null ],
            [ "Cone - < surface record 3 >", "specification__brep_format.html#specification__brep_format_5_2_3", null ],
            [ "Sphere - < surface record 4 >", "specification__brep_format.html#specification__brep_format_5_2_4", null ],
            [ "Torus - < surface record 5 >", "specification__brep_format.html#specification__brep_format_5_2_5", null ],
            [ "Linear Extrusion - < surface record 6 >", "specification__brep_format.html#specification__brep_format_5_2_6", null ],
            [ "Revolution Surface - < surface record 7 >", "specification__brep_format.html#specification__brep_format_5_2_7", null ],
            [ "Bezier Surface - < surface record 8 >", "specification__brep_format.html#specification__brep_format_5_2_8", null ],
            [ "B-spline Surface - < surface record 9 >", "specification__brep_format.html#specification__brep_format_5_2_9", null ],
            [ "Rectangular Trim Surface - < surface  record 10 >", "specification__brep_format.html#specification__brep_format_5_2_10", null ],
            [ "Offset Surface - < surface record 11 >", "specification__brep_format.html#specification__brep_format_5_2_11", null ]
          ] ],
          [ "2D curves", "specification__brep_format.html#specification__brep_format_5_3", [
            [ "Line - <2D curve record 1>", "specification__brep_format.html#specification__brep_format_5_3_1", null ],
            [ "Circle - <2D curve record 2>", "specification__brep_format.html#specification__brep_format_5_3_2", null ],
            [ "Ellipse - <2D curve record 3>", "specification__brep_format.html#specification__brep_format_5_3_3", null ],
            [ "Parabola - <2D curve record 4>", "specification__brep_format.html#specification__brep_format_5_3_4", null ],
            [ "Hyperbola - <2D curve record 5>", "specification__brep_format.html#specification__brep_format_5_3_5", null ],
            [ "Bezier Curve - <2D curve record 6>", "specification__brep_format.html#specification__brep_format_5_3_6", null ],
            [ "B-spline Curve -  <2D curve record 7>", "specification__brep_format.html#specification__brep_format_5_3_7", null ],
            [ "Trimmed Curve - <2D curve record 8>", "specification__brep_format.html#specification__brep_format_5_3_8", null ],
            [ "Offset Curve - <2D curve record 9>", "specification__brep_format.html#specification__brep_format_5_3_9", null ]
          ] ],
          [ "3D polygons", "specification__brep_format.html#specification__brep_format_5_4", null ],
          [ "Triangulations", "specification__brep_format.html#specification__brep_format_6_4", null ],
          [ "Polygons on triangulations", "specification__brep_format.html#specification__brep_format_6_5", null ],
          [ "Geometric Sense of a Curve", "specification__brep_format.html#specification__brep_format_6_6", null ]
        ] ],
        [ "Shapes", "specification__brep_format.html#specification__brep_format_7", [
          [ "Common Terms", "specification__brep_format.html#specification__brep_format_7_1", null ],
          [ "Vertex data", "specification__brep_format.html#specification__brep_format_7_2", null ],
          [ "Edge data", "specification__brep_format.html#specification__brep_format_7_3", null ],
          [ "Face data", "specification__brep_format.html#specification__brep_format_7_4", null ]
        ] ],
        [ "Appendix", "specification__brep_format.html#specification__brep_format_8", null ]
      ] ],
      [ "PBR math (rasterization)", "specification__pbr_math.html", [
        [ "Preface", "specification__pbr_math.html#pbr_preface", null ],
        [ "Notation", "specification__pbr_math.html#pbr_notation", null ],
        [ "Illumination model", "specification__pbr_math.html#pbr_illumination_model", null ],
        [ "Practical application", "specification__pbr_math.html#pbr_practical_application", null ],
        [ "Image based lighting", "specification__pbr_math.html#pbr_image_based_lighting", null ],
        [ "Monte-Carlo numeric integration", "specification__pbr_math.html#pbr_monte_carlo_integration", null ],
        [ "Split sum", "specification__pbr_math.html#pbr_split_sum", null ],
        [ "Importance sampling", "specification__pbr_math.html#pbr_importance_sampling", null ],
        [ "Specular map", "specification__pbr_math.html#pbr_specular_map", null ],
        [ "Spherical harmonics", "specification__pbr_math.html#pbr_spherical_harmonics", null ],
        [ "Transparent materials", "specification__pbr_math.html#pbr_transparency", null ],
        [ "Low discrepancy sequence", "specification__pbr_math.html#pbr_low_discrepancy", null ],
        [ "References", "specification__pbr_math.html#pbr_references", null ]
      ] ]
    ] ],
    [ "Contribution", "contribution.html", [
      [ "Contribution Workflow", "occt_contribution__contribution_workflow.html", [
        [ "Introduction", "occt_contribution__contribution_workflow.html#occt_contribution_intro", [
          [ "Use of issue tracker system", "occt_contribution__contribution_workflow.html#occt_contribution_intro_tracker", null ],
          [ "Access levels", "occt_contribution__contribution_workflow.html#occt_contribution_intro_access", null ]
        ] ],
        [ "Standard workflow for an issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow", [
          [ "General scheme", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_general", null ],
          [ "Issue registration", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_issue", null ],
          [ "Assigning the issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_assign", null ],
          [ "Resolving the issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix", [
            [ "Requirements to the code modification", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_code", null ],
            [ "Providing a test case", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_test", null ],
            [ "Updating user and developer guides", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_doc", null ],
            [ "Submission of change as a Git branch", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_git", null ],
            [ "Requirements to the commit message", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_commit", null ],
            [ "Marking issue as resolved", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_fix_resolve", null ]
          ] ],
          [ "Code review", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_review", null ],
          [ "Testing", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_test", null ],
          [ "Integration of a solution", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_integrate", null ],
          [ "Closing an issue", "occt_contribution__contribution_workflow.html#occt_contribution_workflow_close", null ]
        ] ],
        [ "Additional workflow elements", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd", [
          [ "Requesting more information or specific action", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_feedback", null ],
          [ "Defining relationships between issues", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_relate", null ],
          [ "Submission of a change as a patch", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_patch", null ],
          [ "Updating branches in Git", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_rebase", null ],
          [ "Minor corrections", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_minor", null ],
          [ "Handling non-reproducible issues", "occt_contribution__contribution_workflow.html#occt_contribution_nonstd_autofix", null ]
        ] ],
        [ "Appendix: Issue attributes", "occt_contribution__contribution_workflow.html#occt_contribution_app", [
          [ "Category", "occt_contribution__contribution_workflow.html#occt_contribution_app_category", null ],
          [ "Severity", "occt_contribution__contribution_workflow.html#occt_contribution_app_severity", null ],
          [ "Status", "occt_contribution__contribution_workflow.html#occt_contribution_app_status", null ],
          [ "Resolution", "occt_contribution__contribution_workflow.html#occt_contribution_app_resolution", null ]
        ] ]
      ] ],
      [ "Guide to installing and using Git for OCCT development", "occt_contribution__git_guide.html", [
        [ "Overview", "occt_contribution__git_guide.html#occt_gitguide_1", [
          [ "Purpose", "occt_contribution__git_guide.html#occt_gitguide_1_1", null ],
          [ "Git URL", "occt_contribution__git_guide.html#occt_gitguide_1_2", null ],
          [ "Content", "occt_contribution__git_guide.html#occt_gitguide_1_3", null ],
          [ "Short rules of use", "occt_contribution__git_guide.html#occt_gitguide_1_4", null ],
          [ "Version of Git", "occt_contribution__git_guide.html#occt_gitguide_1_5", null ]
        ] ],
        [ "Installing Tools for Work with Git", "occt_contribution__git_guide.html#occt_gitguide_2", [
          [ "Windows platform", "occt_contribution__git_guide.html#occt_gitguide_2_1", [
            [ "Installation of Git for Windows", "occt_contribution__git_guide.html#occt_gitguide_2_1_1", null ],
            [ "Installation and configuration of TortoiseGit", "occt_contribution__git_guide.html#occt_gitguide_2_1_2", null ]
          ] ],
          [ "Linux platform", "occt_contribution__git_guide.html#occt_gitguide_2_2", null ]
        ] ],
        [ "Getting access to the repository", "occt_contribution__git_guide.html#occt_gitguide_3", [
          [ "Prerequisites", "occt_contribution__git_guide.html#occt_gitguide_3_1", null ],
          [ "How to generate a key", "occt_contribution__git_guide.html#occt_gitguide_3_2", [
            [ "Generating key with Putty", "occt_contribution__git_guide.html#occt_gitguide_3_2_1", null ],
            [ "Generating key with command-line tools", "occt_contribution__git_guide.html#occt_gitguide_3_2_2", null ],
            [ "Generating key with Git GUI", "occt_contribution__git_guide.html#occt_gitguide_3_2_3", null ]
          ] ],
          [ "Adding public key in your account", "occt_contribution__git_guide.html#occt_gitguide_3_3", null ]
        ] ],
        [ "Work with repository: developer operations", "occt_contribution__git_guide.html#occt_gitguide_4", [
          [ "General workflow", "occt_contribution__git_guide.html#occt_gitguide_4_1", null ],
          [ "Cloning official repository", "occt_contribution__git_guide.html#occt_gitguide_4_2", null ],
          [ "Branch creation", "occt_contribution__git_guide.html#occt_gitguide_4_3", null ],
          [ "Branch switching", "occt_contribution__git_guide.html#occt_gitguide_4_4", null ],
          [ "Committing branch changes", "occt_contribution__git_guide.html#occt_gitguide_4_5", null ],
          [ "Pushing branch to the remote repository", "occt_contribution__git_guide.html#occt_gitguide_4_6", null ],
          [ "Synchronizing with remote repository", "occt_contribution__git_guide.html#occt_gitguide_4_7", null ],
          [ "Applying a fix made on older version of OCCT", "occt_contribution__git_guide.html#occt_gitguide_4_8", null ],
          [ "Rebasing with history clean-up", "occt_contribution__git_guide.html#occt_gitguide_4_9", null ]
        ] ],
        [ "Work with repository: Reviewer operations", "occt_contribution__git_guide.html#occt_gitguide_5", [
          [ "Review branch changes using GitWeb", "occt_contribution__git_guide.html#occt_gitguide_5_1", null ],
          [ "Review branch changes with TortoiseGit", "occt_contribution__git_guide.html#occt_gitguide_5_2", null ]
        ] ]
      ] ],
      [ "Coding Rules", "occt_contribution__coding_rules.html", [
        [ "Introduction", "occt_contribution__coding_rules.html#occt_coding_rules_1", [
          [ "Scope of the document", "occt_contribution__coding_rules.html#occt_coding_rules_1_1", null ]
        ] ],
        [ "Naming Conventions", "occt_contribution__coding_rules.html#occt_coding_rules_2", [
          [ "General naming rules", "occt_contribution__coding_rules.html#occt_coding_rules_2_1", null ],
          [ "International language [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md328", null ],
          [ "Meaningful names", "occt_contribution__coding_rules.html#autotoc_md329", null ],
          [ "Related names", "occt_contribution__coding_rules.html#autotoc_md330", null ],
          [ "Camel Case style", "occt_contribution__coding_rules.html#autotoc_md331", null ],
          [ "Names of development units", "occt_contribution__coding_rules.html#occt_coding_rules_2_2", null ],
          [ "No underscores in unit names [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md332", null ],
          [ "File name extensions [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md333", null ],
          [ "Prefix for toolkit names [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md334", null ],
          [ "Names of public types", "occt_contribution__coding_rules.html#autotoc_md335", null ],
          [ "Names of functions", "occt_contribution__coding_rules.html#autotoc_md336", null ],
          [ "Names of variables", "occt_contribution__coding_rules.html#occt_coding_rules_2_3", null ],
          [ "Naming of variables", "occt_contribution__coding_rules.html#autotoc_md337", null ],
          [ "Names of function parameters", "occt_contribution__coding_rules.html#autotoc_md338", null ],
          [ "Names of class member variables", "occt_contribution__coding_rules.html#autotoc_md339", null ],
          [ "Names of global variables", "occt_contribution__coding_rules.html#autotoc_md340", null ],
          [ "Names of local variables", "occt_contribution__coding_rules.html#autotoc_md341", null ],
          [ "Avoid dummy names", "occt_contribution__coding_rules.html#autotoc_md342", null ]
        ] ],
        [ "Formatting rules", "occt_contribution__coding_rules.html#occt_coding_rules_3", [
          [ "International language [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md343", null ],
          [ "Line length", "occt_contribution__coding_rules.html#autotoc_md344", null ],
          [ "C++ style comments", "occt_contribution__coding_rules.html#autotoc_md345", null ],
          [ "Commenting out unused code", "occt_contribution__coding_rules.html#autotoc_md346", null ],
          [ "Indentation in sources [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md347", null ],
          [ "Separating spaces", "occt_contribution__coding_rules.html#autotoc_md348", null ],
          [ "Declaration of pointers and references", "occt_contribution__coding_rules.html#autotoc_md349", null ],
          [ "Separate logical blocks", "occt_contribution__coding_rules.html#autotoc_md350", null ],
          [ "Separate function bodies [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md351", null ],
          [ "Block layout [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md352", null ],
          [ "Single-line operators", "occt_contribution__coding_rules.html#autotoc_md353", null ],
          [ "Comparison expressions with constants", "occt_contribution__coding_rules.html#autotoc_md354", null ],
          [ "Alignment", "occt_contribution__coding_rules.html#autotoc_md355", null ],
          [ "Indentation of comments", "occt_contribution__coding_rules.html#autotoc_md356", null ],
          [ "Early return statement", "occt_contribution__coding_rules.html#autotoc_md357", null ],
          [ "Trailing spaces", "occt_contribution__coding_rules.html#autotoc_md358", null ],
          [ "Headers order", "occt_contribution__coding_rules.html#autotoc_md359", null ]
        ] ],
        [ "Documentation rules", "occt_contribution__coding_rules.html#occt_coding_rules_4", [
          [ "Documenting classes [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md360", null ],
          [ "Documenting class methods [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md361", null ],
          [ "Documenting C/C++ sources", "occt_contribution__coding_rules.html#autotoc_md362", null ]
        ] ],
        [ "Application design", "occt_contribution__coding_rules.html#occt_coding_rules_5", [
          [ "Allow possible inheritance", "occt_contribution__coding_rules.html#autotoc_md363", null ],
          [ "Avoid friend declarations", "occt_contribution__coding_rules.html#autotoc_md364", null ],
          [ "Set/get methods", "occt_contribution__coding_rules.html#autotoc_md365", null ],
          [ "Hiding virtual functions [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md366", null ],
          [ "Avoid mixing error reporting strategies", "occt_contribution__coding_rules.html#autotoc_md367", null ],
          [ "Minimize compiler warnings [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md368", null ],
          [ "Avoid unnecessary inclusions", "occt_contribution__coding_rules.html#autotoc_md369", null ]
        ] ],
        [ "General C/C++ rules", "occt_contribution__coding_rules.html#occt_coding_rules_6", [
          [ "Wrapping of global variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md370", null ],
          [ "Avoid private members", "occt_contribution__coding_rules.html#autotoc_md371", null ],
          [ "Constants and inlines over defines [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md372", null ],
          [ "Avoid explicit numerical values [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md373", null ],
          [ "Three mandatory methods", "occt_contribution__coding_rules.html#autotoc_md374", null ],
          [ "Virtual destructor", "occt_contribution__coding_rules.html#autotoc_md375", null ],
          [ "Overriding virtual methods", "occt_contribution__coding_rules.html#autotoc_md376", null ],
          [ "Default parameter value", "occt_contribution__coding_rules.html#autotoc_md377", null ],
          [ "Use const modifier", "occt_contribution__coding_rules.html#autotoc_md378", null ],
          [ "Usage of goto [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md379", null ],
          [ "Declaring variable in for() header", "occt_contribution__coding_rules.html#autotoc_md380", null ],
          [ "Condition statements within zero", "occt_contribution__coding_rules.html#autotoc_md381", null ]
        ] ],
        [ "Portability issues", "occt_contribution__coding_rules.html#occt_coding_rules_7", [
          [ "Provide code portability [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md382", null ],
          [ "Avoid usage of global variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md383", null ],
          [ "Avoid explicit basic types", "occt_contribution__coding_rules.html#autotoc_md384", null ],
          [ "Use <em>sizeof()</em> to calculate sizes [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md385", null ],
          [ "Empty line at the end of file [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md386", null ]
        ] ],
        [ "Stability issues", "occt_contribution__coding_rules.html#occt_coding_rules_8", [
          [ "Use <em>OSD::SetSignal()</em> to catch exceptions", "occt_contribution__coding_rules.html#autotoc_md387", null ],
          [ "Cross-referenced handles", "occt_contribution__coding_rules.html#autotoc_md388", null ],
          [ "C++ memory allocation", "occt_contribution__coding_rules.html#autotoc_md389", null ],
          [ "Match <em>new</em> and <em>delete</em> [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md390", null ],
          [ "Methods managing dynamical allocation [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md391", null ],
          [ "Uninitialized variables [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md392", null ],
          [ "Do not hide global <em>new</em>", "occt_contribution__coding_rules.html#autotoc_md393", null ],
          [ "Assignment operator", "occt_contribution__coding_rules.html#autotoc_md394", null ],
          [ "Float comparison", "occt_contribution__coding_rules.html#autotoc_md395", null ],
          [ "Non-indexed iteration", "occt_contribution__coding_rules.html#autotoc_md396", null ],
          [ "Do not throw in destructors", "occt_contribution__coding_rules.html#autotoc_md397", null ],
          [ "Assigning to reference [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md398", null ]
        ] ],
        [ "Performance issues", "occt_contribution__coding_rules.html#occt_coding_rules_9", [
          [ "Class fields alignment", "occt_contribution__coding_rules.html#autotoc_md399", null ],
          [ "Fields initialization order [MANDATORY]", "occt_contribution__coding_rules.html#autotoc_md400", null ],
          [ "Initialization over assignment", "occt_contribution__coding_rules.html#autotoc_md401", null ],
          [ "Optimize caching", "occt_contribution__coding_rules.html#autotoc_md402", null ]
        ] ],
        [ "Draw Harness command", "occt_contribution__coding_rules.html#occt_coding_rules_10", [
          [ "Return value", "occt_contribution__coding_rules.html#autotoc_md403", null ],
          [ "Validate input parameters", "occt_contribution__coding_rules.html#autotoc_md404", null ],
          [ "Validate the number of input parameters", "occt_contribution__coding_rules.html#autotoc_md405", null ],
          [ "Message printing", "occt_contribution__coding_rules.html#autotoc_md406", null ],
          [ "Long list of arguments", "occt_contribution__coding_rules.html#autotoc_md407", null ],
          [ "Arguments parser", "occt_contribution__coding_rules.html#autotoc_md408", null ]
        ] ],
        [ "Examples", "occt_contribution__coding_rules.html#occt_coding_rules_11", [
          [ "Sample documented class", "occt_contribution__coding_rules.html#autotoc_md409", null ],
          [ "TCL script for Draw Harness", "occt_contribution__coding_rules.html#autotoc_md410", null ],
          [ "GLSL program:", "occt_contribution__coding_rules.html#autotoc_md411", null ]
        ] ]
      ] ],
      [ "Automated Testing System", "occt_contribution__tests.html", [
        [ "Introduction", "occt_contribution__tests.html#testmanual_intro", [
          [ "Basic Information", "occt_contribution__tests.html#testmanual_intro_basic", null ],
          [ "Intended Use of Automatic Tests", "occt_contribution__tests.html#testmanual_1_2", null ],
          [ "Quick Start", "occt_contribution__tests.html#testmanual_1_3", [
            [ "Setup", "occt_contribution__tests.html#testmanual_1_3_1", null ],
            [ "Running Tests", "occt_contribution__tests.html#testmanual_1_3_2", null ],
            [ "Running a Single Test", "occt_contribution__tests.html#testmanual_1_3_3", null ],
            [ "Creating a New Test", "occt_contribution__tests.html#testmanual_intro_quick_create", null ]
          ] ]
        ] ],
        [ "Organization of Test Scripts", "occt_contribution__tests.html#testmanual_2", [
          [ "General Layout", "occt_contribution__tests.html#testmanual_2_1", null ],
          [ "Test Groups", "occt_contribution__tests.html#testmanual_2_2", [
            [ "Group Names", "occt_contribution__tests.html#testmanual_2_2_1", null ],
            [ "File \"grids.list\"", "occt_contribution__tests.html#testmanual_2_2_2", null ],
            [ "File \"begin\"", "occt_contribution__tests.html#testmanual_2_2_3", null ],
            [ "File \"end\"", "occt_contribution__tests.html#testmanual_2_2_4", null ],
            [ "File \"parse.rules\"", "occt_contribution__tests.html#testmanual_2_2_5", null ],
            [ "Directory \"data\"", "occt_contribution__tests.html#testmanual_2_2_6", null ]
          ] ],
          [ "Test Grids", "occt_contribution__tests.html#testmanual_2_3", [
            [ "Grid Names", "occt_contribution__tests.html#testmanual_2_3_1", null ],
            [ "File \"begin\"", "occt_contribution__tests.html#testmanual_2_3_2", null ],
            [ "File \"end\"", "occt_contribution__tests.html#testmanual_2_3_3", null ],
            [ "File \"cases.list\"", "occt_contribution__tests.html#testmanual_2_3_4", null ],
            [ "Directory \"data\"", "occt_contribution__tests.html#testmanual_2_3_5", null ]
          ] ],
          [ "Test Cases", "occt_contribution__tests.html#testmanual_2_4", null ]
        ] ],
        [ "Creation And Modification Of Tests", "occt_contribution__tests.html#testmanual_3", [
          [ "Choosing Group, Grid, and Test Case Name", "occt_contribution__tests.html#testmanual_3_1", null ],
          [ "Adding Data Files Required for a Test", "occt_contribution__tests.html#testmanual_3_2", null ],
          [ "Adding new DRAW commands", "occt_contribution__tests.html#testmanual_3_3", null ],
          [ "Script Implementation", "occt_contribution__tests.html#testmanual_3_4", null ],
          [ "Interpretation of test results", "occt_contribution__tests.html#testmanual_details_results", null ],
          [ "Marking BAD cases", "occt_contribution__tests.html#testmanual_3_6", null ],
          [ "Marking required output", "occt_contribution__tests.html#testmanual_3_7", null ]
        ] ],
        [ "Advanced Use", "occt_contribution__tests.html#testmanual_4", [
          [ "Running Tests on Older Versions of OCCT", "occt_contribution__tests.html#testmanual_4_1", null ],
          [ "Adding custom tests", "occt_contribution__tests.html#testmanual_4_2", null ],
          [ "Parallel execution of tests", "occt_contribution__tests.html#testmanual_4_3", null ],
          [ "Checking non-regression of performance, memory, and visualization", "occt_contribution__tests.html#testmanual_4_4", null ]
        ] ],
        [ "APPENDIX", "occt_contribution__tests.html#testmanual_5", [
          [ "Test groups", "occt_contribution__tests.html#testmanual_5_1", [
            [ "3rdparty", "occt_contribution__tests.html#testmanual_5_1_1", null ],
            [ "blend", "occt_contribution__tests.html#testmanual_5_1_2", null ],
            [ "boolean", "occt_contribution__tests.html#testmanual_5_1_3", null ],
            [ "bugs", "occt_contribution__tests.html#testmanual_5_1_4", null ],
            [ "caf", "occt_contribution__tests.html#testmanual_5_1_5", null ],
            [ "chamfer", "occt_contribution__tests.html#testmanual_5_1_6", null ],
            [ "de", "occt_contribution__tests.html#testmanual_5_1_7", null ],
            [ "demo", "occt_contribution__tests.html#testmanual_5_1_8", null ],
            [ "draft", "occt_contribution__tests.html#testmanual_5_1_9", null ],
            [ "feat", "occt_contribution__tests.html#testmanual_5_1_10", null ],
            [ "heal", "occt_contribution__tests.html#testmanual_5_1_11", null ],
            [ "mesh", "occt_contribution__tests.html#testmanual_5_1_12", null ],
            [ "mkface", "occt_contribution__tests.html#testmanual_5_1_13", null ],
            [ "nproject", "occt_contribution__tests.html#testmanual_5_1_14", null ],
            [ "offset", "occt_contribution__tests.html#testmanual_5_1_15", null ],
            [ "pipe", "occt_contribution__tests.html#testmanual_5_1_16", null ],
            [ "prism", "occt_contribution__tests.html#testmanual_5_1_17", null ],
            [ "sewing", "occt_contribution__tests.html#testmanual_5_1_18", null ],
            [ "thrusection", "occt_contribution__tests.html#testmanual_5_1_19", null ],
            [ "xcaf", "occt_contribution__tests.html#testmanual_5_1_20", null ]
          ] ],
          [ "Mapping of OCCT functionality to grid names in group <em>bugs</em>", "occt_contribution__tests.html#testmanual_5_2", null ],
          [ "Recommended approaches to checking test results", "occt_contribution__tests.html#testmanual_5_3", [
            [ "Shape validity", "occt_contribution__tests.html#testmanual_5_3_1", null ],
            [ "Shape tolerance", "occt_contribution__tests.html#testmanual_5_3_2", null ],
            [ "Shape volume, area, or length", "occt_contribution__tests.html#testmanual_5_3_3", null ],
            [ "Memory leaks", "occt_contribution__tests.html#testmanual_5_3_4", null ],
            [ "Visualization", "occt_contribution__tests.html#testmanual_5_3_5", null ],
            [ "Number of free edges", "occt_contribution__tests.html#testmanual_5_3_6", null ],
            [ "Compare numbers", "occt_contribution__tests.html#testmanual_5_3_7", null ],
            [ "Check number of sub-shapes", "occt_contribution__tests.html#testmanual_5_3_8", null ],
            [ "Check pixel color", "occt_contribution__tests.html#testmanual_5_3_9", null ],
            [ "Compute length, area and volume of input shape", "occt_contribution__tests.html#testmanual_5_3_10", null ],
            [ "Parse output dump and compare it with reference values", "occt_contribution__tests.html#testmanual_5_3_11", null ],
            [ "Compute length of input curve", "occt_contribution__tests.html#testmanual_5_3_12", null ],
            [ "Check maximum deflection, number of triangles and nodes in mesh", "occt_contribution__tests.html#testmanual_5_3_13", null ]
          ] ]
        ] ]
      ] ],
      [ "Documentation System", "occt_contribution__documentation.html", [
        [ "Introduction", "occt_contribution__documentation.html#OCCT_DM_SECTION_1", null ],
        [ "Prerequisites", "occt_contribution__documentation.html#OCCT_DM_SECTION_2", null ],
        [ "Documentation Generation", "occt_contribution__documentation.html#OCCT_DM_SECTION_2_1", null ],
        [ "Documentation Conventions", "occt_contribution__documentation.html#OCCT_DM_SECTION_3", [
          [ "File Format", "occt_contribution__documentation.html#OCCT_DM_SECTION_3_1", null ],
          [ "Directory Structure", "occt_contribution__documentation.html#OCCT_DM_SECTION_3_2", null ]
        ] ],
        [ "Adding a New Document", "occt_contribution__documentation.html#OCCT_DM_SECTION_4", null ],
        [ "Additional Resources", "occt_contribution__documentation.html#OCCT_DOC_SECTION_5", null ],
        [ "Appendix 1: Document Syntax", "occt_contribution__documentation.html#OCCT_DM_SECTION_A", [
          [ "Headers and hierarchic document structure", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_1", null ],
          [ "Plain Text", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_2", null ],
          [ "Lists", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_3", null ],
          [ "Tables", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_4", null ],
          [ "Code Blocks", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_5", null ],
          [ "Quotes", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_5a", null ],
          [ "References", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_6", null ],
          [ "Images", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_7", null ],
          [ "Table Of Contents", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_8", null ],
          [ "Formulas", "occt_contribution__documentation.html#OCCT_DM_SECTION_A_9", null ]
        ] ]
      ] ]
    ] ],
    [ "License", "occt_public_license.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "occt_public_license.html#license_lgpl_21", [
        [ "Preamble", "occt_public_license.html#autotoc_md412", null ],
        [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "occt_public_license.html#autotoc_md413", null ],
        [ "END OF TERMS AND CONDITIONS", "occt_public_license.html#autotoc_md414", null ],
        [ "How to Apply These Terms to Your New Libraries", "occt_public_license.html#autotoc_md415", null ]
      ] ],
      [ "OPEN CASCADE EXCEPTION", "occt_public_license.html#occt_lgpl_exception", [
        [ "Open CASCADE Exception (version 1.0) to GNU LGPL version 2.1.", "occt_public_license.html#autotoc_md416", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"build_upgrade.html",
"occt__upgrade.html#upgrade_occt700_wfshape",
"occt_contribution__tests.html#testmanual_5_1_2",
"occt_user_guides__mesh.html#occt_modalg_11_3_4",
"occt_user_guides__ocaf.html#occt_ocaf_1_1",
"occt_user_guides__step.html#autotoc_md254",
"occt_user_guides__test_harness.html#occt_draw_4_4_3",
"occt_user_guides__test_harness.html#occt_draw_7_5_1",
"occt_user_guides__visualization.html#autotoc_md224",
"specification__boolean_operations.html#specification__boolean_10a_3_1",
"specification__pbr_math.html#pbr_spherical_harmonics"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';